commit 3bef5d31c11c7c25456aea05120c1ec631a16da7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 8 23:18:53 2019 +0200

    build: Fix ChangeLog rule to work on a git worktree
    
    (cherry picked from commit da18671711031cf61bdceed0f66603fdc87f6cb8)

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f4e1576d0d819e55277a6e2d3b27466ac24f29d3
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Mar 26 11:46:40 2019 +0100

    window: Show last tab's accel in the tab menu
    
    https://gitlab.gnome.org/GNOME/gnome-terminal/issues/94
    (cherry picked from commit a8ab25c16fe9cfdc96e6da411dba43e524255a8b)

 src/terminal-window.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit f4ad540da1b3c28698e14d3d1b4ae669c7fae73b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Mar 26 11:36:35 2019 +0100

    window: Fix tabs menu
    
    https://gitlab.gnome.org/GNOME/gnome-terminal/issues/93
    (cherry picked from commit 58b9488a46ab4265a4b3e00e26c577bcdeccb84f)

 src/terminal-menu-button.c | 48 ++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 44 insertions(+), 4 deletions(-)

commit 50243a2a6e866f2ba65618dfb29274473a1792e1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 3 21:07:02 2018 +0100

    window: Fix zoom-out sensitivity
    
    https://gitlab.gnome.org/GNOME/gnome-terminal/issues/47
    (cherry picked from commit 7a57e7d3ca5468ebab92a080abf8159bf96e23e1)

 src/terminal-window.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 4ad1a3d1315034dc0ebb4fbf6239ec3fcd5fe8d6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Sep 11 18:10:51 2018 +0200

    accels: Use correct action name to set menubar visibility
    
    https://gitlab.gnome.org/GNOME/gnome-terminal/issues/33
    (cherry picked from commit 4b77237463e3cde75aed55fecacc0208e1f21dd9)

 src/terminal-accels.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit f84a1e0183f4eec5fc3ca5cc181cee71d0670ae7
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue Jul 17 13:57:24 2018 +0200

    l10n: Fix Romanian translation
    
    https://gitlab.gnome.org/GNOME/gnome-terminal/issues/15

 po/ro.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba024137ae483a8c44716572a17420d841077468
Author: Igor Zakharov <f2404@yandex.ru>
Date:   Mon Jul 16 18:30:34 2018 +0200

    Resolve several "cast between incompatible function types" warnings
    
    These warning have been introduced by gcc8.
    Resolved by using "g_(s)list_free_full" functions.
    
    Fixes #12
    
    (cherry picked from commit 060e082531d05df084033500206078920420b003)

 src/terminal-options.c | 9 +++------
 src/terminal-screen.c  | 3 +--
 2 files changed, 4 insertions(+), 8 deletions(-)

commit 1012b32508331aaf905c3f241f2dd0f90a486c22
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jul 16 18:30:34 2018 +0200

    build: Make sed rule silent
    
    (cherry picked from commit 35485658103da87db37f5cedfd923c34f7ac1801)

 src/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c000f61b55cf559bda411e797c6275289e206535
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jun 18 23:05:23 2018 +0200

    app: Fix showing the accels for disunified New Tab/Window menu entries
    
    https://gitlab.gnome.org/GNOME/gnome-terminal/issues/8
    (cherry picked from commit 8caf4ae73a445625aa35db42892b19fe4cb2d69f)

 src/terminal-app.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ec754bf7df16800243420639a6e24ea60a06c6c
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Jun 16 23:28:47 2018 +0200

    search: Fix "Match case" to always take effect immediately
    
    https://gitlab.gnome.org/GNOME/gnome-terminal/issues/4
    (cherry picked from commit d7a5f53332fbba3bd2397589afc40e000aab3081)

 src/terminal-search-popover.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 3552324c903dd950f89b132a28c3fe489191f1d3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue May 29 10:47:22 2018 +0200

    client: legacy: Fix invalid free
    
    Use g_free() for memory allocated with g_new().
    
    https://gitlab.gnome.org/GNOME/gnome-terminal/issues/1
    (cherry picked from commit 2f7053f5fa9154437b9397cd204a38e2686107bc)

 src/terminal-options.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit afd8567fcaefc7c6739032fd37e2e0b695c2cb35
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon May 21 20:59:08 2018 +0200

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4b4a14abdd047b55b5940afa11aa9b2004eb76d6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon May 21 20:56:25 2018 +0200

    Version 3.28.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3f41703ba18836195afe93a6819ca89a4c7bce5b
Author: Dz Chen <wsxy162@gmail.com>
Date:   Mon May 21 16:30:52 2018 +0000

    Update Chinese (China) translation

 po/zh_CN.po | 2487 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1339 insertions(+), 1148 deletions(-)

commit 47a949167af299e40b47fb6caf08ec06373b33d5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed May 2 19:32:52 2018 +0200

    client: legacy: Fix output commenting
    
    Make sure each line starts with '#' even if the message
    contains embedded newlines.
    
    (cherry picked from commit d62c6ee988371cdf2af84a7898cee686c484aff8)

 src/terminal-options.c | 26 ++++++++++++--------------
 1 file changed, 12 insertions(+), 14 deletions(-)

commit 1828cb6d523f80c2aad69b8d452825ab9f737db0
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Wed Apr 18 22:02:05 2018 +0200

    prefs: editor: Translate encoding names
    
    https://bugzilla.gnome.org/show_bug.cgi?id=795358
    (cherry picked from commit 8fe4a989c5a518e16aabf9b5ea310d3b23a37e94)

 src/terminal-encoding.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4faa26443bd698e1b4c9349f5996ac042cdde28e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 13 21:44:34 2018 +0200

    Update Polish translation

 po/pl.po | 203 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 101 insertions(+), 102 deletions(-)

commit 7f6ad2c4e305eec8277acc1a1070261bcd9181c6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Apr 12 18:48:35 2018 +0200

    Updated Slovenian translation

 po/sl.po | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 7de21fbfd0f1b08b0539e6608524abc9ed4a591b
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:   Wed Apr 11 23:26:43 2018 +0000

    Update Greek translation

 po/el.po | 2521 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1407 insertions(+), 1114 deletions(-)

commit ce5a199721c06d6e1d6cde1a083d4db9a916ba08
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Apr 10 17:56:56 2018 +0200

    Updated Slovenian translation

 po/sl.po | 2442 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1320 insertions(+), 1122 deletions(-)

commit bc18406b41631cb8be6d3020299184cce12a5d1f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 9 21:55:31 2018 +0200

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07f2f4fcbe70e8afbd88e7cbe0a08ab9422a1d87
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 9 21:51:25 2018 +0200

    Version 3.28.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 84b94b0dd053f200ff982a87b6ea68e6005b3004
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 9 21:39:29 2018 +0200

    app: Plug a mem leak

 src/terminal-app.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 89b974fc6559a1cbe52875464106be4c777dc9f6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 9 21:39:29 2018 +0200

    prefs: editor: Plug a mem leak

 src/terminal-prefs.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 5adcab5f6e3cba58d865e4a4eb7d4802aad37716
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 9 21:39:29 2018 +0200

    window: Plug a mem leak

 src/terminal-window.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d5ef4e6ec8a1e83e8f23b15670eaa009731c0ce3
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Thu Apr 5 23:20:24 2018 +0000

    Update Hungarian translation

 help/hu/hu.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 90b49fc33d3999fe2237fef360ab5959f7e2e71d
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Thu Apr 5 23:18:40 2018 +0000

    Update Hungarian translation

 help/hu/hu.po | 206 ++++++++++++++++++++++++++++++----------------------------
 1 file changed, 106 insertions(+), 100 deletions(-)

commit 8b0b6cbe219166c28ec8639f8a1e8cdda9122a8d
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue Apr 3 18:59:11 2018 +0200

    window: Remove redundant function call
    
    Setting GtkMenu:attach-widget will also set the GdkScreen. There's no
    need to set it separately.
    
    For what it's worth, the previous GtkUIManager based code wasn't
    explicitly setting the GdkScreen either.
    
    Fallout from 0820b3853a3b7c629a93fa820d5372eac1760686
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794935
    (cherry picked from commit ea8776e7713221e31c9b62c9157db8bbe7e3c694)

 src/terminal-window.c | 1 -
 1 file changed, 1 deletion(-)

commit e3540e59942bb600eb4913636096e792327677b4
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue Apr 3 18:51:30 2018 +0200

    window: Don't misplace the notebook popup on Wayland
    
    Fallout from 0820b3853a3b7c629a93fa820d5372eac1760686
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794935
    (cherry picked from commit ebc2db30526c9a033c7d1de6292044cac1105b1c)

 src/terminal-window.c | 65 +--------------------------------------------------
 1 file changed, 1 insertion(+), 64 deletions(-)

commit 746a066098a67bc7c92a6fdcc9fffd0b1cec0553
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Mar 29 20:36:48 2018 +0000

    Update Swedish translation

 help/sv/sv.po | 3350 +++++++++++++++++++++++++++++++++------------------------
 1 file changed, 1945 insertions(+), 1405 deletions(-)

commit 2ec43ee2f1ef70e88e7b491334fe032747bc26af
Author: Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Date:   Tue Mar 27 11:57:04 2018 +0200

    Updated Spanish translation

 help/es/es.po | 111 +++++++++++++++++++++-------------------------------------
 1 file changed, 39 insertions(+), 72 deletions(-)

commit 5e3be7126bf69205ca5efcd7e3f110234bf0db09
Author: Stas Solovey <whats_up@tut.by>
Date:   Mon Mar 26 20:38:40 2018 +0000

    Update Russian translation

 po/ru.po | 2399 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1317 insertions(+), 1082 deletions(-)

commit 3e0b0d477c109952626c9f4ddf573c1e94a38507
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Mar 26 05:58:57 2018 +0200

    Update Polish translation

 help/pl/figures/gnome-terminal.png | Bin 10086 -> 10700 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit d363b7a572e83c4740ef70a2141588bd25cfed68
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Mar 25 23:10:01 2018 +0200

    Update Arabic translation

 po/ar.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9e0cf22bc04645b21aedae913f53d79808714269
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Mar 25 22:57:49 2018 +0200

    Update Arabic translation

 po/ar.po | 2440 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1301 insertions(+), 1139 deletions(-)

commit 0e515476e9040e9b9cfc3ded59fbdd84d525ccb8
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Tue Mar 20 14:42:21 2018 +0000

    Update Chinese (Taiwan) translation

 po/zh_TW.po | 134 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 67 insertions(+), 67 deletions(-)

commit 1223ec2a2c7154f249a2cadc972c9d5ab52d9582
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Mar 17 22:09:09 2018 +0000

    Update Slovak translation

 po/sk.po | 79 +++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 36 insertions(+), 43 deletions(-)

commit 10291e23bb7e483f8d7b7368cba5c605c0f37cf2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 17 19:55:20 2018 +0100

    client: legacy: Fix prgname
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793775
    (cherry picked from commit 0bee0d96140116eade848c23922d0920b612c787)

 src/terminal.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f3bf6fe4bf72f00e9da78c3b9d85a620b087fc0
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Mar 17 10:45:08 2018 +0000

    Update Slovak translation

 po/sk.po | 231 +++++++++++++++++++++++----------------------------------------
 1 file changed, 82 insertions(+), 149 deletions(-)

commit 276e6ef6935075da1c906bca32ad8619bc7a047e
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Mar 16 21:16:19 2018 +0100

    window: Do not change New Terminal's behavior on right click
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794402
    (cherry picked from commit d6885c2a77eb48ba8c0d410139a7b49120b15bb8)

 src/terminal-window.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit db6a2e85b157e6ec11f8f13ed97132a8e65633df
Author: Nathan Follens <nathan@anche.no>
Date:   Tue Mar 13 19:21:29 2018 +0000

    Update Dutch translation

 po/nl.po | 128 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 63 insertions(+), 65 deletions(-)

commit d1b6f18eb6128d0a49b72d03fb42a07cec5de8ec
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 12 21:53:44 2018 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ab439ff679a0ff2607a3ebb746f54281c439700b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 12 21:47:44 2018 +0100

    Version 3.28.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a29ff5ca5dc498c590c5df3bd79dc4bacbccabc6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 12 21:48:52 2018 +0100

    i18n: Fix translations yet again

 po/nl.po | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 86b8959af161ebd041687c83d70dee21e5226650
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Mar 12 12:37:00 2018 +0100

    Fix xml in Hungarian translation

 help/hu/hu.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 59d97644ed18b6b6138709d6a5852845342424dd
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Mon Mar 12 06:59:57 2018 +0000

    Update Hungarian translation

 help/hu/hu.po | 2462 +++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 1585 insertions(+), 877 deletions(-)

commit d1acb7f1816052472979cf66a0fa3a60c7e6a33b
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Mar 11 20:18:02 2018 +0000

    Update Swedish translation

 po/sv.po | 2431 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1333 insertions(+), 1098 deletions(-)

commit d99e5820c639dc71677b486f5094540f91352162
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Sun Mar 11 07:10:18 2018 +0000

    Update Turkish translation

 po/tr.po | 1158 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 607 insertions(+), 551 deletions(-)

commit 68fc2e962ffb950a5ab3e5c452bee74bb8608af5
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Sat Mar 10 20:10:33 2018 +0100

    Added Romanian Translation for the Documentation

 help/Makefile.am |    2 +-
 help/ro/ro.po    | 3339 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3340 insertions(+), 1 deletion(-)

commit 2dcf6f0f30d787cbbc9801a1cf85d120f03d65c4
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Sat Mar 10 17:22:01 2018 +0000

    Update Italian translation

 po/it.po | 2208 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1112 insertions(+), 1096 deletions(-)

commit 9c8c014901ea5afe1418e704f08be72ee796a0e1
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Sat Mar 10 17:20:39 2018 +0000

    Update Romanian translation

 po/ro.po | 2618 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1412 insertions(+), 1206 deletions(-)

commit 526ee84bff5838c3b64e22689154d510e1ab01a5
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Mar 10 11:52:06 2018 +0000

    Update Chinese (Taiwan) translation

 po/zh_TW.po | 2439 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1315 insertions(+), 1124 deletions(-)

commit a7ceca0aea01a3e812f68c26cc3af64816155679
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Thu Mar 8 12:53:38 2018 +0000

    Update German translation

 help/de/de.po | 2432 ++-------------------------------------------------------
 1 file changed, 61 insertions(+), 2371 deletions(-)

commit e4bb1c8ff10e610e6ab8abd72f21cb4c2b48de13
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Wed Mar 7 21:30:39 2018 +0200

    Update Latvian translation

 po/lv.po | 2487 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1391 insertions(+), 1096 deletions(-)

commit 4d7798d0b64ac43518952171b89f4a1fdf07d35c
Author: gogo <trebelnik2@gmail.com>
Date:   Wed Mar 7 14:10:23 2018 +0000

    Update Croatian translation

 po/hr.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 8aebb58ff1dcc414a3dd377f44546d9dc145b856
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Wed Mar 7 00:48:41 2018 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 234 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 116 insertions(+), 118 deletions(-)

commit 76ce27650e00a44f645e011553da1af7308eb2fd
Author: Isaac F. Ferreira Filho <isaacmob@riseup.net>
Date:   Wed Mar 7 00:47:16 2018 +0000

    Update Brazilian Portuguese translation

 help/pt_BR/pt_BR.po | 2408 +++++++++++++++++++++++++++++++--------------------
 1 file changed, 1456 insertions(+), 952 deletions(-)

commit ffbf6d79302d69d44f232234bdc592c45ad49ef7
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Wed Mar 7 00:18:20 2018 +0000

    Update German translation

 help/de/de.po | 2264 ++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 1373 insertions(+), 891 deletions(-)

commit 732e9cd108fe1f84cfbb6a2c1a2040fa71ab8b57
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Tue Mar 6 21:04:10 2018 +0100

    Updated Czech translation

 help/cs/cs.po | 1942 +++++++++++++++++++++++++++++++--------------------------
 po/cs.po      | 1246 ++++++++++++++++++------------------
 2 files changed, 1644 insertions(+), 1544 deletions(-)

commit 80b31d268cc49416cfbf2079ff694405eb3b1f04
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 5 22:04:44 2018 +0100

    build: Post release version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a17b4061be60d901c89b4fce02787be473526ad3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 5 22:00:51 2018 +0100

    Version 3.27.92

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 22dd5dd57a08208abced8d1cfc940b3c8200b6bd
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Mar 5 13:57:09 2018 +0100

    window: Fix Clear Highlight to actually clear the highlight
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792885

 src/terminal-window.c | 1 +
 1 file changed, 1 insertion(+)

commit 50b3db5ed2ec025571a179e29f9607b88e7d0606
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 5 13:39:57 2018 +0100

    appdata: Use "or" instead of "|"

 org.gnome.Terminal.Nautilus.metainfo.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8a3f0414bcdc53a464fdfbec1c17ff0ee3dbada2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 5 13:37:36 2018 +0100

    appdata: Use "or" instead of "|"

 org.gnome.Terminal.appdata.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a4a823c6489a2646ef7d54d46ccf0328dbcae970
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 3 20:38:11 2018 +0100

    appdata: Use https links

 org.gnome.Terminal.Nautilus.metainfo.xml.in | 2 +-
 org.gnome.Terminal.appdata.xml.in           | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 652d6ce4a9f7b92d956f5cd47450d3fbdb65285e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 3 20:28:28 2018 +0100

    appdata: Add GFDL option
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731462

 COPYING.GFDL                                | 451 ++++++++++++++++++++++++++++
 Makefile.am                                 |   2 +
 org.gnome.Terminal.Nautilus.metainfo.xml.in |  28 +-
 org.gnome.Terminal.appdata.xml.in           |  28 +-
 4 files changed, 493 insertions(+), 16 deletions(-)

commit 50fe8bb9c2493379032501d23af188d8b3ef3970
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Mar 3 14:36:55 2018 +0200

    Updated Lithuanian translation

 po/lt.po | 1209 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 611 insertions(+), 598 deletions(-)

commit a532e729d24fb384f597bd8e5ad70882b2e55827
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat Mar 3 07:51:28 2018 +0100

    Fixes to Catalan translation

 help/ca/ca.po | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit 4c794f0784236e8ebf7b41a0e63fed0bad90f433
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat Mar 3 07:43:48 2018 +0100

    Update Catalan translation

 po/ca.po | 328 +++++----------------------------------------------------------
 1 file changed, 26 insertions(+), 302 deletions(-)

commit ba655024c5f998ddf1dde130db3d889b56f728ed
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Fri Mar 2 11:24:14 2018 +0000

    Update Scottish Gaelic translation
    
    (cherry picked from commit 34068000564e3c4bea8faa3a4fba7eab516742a6)

 po/gd.po | 1031 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 576 insertions(+), 455 deletions(-)

commit b2f598b5e3f27865a6fa2fee0bca333c9f08fb89
Author: Marcos Lans <marcoslansgarza@gmail.com>
Date:   Thu Mar 1 21:35:34 2018 +0000

    Update Galician translation

 po/gl.po | 255 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 116 insertions(+), 139 deletions(-)

commit 971f3ba5fde91c31b08c55be9c307682429188d0
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Tue Feb 27 17:50:20 2018 +0100

    Updated Danish translation

 po/da.po | 2188 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1101 insertions(+), 1087 deletions(-)

commit 3fe36ddd876ff2c4a18869155c5daf3b5fd5034e
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Tue Feb 27 08:00:08 2018 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 2446 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1327 insertions(+), 1119 deletions(-)

commit 56d07b79e74b6737a733022c38fc53a13ea36fef
Author: Guillaume Bernard <associations@guillaume-bernard.fr>
Date:   Mon Feb 26 20:36:52 2018 +0000

    Update French translation

 po/fr.po | 2432 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1334 insertions(+), 1098 deletions(-)

commit 06094e64c8d333e96cf2f695d1b623a9fda1bbae
Author: Jinho Bang <zino@chromium.org>
Date:   Mon Feb 26 11:32:44 2018 +0000

    Update Korean translation

 po/ko.po | 2337 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 1138 insertions(+), 1199 deletions(-)

commit 8c2b8b2efd2062670521b17d10cde6b07a80470a
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Feb 26 10:41:44 2018 +0000

    Update Slovak translation

 po/sk.po | 2666 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1512 insertions(+), 1154 deletions(-)

commit c80f7059954c8bfcf59de36caca31c337e962779
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Feb 26 00:45:34 2018 +0100

    Update Polish translation

 help/pl/pl.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit a2bb902afcfbfd320d14c114a6731456dcc5e41e
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Sun Feb 25 23:03:49 2018 +0100

    help: Fix various grammar issues and missing words

 help/C/overview.page | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 07a944dcd211216b44777fea75fcec626e12b2d0
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:   Sun Feb 25 22:04:37 2018 +0100

    Add German translation screenshot

 help/de/figures/gnome-terminal.png | Bin 0 -> 14096 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit c43f5119e7b2eab1ff25dbfb6987f7bbf2542b73
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Feb 25 08:33:54 2018 +0100

    Update Catalan translation

 po/ca.po | 1842 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 989 insertions(+), 853 deletions(-)

commit 163bc0cf4f4248f27df9e06217773bef8b594d05
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Sat Feb 24 16:28:14 2018 +0000

    Update Dutch translation

 po/nl.po | 2452 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1351 insertions(+), 1101 deletions(-)

commit 5a9ab0412a5e4865a6323407a5fa87c9c33b28c2
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Feb 24 08:54:43 2018 +0000

    Update Kazakh translation

 po/kk.po | 2415 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1325 insertions(+), 1090 deletions(-)

commit 42ba5066af6f7635d3e8f375420817c4a257e228
Author: Милош Поповић <gpopac@gmail.com>
Date:   Fri Feb 23 10:42:57 2018 +0000

    Update Serbian Latin translation

 po/sr@latin.po | 2453 ++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1335 insertions(+), 1118 deletions(-)

commit 26dea42b74de6aca6394f6de293ead1b56668da4
Author: Милош Поповић <gpopac@gmail.com>
Date:   Fri Feb 23 10:40:59 2018 +0000

    Update Serbian translation

 po/sr.po | 2453 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1335 insertions(+), 1118 deletions(-)

commit 9637c3a5b5d4a27b78a061a4ada7d969a15cc7bc
Author: gogo <trebelnik2@gmail.com>
Date:   Tue Feb 20 12:13:40 2018 +0000

    Update Croatian translation

 po/hr.po | 1378 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 776 insertions(+), 602 deletions(-)

commit f610ae666cd17e0a7a80f081ebda8de1852e2e02
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Feb 18 17:13:03 2018 +0100

    prefs: editor: Remove translatable placeholder
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793558

 src/preferences.ui | 2 --
 1 file changed, 2 deletions(-)

commit 303c6e83f65ee9b903213b9051742705533e87ef
Author: Bruce Cowan <bruce@bcowan.eu>
Date:   Sun Feb 18 11:15:48 2018 +0000

    Update British English translation

 po/en_GB.po | 2727 +++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 1550 insertions(+), 1177 deletions(-)

commit 21f0b4f4e6ed0e4c41e811273f17156cae4dad10
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Fri Feb 16 23:35:01 2018 +0000

    Update Galician translation

 po/gl.po | 1093 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 563 insertions(+), 530 deletions(-)

commit 1f22bfa061a57c1328525ab4ad73e192d797c564
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Feb 16 22:31:31 2018 +0100

    window: Save contents to the Documents folder by default
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793519

 src/terminal-window.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit cb3240851e6839d7689f717ce025db04459593ad
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Feb 13 20:24:43 2018 +0100

    client: legacy: Make --wait respect the pref whether to open a window or tab
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793382

 src/terminal-options.c | 57 +++++++++++++++++++++++++++++++++++++-------------
 src/terminal-options.h |  2 +-
 2 files changed, 43 insertions(+), 16 deletions(-)

commit ccc1b32fd7a6361378bad6d62412a5584e150430
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 12 19:53:08 2018 +0100

    client: legacy: Error out when calling --preferences from within gnome-terminal
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792622

 src/terminal.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 7bf099c1a5ba5eaf53a8e4fc49d10b499f48e551
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 12 19:39:00 2018 +0100

    client: legacy: Remove double comment output
    
    One '#' is enough.

 src/terminal-options.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6f25e1e53f0c58f0acd9d6dae02f3661c9b26b83
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Feb 12 17:50:25 2018 +0100

    Update Polish translation

 help/pl/pl.po | 24 ++++++++++++------------
 po/pl.po      | 10 +++++-----
 2 files changed, 17 insertions(+), 17 deletions(-)

commit 2c5bd9526e6317e241d2c3ac825799ccb3f60646
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Feb 12 03:35:25 2018 +0100

    Update Polish translation

 help/pl/pl.po | 1817 ++++++++++++++++++++++++---------------------
 po/pl.po      | 2306 +++++++++++++++++++++++++++++----------------------------
 2 files changed, 2141 insertions(+), 1982 deletions(-)

commit ffdfb3d89756227332576e7f79daae35cb07bca2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Feb 12 03:32:08 2018 +0100

    help: Assorted typo fixes

 help/C/app-colors.page    | 6 +++---
 help/C/app-fonts.page     | 2 +-
 help/C/prob-reset.page    | 2 +-
 help/C/txt-save-text.page | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit e7902c81a2fe079afe20311a4c348298fb02f758
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Sat Feb 10 08:47:05 2018 +0000

    Update Turkish translation

 po/tr.po | 526 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 296 insertions(+), 230 deletions(-)

commit 1cdd78da9798a661c22640675f410f56938aa2ed
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Fri Feb 9 23:29:31 2018 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 1017 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 518 insertions(+), 499 deletions(-)

commit dbd9e88837c2f48730d1fcbf1c48ef4c821b0a85
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Fri Feb 9 09:26:36 2018 +0000

    Update Indonesian translation

 po/id.po | 1149 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 650 insertions(+), 499 deletions(-)

commit 6516f6766933954c4d6566c6fead23fba1d3a876
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Tue Feb 6 21:38:01 2018 +0000

    Update Finnish translation

 po/fi.po | 935 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 504 insertions(+), 431 deletions(-)

commit 33890237e312fc8cbc7d395ce7843e80f8e37003
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Feb 6 19:23:19 2018 +0100

    screen: No need to set PWD anymore, it's done by VTE now
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758452

 src/terminal-screen.c | 6 ------
 1 file changed, 6 deletions(-)

commit 25b6dc04672652b1af6f5dc0481fe253e6bf6a4e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 21:24:13 2018 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95e9ad799727df9bc2f4ddec94c19be66a3daaab
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 21:20:28 2018 +0100

    Version 3.27.90

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 962b48e4ff5b8b8971d78cb753d5d6565f580ee8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 21:20:28 2018 +0100

    i18n: Mark incorrect translation as fuzzy
    
    Make a correction, but also mark fuzzy so translators can review.

 po/sk.po | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit cba6d3f0e41bf3002c0c8a4455c373b37bb4dee3
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 21:20:28 2018 +0100

    build: Update POTFILES.skip

 po/POTFILES.skip | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a3a7488abec0345421ba5c6a806d66ded03a88c6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 21:20:28 2018 +0100

    preferences: profile: Fix input hints on older gtk version
    
    Set the input hints from code instead of .ui file, since
    the enum value used isn't supported in gtk versions < 3.22.20.

 src/preferences.ui   |  6 ------
 src/profile-editor.c | 55 ++++++++++++++++++++++++++++++++--------------------
 2 files changed, 34 insertions(+), 27 deletions(-)

commit 81415cb416c4155b31b1d12fdfe0fc506d0fbf34
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 21:20:28 2018 +0100

    util: Update about

 src/terminal-util.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2c85bd0f36c064ce30cebe542073c9c027d60aad
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 21:20:28 2018 +0100

    server: Be more strict about --app-id arguments

 src/server.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f997189bfa6a8753e5886f1bb545b3a5465591cb
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Feb 5 14:33:56 2018 +0100

    app: Revise the logic for having an appmenu
    
    Display the appmenu as the 4th window decoration button in GNOME Shell,
    when the shell doesn't show the appmenu. This was accidentally gone with
    the GMenu port.
    
    Don't have an appmenu in Unity where the shell displays both the appmenu
    and the menubar, the appmenu is pointless in this case.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793135

 src/terminal-app.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit c8e05a1468c78afeb0ad013bc8fba76d48a3a177
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 5 11:22:28 2018 +0000

    Update Spanish translation

 po/es.po | 1053 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 563 insertions(+), 490 deletions(-)

commit d4ddc4f6348873368103825a9ca62984794adb3e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 5 11:11:30 2018 +0000

    Update Spanish translation

 help/es/es.po | 2375 ++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 1526 insertions(+), 849 deletions(-)

commit 03156bc343b7c72dcc7addf1fa6de3578dfa3cc7
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Mon Feb 5 10:15:03 2018 +0000

    Fix non-srcdir builds
    
    If we are including generated files inside a GResource manifest we need
    to add $(builddir) to the source directories for glib-compile-resources,
    both for the dependency discovery and for the actual generation.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793179

 src/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e4136ee122ae2b63d35d047416e3235b079833b0
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Mon Feb 5 01:04:49 2018 +0000

    Update German translation

 po/de.po | 984 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 493 insertions(+), 491 deletions(-)

commit f1c46cb52560db106b85a93346c8bcf340ac05f1
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Feb 4 21:00:18 2018 +0100

    all: Improve mnemonic handling
    
    Disable mnemonics for the submenus (Alt+F for File etc.) when the menubar
    is shown by the shell (e.g. Unity) so that they are usable in the terminal.
    (As of the GMenu port, disabling them via the config option didn't work.)
    Also hide the corresponding preference checkbox.
    
    Make mnemonics work in the Find and Preferences windows.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792978

 po/POTFILES.in                                     |  2 +-
 src/Makefile.am                                    | 10 ++++++-
 src/terminal-app.c                                 | 26 +++++++++++-----
 ...{terminal-menubar.ui => terminal-menubar.ui.in} | 21 ++++++++-----
 src/terminal-prefs.c                               | 14 +++++----
 src/terminal-window.c                              | 35 ++++++++++++++++++----
 src/terminal.gresource.xml                         |  3 +-
 7 files changed, 83 insertions(+), 28 deletions(-)

commit d6f1dd280c42d4fb111735971b746425705bfcc4
Author: Balázs Meskó <meskobalazs@fedoraproject.org>
Date:   Sun Feb 4 19:58:28 2018 +0000

    Update Hungarian translation

 po/hu.po | 1038 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 528 insertions(+), 510 deletions(-)

commit 0da2e2a0052469ee02cd50253ead3ad6a3bf0a71
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sun Feb 4 15:40:26 2018 +0000

    Update Friulian translation

 po/fur.po | 1017 ++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 539 insertions(+), 478 deletions(-)

commit 97937067676e9eb599b9f4ed3d5e39075bb31d46
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Feb 4 01:09:44 2018 +0100

    help: Remove profile.page

 help/C/profile.page | 20 --------------------
 1 file changed, 20 deletions(-)

commit d944c8c9e5dab37e547da54da21eb02c1ac51a99
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 4 00:58:14 2018 +0100

    Update POTFILES.in

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit 9a47978872b05b9a7c446d28b235049aacd43835
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Feb 4 00:48:19 2018 +0100

    help: Update for the merged Preferences window
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722114

 help/C/adv-keyboard-shortcuts.page  |   5 +-
 help/C/app-colors.page              |  40 ++++++--
 help/C/app-cursor.page              |  14 ++-
 help/C/app-fonts.page               |  36 +++++--
 help/C/app-terminal-sizes.page      |  23 +++--
 help/C/pref-bell.page               |  13 ++-
 help/C/pref-compatibility.page.stub |  37 +++++--
 help/C/pref-custom-command.page     |  14 ++-
 help/C/pref-custom-exit.page        |  14 ++-
 help/C/pref-keyboard-access.page    |   2 +-
 help/C/pref-login-shell.page        |  14 ++-
 help/C/pref-menubar.page            |   2 +-
 help/C/pref-profile-char-width.page |  11 +-
 help/C/pref-profile-encoding.page   |  11 +-
 help/C/pref-profiles.page           | 200 ++++++++++++++++++------------------
 help/C/pref-scrolling.page          |  62 ++++++++---
 help/C/pref.page                    |  12 +++
 help/Makefile.am                    |   1 -
 18 files changed, 324 insertions(+), 187 deletions(-)

commit 4a4f7f53e648b5ed37c73f27dd805b9ca4f53497
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Feb 4 00:38:21 2018 +0100

    prefs: editor: Rename General profile tab to Text, reorganize its contents
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722114#c26

 src/preferences.ui | 734 +++++++++++++++++++++++++++--------------------------
 1 file changed, 381 insertions(+), 353 deletions(-)

commit 42da010df60c14939f811dcb6b9ba03f1dbe6107
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Feb 4 00:32:16 2018 +0100

    prefs: editor: Merge the Preferences and Profile Preferences windows
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722114

 configure.ac                       |    2 +-
 src/Makefile.am                    |    1 -
 src/migration.c                    |    3 +-
 src/org.gnome.Terminal.gschema.xml |    8 -
 src/preferences.ui                 | 2422 +++++++++++++++++++++++++++++++-----
 src/profile-editor.c               |  903 +++++++-------
 src/profile-editor.h               |   10 +-
 src/profile-preferences.ui         | 1851 ---------------------------
 src/terminal-accels.c              |    4 -
 src/terminal-app.c                 |   37 +-
 src/terminal-app.h                 |   13 +-
 src/terminal-menubar.ui            |    8 -
 src/terminal-prefs.c               | 1016 +++++++++------
 src/terminal-prefs.h               |   28 +-
 src/terminal-screen.c              |   12 +-
 src/terminal-settings-list.c       |   48 +-
 src/terminal-settings-list.h       |    6 +-
 src/terminal-util.c                |    9 +-
 src/terminal-util.h                |   10 +-
 src/terminal-window.c              |   39 +-
 src/terminal.gresource.xml         |    1 -
 21 files changed, 3334 insertions(+), 3097 deletions(-)

commit 7cb0891d70c38f7cf631555b2877d12e1ca12618
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sat Feb 3 11:54:51 2018 +0000

    Update Finnish translation

 po/fi.po | 272 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 136 insertions(+), 136 deletions(-)

commit f4900f116c9912a06f7c56d6a8fd7fb3fce14742
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Feb 2 21:29:29 2018 +0100

    profile: editor: Use the same mnemonic for the two Reset buttons
    
    This guarantees that their translations are also the same.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=791968#c32

 src/profile-preferences.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ba1a38d49efd40496a68fb1f2e7bb9af5b6b25e0
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Feb 2 21:26:53 2018 +0100

    profile: editor: Make sure mnemonics don't conflict

 src/preferences.ui         | 2 +-
 src/profile-preferences.ui | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 14e91682b6ecb3a15e0c5c6aff07eb53e59f244f
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Feb 2 21:04:16 2018 +0100

    profile: editor: Minor UI and mnemonic fixes

 src/preferences.ui         | 3 ++-
 src/profile-preferences.ui | 1 +
 2 files changed, 3 insertions(+), 1 deletion(-)

commit 581019e2d2ff8ebae7511992f6b30b957f435a92
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Thu Feb 1 23:07:03 2018 +0100

    server: No longer set Ubuntu specific environment variables
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793105

 configure.ac | 24 ------------------------
 src/server.c | 12 ------------
 2 files changed, 36 deletions(-)

commit 7198f87624d3971c76abf6bfe471cd723ab02fbb
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Thu Feb 1 09:04:14 2018 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 2284 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1242 insertions(+), 1042 deletions(-)

commit 24bed18cfcb6d456aca58d5d880f598b31df4e60
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Jan 30 21:40:54 2018 +0100

    help: Various fixes and improvements
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792529

 help/C/adv-keyboard-shortcuts.page  | 96 ++++++++++++++++++++++++-------------
 help/C/app-colors.page              | 26 ++++++----
 help/C/app-cursor.page              | 21 ++++----
 help/C/app-fonts.page               | 30 ++++++------
 help/C/app-fullscreen.page          |  2 +-
 help/C/app-terminal-sizes.page      | 11 ++---
 help/C/gs-execute-commands.page     |  2 +-
 help/C/gs-tabs.page                 |  6 +--
 help/C/index.page                   | 12 ++---
 help/C/overview.page                |  8 ++--
 help/C/pref-bell.page               | 11 +----
 help/C/pref-compatibility.page.stub |  2 +-
 help/C/pref-encoding.page           | 35 ++------------
 help/C/pref-keyboard-access.page    |  6 +--
 help/C/pref-login-shell.page        | 51 ++++----------------
 help/C/pref-menubar.page            |  6 +--
 help/C/pref-profile-encoding.page   |  2 +-
 help/C/pref-scrolling.page          | 42 +++++++++++++---
 help/C/pref-tab-window.page         |  4 +-
 help/C/prob-reset.page              |  6 +--
 help/C/txt-copy-paste.page          | 10 +++-
 help/C/txt-links.page               |  6 +--
 help/C/txt-save-text.page           |  9 ++--
 help/C/txt-search.page              | 20 +++-----
 help/C/txt-select-text.page         |  1 -
 help/Makefile.am                    |  2 +
 26 files changed, 209 insertions(+), 218 deletions(-)

commit 15f4020e85285103bc573f3d2c08c3399e1ebf16
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 29 23:25:05 2018 +0100

    menubar: Change the Find entry back to Search
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792912

 src/terminal-accels.c   | 4 ++--
 src/terminal-menubar.ui | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit e800915a9449016c83524297a1670eaec6a859ae
Author: Tim Sabsch <tim@sabsch.com>
Date:   Sat Jan 27 15:23:41 2018 +0000

    Update German translation

 po/de.po | 311 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 165 insertions(+), 146 deletions(-)

commit a5925fbabd1527013489ed5906e2ddc9ff5be43c
Author: Balázs Úr <balazs@urbalazs.hu>
Date:   Fri Jan 26 21:18:32 2018 +0000

    Update Hungarian translation

 po/hu.po | 1928 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 984 insertions(+), 944 deletions(-)

commit a60b5d1e54202b62ef22ac06af10c9cf54760bd2
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 22 23:41:07 2018 +0100

    profile: editor: More logical order for notebook tabs
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792797

 src/profile-preferences.ui | 234 ++++++++++++++++++++++-----------------------
 1 file changed, 117 insertions(+), 117 deletions(-)

commit 48af545ecf7dd22db3c7d2c4c9ab88ac81dbd378
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 22 23:12:54 2018 +0100

    profile: editor: Move "Allow blinking text" to the bottom
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792794

 src/profile-preferences.ui | 80 +++++++++++++++++++++++-----------------------
 1 file changed, 40 insertions(+), 40 deletions(-)

commit b24587dec3f7d164308e7bd33f19dd5e61c33569
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 22 23:11:48 2018 +0100

    profile: editor: Demote "Rewrap on resize" to a hidden pref
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792532

 src/profile-editor.c       |  4 ----
 src/profile-preferences.ui | 29 ++++++-----------------------
 2 files changed, 6 insertions(+), 27 deletions(-)

commit e88953fe6af64f3e30f2fda6433450811f6ff595
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 22 20:16:34 2018 +0100

    schemas: Remove obsolete "encodings" entry
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792607

 src/org.gnome.Terminal.gschema.xml | 5 -----
 1 file changed, 5 deletions(-)

commit 535b02335763a46bcc890084626572e4058cb831
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 22 13:29:25 2018 +0100

    profile: editor: Scrollback lines' plus/minus buttons jump by thousands
    
    Also mark other numeric fields as such, and remove climb-rate.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792760

 src/profile-preferences.ui | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 07b387e48dcdf7e70936ac73797864a2bd799d3d
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Jan 21 13:46:51 2018 +0100

    profile: editor: Set "no emoji" hint on certain entry fields
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792625

 src/profile-preferences.ui | 6 ++++++
 1 file changed, 6 insertions(+)

commit 52ac51cf51c7716c1cf6e5206925b0864edc6b8a
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Jan 21 09:12:55 2018 +0100

    Update Catalan translation

 po/ca.po | 2538 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1327 insertions(+), 1211 deletions(-)

commit 25c1ce47f2a35a9dd6d328a8fb75e5ab1e703291
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Wed Jan 17 21:16:14 2018 +0100

    profile: editor: Fix xml indentation

 src/profile-preferences.ui | 176 ++++++++++++++++++++++-----------------------
 1 file changed, 88 insertions(+), 88 deletions(-)

commit 45f209a0f747010c1fbd9101a18f2e42593b3ec6
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Wed Jan 17 21:07:20 2018 +0100

    profile: editor: Minor changes to the Command tab's layout
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792533

 src/profile-editor.c       |   7 ++-
 src/profile-preferences.ui | 109 ++++++++-------------------------------------
 2 files changed, 25 insertions(+), 91 deletions(-)

commit 96b2c9d4c6254d02702ab8cc268b860d2f93b176
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Jan 14 00:42:54 2018 +0100

    profile: editor: Fix spacing at the top of the Compatibility tab
    
    Also remove an invisible warning label.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792503

 src/profile-preferences.ui | 274 +++++++++++++++++++--------------------------
 1 file changed, 116 insertions(+), 158 deletions(-)

commit 37927b7d6e87d2bfaad48c24967401d7ac9b4175
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Jan 12 10:02:14 2018 +0100

    i18n: Use more translator friendly strings at cell spacing
    
    https://bugzilla.gnome.org/show_bug.cgi?id=791968#c25

 src/profile-editor.c       | 13 ++++++++++++-
 src/profile-preferences.ui |  6 ++----
 2 files changed, 14 insertions(+), 5 deletions(-)

commit 22de21785c7ab66bf88c7cfde50d3d52b33defeb
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Fri Jan 12 08:33:38 2018 +0000

    Update Finnish translation

 po/fi.po | 2011 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1083 insertions(+), 928 deletions(-)

commit 9d5c392ba2ba6dc95920c80c25f7b4795a7085d8
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Wed Jan 10 15:33:14 2018 +0000

    Update Friulian translation

 po/fur.po | 800 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 458 insertions(+), 342 deletions(-)

commit 710c4796affa682ca8e4282e919863b956366f70
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jan 8 22:46:06 2018 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 81e33a0d5168763182c6192459f51d6cd904e942
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jan 8 22:46:06 2018 +0100

    Version 3.27.4

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6e055f13243bca26be4d4b0356aac99ec14d2305
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Mon Jan 8 21:37:18 2018 +0000

    Update German translation

 help/de/de.po | 97 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 47 insertions(+), 50 deletions(-)

commit 3337e4baae65be12f58f3b06ca62a4fee7fbe7e3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 8 12:21:27 2018 +0000

    Update Spanish translation

 po/es.po | 560 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 320 insertions(+), 240 deletions(-)

commit 52b2889f3ba204501ac6d154cb1d78aba072d82f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jan 8 12:06:19 2018 +0100

    window: Remove popup accelerators also in submenus
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792319

 src/terminal-window.c | 13 ++++++++++---
 1 file changed, 10 insertions(+), 3 deletions(-)

commit 6b7e177687a0be708e498bb1469b8b31ffdf84a4
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Mon Jan 8 09:59:50 2018 +0000

    Update Galician translation

 po/gl.po | 2145 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1170 insertions(+), 975 deletions(-)

commit 770bbc7025fe6ce7e0f45d688ffb290c870092b5
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Jan 7 16:09:08 2018 +0200

    Updated Lithuanian translation

 po/lt.po | 2081 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1154 insertions(+), 927 deletions(-)

commit 0bed4523ee6c98ce61fbae40c27c8bf62fa5c976
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Jan 6 11:21:10 2018 +0100

    menubar: Remove ellipses from preference entries
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792256

 src/terminal-menubar.ui | 6 +++---
 src/terminal-window.c   | 4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 26acb396d553fec019698247f9e0dde887abee46
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Wed Jan 3 00:02:29 2018 +0100

    profile: editor: Repaint the table when Enable shortcuts is toggled
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792139

 src/terminal-prefs.c | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 543a809dddd30cb36d3c1194f9c0a372e86b5aa8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Jan 2 12:08:25 2018 +0100

    profile: editor: Bypass palette mode for all colour pickers
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792103

 src/profile-editor.c | 91 ++++++++++++++++++++++++++++++++++------------------
 1 file changed, 59 insertions(+), 32 deletions(-)

commit fcd6bf551ce370a1cef1adecc8f56810868f0724
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 1 20:49:23 2018 +0100

    profile: editor: Add window title to highlight color pickers

 src/profile-preferences.ui | 2 ++
 1 file changed, 2 insertions(+)

commit 71f3635d86cf175ffca7a7d096ed6171be8353e1
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 1 20:21:57 2018 +0100

    profile: editor: Replace GtkTable with GtkGrid
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792083

 src/preferences.ui         |  40 +--
 src/profile-preferences.ui | 667 +++++++++++++++++----------------------------
 2 files changed, 273 insertions(+), 434 deletions(-)

commit 1a461d0dc59acdb7e3dd802b2c7969573e84087a
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 1 19:47:21 2018 +0100

    profile: editor: Align two combo boxes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792095

 src/preferences.ui | 8 --------
 1 file changed, 8 deletions(-)

commit 189bff2fcd2ef2c7766bce1e61e197ba8b0487ba
Author: Tim Sabsch <tim@sabsch.com>
Date:   Mon Jan 1 15:40:12 2018 +0000

    Update German translation

 po/de.po | 359 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 200 insertions(+), 159 deletions(-)

commit 51cb07f3244f8999dece9332d928b7529d9a63f9
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 1 15:57:10 2018 +0100

    regex: Allow apostrophes in URLs, except when enclosed between them
    
    https://bugzilla.gnome.org/show_bug.cgi?id=448044

 src/terminal-regex.c |  7 +++++++
 src/terminal-regex.h | 14 +++++++++-----
 2 files changed, 16 insertions(+), 5 deletions(-)

commit 3e5e27ca1043301a094502ce93872dafea41ba1b
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 31 17:34:26 2017 +0100

    profile: editor: Add "Cell spacing" preferences
    
    https://bugzilla.gnome.org/show_bug.cgi?id=791968

 src/profile-editor.c       |  24 ++++++++
 src/profile-preferences.ui | 141 ++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 164 insertions(+), 1 deletion(-)

commit 757e6aedbf571c3c4410b84b92b2bffa7e2c8bbb
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 31 17:25:54 2017 +0100

    profile: editor: Add "Cursor blinking" preference
    
    https://bugzilla.gnome.org/show_bug.cgi?id=559990

 src/profile-editor.c       |  8 +++++
 src/profile-preferences.ui | 84 +++++++++++++++++++++++++++++++++++++---------
 2 files changed, 77 insertions(+), 15 deletions(-)

commit 29b8fe0cf1e84c8d97d3b5362672a95f8260da20
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 31 12:46:46 2017 +0100

    profile: editor: Use zero based palette indices
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792057

 src/profile-editor.c       |   8 +--
 src/profile-preferences.ui | 118 ++++++++++++++++++++++-----------------------
 2 files changed, 63 insertions(+), 63 deletions(-)

commit 76a16074b7a80df6265fd35d84cbb63ca57e60e6
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Dec 29 21:08:29 2017 +0100

    profile: editor: Revert Tango palette's black to match the default
    
    Tango palette's black differed from gnome-terminal's default black.
    Revert Tango's black to dark Aluminium so that they match.
    
    Add new fg+bg color schemes "Tango dark" and "Tango light".
    
    Make "Tango dark" the default if "Use colors from system theme" is
    unchecked.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=774619

 src/org.gnome.Terminal.gschema.xml |  4 ++--
 src/profile-editor.c               | 12 +++++++++++-
 2 files changed, 13 insertions(+), 3 deletions(-)

commit d44eec53ac3bdf94b7bcb8baf7089d2065d2864a
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Dec 29 21:05:41 2017 +0100

    profile: editor: Specify color schemes in hex
    
    https://bugzilla.gnome.org/show_bug.cgi?id=774619

 src/org.gnome.Terminal.gschema.xml | 32 ++++++++++++++++----------------
 src/profile-editor.c               | 33 ++++++++++++++++-----------------
 2 files changed, 32 insertions(+), 33 deletions(-)

commit 2536010af7a0409cfaaaa8823c4353deacd7d96b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Dec 29 21:14:30 2017 +0100

    client: legacy: Fix --version output
    
    https://bugzilla.gnome.org/show_bug.cgi?id=791967

 src/terminal-options.c | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit d6a1a206bc94f4b6272525cc4288c2d010717750
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Dec 29 21:01:33 2017 +0100

    window: Maintain logical window size when line or char spacing changes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=791968#c9

 src/terminal-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 78a3297d02d6a2bc253eb036591a5d7feb0f6dfe
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Thu Dec 28 20:31:31 2017 +0000

    Update Turkish translation

 po/tr.po | 535 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 292 insertions(+), 243 deletions(-)

commit 08478e348da95030c0618e181c4475540eeac8a2
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Thu Dec 28 11:49:11 2017 +0000

    Update German translation

 po/de.po | 581 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 319 insertions(+), 262 deletions(-)

commit fbfc7fb4b00187b5588fe418ebba99c13a2770c6
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Dec 28 08:28:02 2017 +0100

    Updated Czech translation

 po/cs.po | 571 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 316 insertions(+), 255 deletions(-)

commit 0760f28a7fc8856716097a41e1567bdcf36eef7e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Dec 27 23:26:51 2017 +0100

    profile: editor: Only show monospace fonts
    
    https://bugzilla.gnome.org/show_bug.cgi?id=791969

 src/profile-editor.c | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit d78a48b17655790f9291677ecef25e113c74bada
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Wed Dec 27 09:30:02 2017 +0100

    Updated Czech translation

 po/cs.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5296b895792251d404079880c43b9c82329f72b7
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Dec 23 22:54:56 2017 +0100

    profile: editor: Add "Allow blinking text" preference
    
    https://bugzilla.gnome.org/show_bug.cgi?id=579964

 src/org.gnome.Terminal.gschema.xml | 10 ++++++
 src/profile-editor.c               |  8 +++++
 src/profile-preferences.ui         | 72 ++++++++++++++++++++++++++++++++++----
 src/terminal-schemas.h             |  1 +
 src/terminal-screen.c              |  4 +++
 5 files changed, 88 insertions(+), 7 deletions(-)

commit 2a6ceba43b6ad8e884920da4eca96ffbcfed34b5
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 17 23:45:42 2017 +0100

    regex: Disallow terminating semicolon in URLs

 src/terminal-regex.c | 2 ++
 src/terminal-regex.h | 2 +-
 2 files changed, 3 insertions(+), 1 deletion(-)

commit e6b08d49b17b372dfd86a1e7116ea4fc59c086e4
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 17 23:33:10 2017 +0100

    regex: Allow balanced pairs of square brackets in URLs
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763980#c8

 src/terminal-regex.c | 7 +++++++
 src/terminal-regex.h | 6 +++---
 2 files changed, 10 insertions(+), 3 deletions(-)

commit 2d9e9bafa699c31e1cc80160a935430e21d75082
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 17 23:18:38 2017 +0100

    window: Fix popup menu labels of email and voip addresses
    
    They got swapped in commit 0820b3853a3b7c629a93fa820d5372eac1760686.

 src/terminal-window.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5c089c48c8a694b8c81a7b256b02cf8c5600f1e9
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 17 21:56:22 2017 +0100

    search: Rename the label to Find
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771165#c2

 src/search-popover.ui | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit dbe6749869be3fed9c3099613001d9e9ecd9d70d
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 17 21:54:57 2017 +0100

    search: Close the dialog on Escape key
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771165

 src/terminal-search-popover.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit a6878a523377b6fff46f862058e8db34a493769b
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 17 21:53:43 2017 +0100

    search: Make reverse the default direction
    
    https://bugzilla.gnome.org/show_bug.cgi?id=791312

 src/search-popover.ui         | 2 +-
 src/terminal-search-popover.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 890541449d22c485c1cdf55ea571eb4225c0c197
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Dec 17 12:31:22 2017 +0100

    build: Fix compilation with Clang
    
    https://bugzilla.gnome.org/show_bug.cgi?id=790318

 src/terminal-options.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit b937f60883e01d0ed83adc49e79653841a81419e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Dec 13 15:28:45 2017 +0000

    Update Spanish translation

 po/es.po | 939 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 470 insertions(+), 469 deletions(-)

commit 5ee5b47f38a2e7ce316a9dd70f861252493410c5
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Tue Dec 12 11:47:53 2017 +0000

    Update Indonesian translation

 po/id.po | 265 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 140 insertions(+), 125 deletions(-)

commit 45e6742bfc38d8c95d613cdd99f17e97e428eb32
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Dec 11 22:37:01 2017 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f4f0a5667c1249c814d845c95059e6c885e3f5b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Dec 11 22:26:42 2017 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8d7e8b39f808bb4d008c64705c58c4819fd21d22
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Dec 11 22:19:47 2017 +0100

    Version 3.27.2

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fcac20fcc7b76cd5abb1e50af632584abf42647d
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Dec 9 21:23:14 2017 +0100

    profile: editor: Demote "Allow bold text" to a hidden pref
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762247

 src/profile-editor.c       |  4 ----
 src/profile-preferences.ui | 32 +++++++-------------------------
 2 files changed, 7 insertions(+), 29 deletions(-)

commit aeb429e5a36d64229707d93520f88ed18ea96f9c
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Dec 9 12:24:11 2017 +0100

    profile: editor: Add "Show bold text in bright colors" pref
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762247

 src/org.gnome.Terminal.gschema.xml |   5 +
 src/profile-editor.c               |   4 +
 src/profile-preferences.ui         | 586 +++++++++++++++++++------------------
 src/terminal-schemas.h             |   1 +
 src/terminal-screen.c              |   3 +
 5 files changed, 320 insertions(+), 279 deletions(-)

commit 0c811a67b4fd1c13d7f138bf228e943e7ce0a6e0
Author: Furkan Ahmet Kara <furkanahmetkara.fk@gmail.com>
Date:   Sat Dec 9 09:38:13 2017 +0000

    Update Turkish translation

 po/tr.po | 1731 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 909 insertions(+), 822 deletions(-)

commit a8f5dc9cd2c183ca61aa958bdcda310e03d9bb35
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Fri Dec 8 09:02:21 2017 +0000

    Update Icelandic translation
    
    (cherry picked from commit bcae445a53accd9b52f8a1381fd5fad5354980c7)

 po/is.po | 33 +++++++++++++++++++++------------
 1 file changed, 21 insertions(+), 12 deletions(-)

commit 4ebdada213035b92653bde0c2639453f151bf6b0
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Tue Dec 5 18:49:24 2017 +0000

    Update Icelandic translation
    
    (cherry picked from commit e01a9067f432cd29d77c25f633ca36ba532e66b1)

 po/is.po | 63 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 29 insertions(+), 34 deletions(-)

commit 10a6a26f17d34f646f679e7552a0b73068d26907
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Tue Dec 5 18:31:32 2017 +0000

    Update Icelandic translation
    
    (cherry picked from commit 30db4cc5a08b6c4456002ddb363da1209c969c08)

 po/is.po | 1323 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 808 insertions(+), 515 deletions(-)

commit bb22d7a5a96714cebab0d5ceaec8237fb7acc218
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Tue Dec 5 14:36:35 2017 +0000

    Update Indonesian translation

 po/id.po | 1716 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 900 insertions(+), 816 deletions(-)

commit 44a3eec31cc6334aaf7e869ebdd8f61a8ec3f92b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Dec 4 23:30:00 2017 +0100

    schemas: Use nice apostrophes in new keys
    
    See https://developer.gnome.org/hig/stable/typography.html

 src/org.gnome.Terminal.gschema.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 76acb5d29a2cb2d8650aad62608e5064d1e683ef
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Dec 4 23:15:59 2017 +0100

    screen: Add support for increased line and character spacing
    
    New hidden per-profile keys cell-{height,width}-scale take values
    from 1.0 (default) to 2.0 (double spacing) to push the letters further
    apart from each other, without affecting the font size.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=781479
    https://bugzilla.gnome.org/show_bug.cgi?id=738781

 src/org.gnome.Terminal.gschema.xml | 10 ++++++++++
 src/terminal-schemas.h             |  2 ++
 src/terminal-screen.c              |  9 ++++++++-
 3 files changed, 20 insertions(+), 1 deletion(-)

commit 4544faaed52c29fe05e7d390256bbe0b2d46a306
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Dec 4 20:17:31 2017 +0100

    Remove the OMF file
    
    It’s a gnome-doc-utils/ScrollKeeper leftover.

 help/gnome-terminal.omf.in | 9 ---------
 1 file changed, 9 deletions(-)

commit 47f646216783e8f3cecbd00736a1e43e336100e5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Dec 1 17:38:07 2017 +0100

    build: Add explicit pthreads dependency
    
    Use AX_PTHREAD to check for pthreads, and use the corresponding
    CFLAGS and LIBS for gnome-terminal-server.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=791052

 configure.ac     |   2 +
 m4/ax_pthread.m4 | 485 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/Makefile.am  |   5 +-
 3 files changed, 491 insertions(+), 1 deletion(-)

commit b1492a7b0bf4cc369173e1360fefdf67cff3a056
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Nov 28 21:14:50 2017 +0100

    Revert "Add Portuguese help translation"
    
    This reverts commit fe3bc1ead939acc87661ac8a09fa9f1e9bc75601.

 help/Makefile.am |    2 +-
 help/pt/pt.po    | 3704 ------------------------------------------------------
 2 files changed, 1 insertion(+), 3705 deletions(-)

commit fe3bc1ead939acc87661ac8a09fa9f1e9bc75601
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:   Tue Nov 28 20:34:22 2017 +0100

    Add Portuguese help translation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770666

 help/Makefile.am |    2 +-
 help/pt/pt.po    | 3704 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3705 insertions(+), 1 deletion(-)

commit 34e6cc2168019062a933c9a2d6f49c68f0ac2fe0
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Fri Nov 17 21:45:50 2017 +0100

    Updated Czech translation

 po/cs.po | 198 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 101 insertions(+), 97 deletions(-)

commit ab95c314801a7e77385d8a70cc033659f70858c8
Author: Tim Sabsch <tim@sabsch.com>
Date:   Wed Nov 15 18:27:00 2017 +0000

    Update German translation

 po/de.po | 199 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 102 insertions(+), 97 deletions(-)

commit dea88109854eb3dc90d5d63cb015ff573756c22b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 13 23:12:50 2017 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 82621017e6578d08ca483952a0f736d1f8e2a6da
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 13 23:03:21 2017 +0100

    Version 3.27.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ca7dfafb4e7c47f744db6e9e07e285255ba48ee5
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 13 23:10:51 2017 +0100

    build: Fix dist

 src/Makefile.am | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 909b845a45b1432a4fae0d65921ff3c3ae080dba
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 11 23:37:00 2017 +0100

    client: legacy: Fall back to default server on failure
    
    When the server specified by the environment doesn't exist,
    fall back to the default.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=83203#c78

 src/terminal.c | 28 +++++++++++++++++++++++++++-
 1 file changed, 27 insertions(+), 1 deletion(-)

commit 14ba30a34bf56be334156b6d1a5de3149c483d84
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 11 22:28:12 2017 +0100

    client: legacy: Don't mix environment and command line options
    
    Be consistent when deciding which gnome-terminal-server to use.
    Only take the parent screen from the environment when also
    using the service name from the environment.

 src/terminal-options.c |  46 ++------------
 src/terminal.c         | 158 +++++++++++++++++++++++++++++++++----------------
 2 files changed, 111 insertions(+), 93 deletions(-)

commit 4c919d19d58ca96d5c60857ffa623a0895b85fa6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 11 22:28:12 2017 +0100

    client: legacy: Don't mix environment and command line options
    
    Be consistent when deciding which gnome-terminal-server to use.
    Only take the parent screen from the environment when also
    using the service name from the environment.

 src/terminal-options.c | 19 +++++++++++++++++++
 src/terminal-options.h |  4 +++-
 src/terminal.c         |  7 ++++---
 3 files changed, 26 insertions(+), 4 deletions(-)

commit 80c4bf763e79fcfb52b8b50c0c68dd2474a5a378
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 11 21:49:12 2017 +0100

    client: legacy: Use pref to decide whether to open a new window or tab
    
    When no explicit --tab or --window option is given, use the
    global pref to decide.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=83203#c75

 src/terminal-options.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 4f2d2a394282bb0d15ee13bb8c7cb6efee0cd8f4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 11 21:49:12 2017 +0100

    client: legacy: Improve --tab behaviour to open a new tab in an existing window
    
    An often-requested feature has been for "gnome-terminal --tab" to open a
    new tab in an existing window, see the discussion in bug 83203. While
    in general, when called from an external source, it's often unclear
    which window to choose, we can at least provide this when called from
    within gnome-terminal.
    
    For this, introduce some environment variables GNOME_TERMINAL_SERVICE
    that is the D-Bus unique name of the gnome-terminal-server instance for
    the terminal, and GNOME_TERMINAL_SCREEN that is the D-Bus object path
    for the D-Bus controller for that terminal.
    
    On the server side, these variables will be set for each terminal
    created in the environment of the child process.
    
    On the client side, these variables will be used to define which
    window the "--tab" option refers to. Also, optionally, when using
    the new "--print-environment" option, the client will print the
    corresponding variables for the *newly created* terminal.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=83203

 configure.ac                 |   2 +-
 src/terminal-app.c           |  91 +++++++++++++--
 src/terminal-app.h           |   6 +
 src/terminal-client-utils.c  |   7 +-
 src/terminal-defines.h       |   5 +-
 src/terminal-gdbus.c         | 223 ++++++++++++++++++-------------------
 src/terminal-gdbus.h         |   2 +-
 src/terminal-options.c       | 258 +++++++++++++++++++++++++++++++------------
 src/terminal-options.h       |  24 +++-
 src/terminal-profiles-list.c |   1 -
 src/terminal-screen.c        |  39 ++++---
 src/terminal.c               | 165 ++++++++++++++-------------
 12 files changed, 526 insertions(+), 297 deletions(-)

commit 94f1c04bb041dca800e4f71f9827afe24cb8c42b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 11 21:49:12 2017 +0100

    window: Avoid updating the geometry during destruction
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789692

 src/terminal-notebook.c | 3 +++
 src/terminal-window.c   | 5 ++++-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 2b06054f09d34211eb2d73c8e893c2a1d46fc118
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Nov 11 19:41:31 2017 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 3e79d1480f34e4cc2c2a32de84b0f066bea82da6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Nov 11 02:20:11 2017 +0100

    Add Polish help translation

 help/Makefile.am                   |    2 +-
 help/pl/figures/gnome-terminal.png |  Bin 0 -> 10086 bytes
 help/pl/pl.po                      | 3657 ++++++++++++++++++++++++++++++++++++
 po/pl.po                           |  191 +-
 4 files changed, 3748 insertions(+), 102 deletions(-)

commit 97ff744e03f6161568167072b4427310ba1f0f79
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Nov 9 20:33:32 2017 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 1422 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 661 insertions(+), 761 deletions(-)

commit 841c0aef3452627d5ae807fe049724d7b9ab4367
Author: gogo <trebelnik2@gmail.com>
Date:   Thu Nov 9 16:34:13 2017 +0000

    Update Croatian translation

 po/hr.po | 1592 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 829 insertions(+), 763 deletions(-)

commit 05362e480b9d9a98320ca1a54275cc277f8e1f51
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Nov 8 20:10:06 2017 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 355 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 194 insertions(+), 161 deletions(-)

commit f44d88e9acbc92aa65ee96d9cfc5934c05bddc82
Author: Tim Sabsch <tim@sabsch.com>
Date:   Mon Nov 6 08:25:36 2017 +0000

    Update German translation

 po/de.po | 228 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 116 insertions(+), 112 deletions(-)

commit d4518e276aa0ae4812215fbff8894c0b9c4ee3e9
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sun Nov 5 19:01:31 2017 +0000

    Update Friulian translation

 po/fur.po | 1646 ++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 852 insertions(+), 794 deletions(-)

commit dd7750e3f01ae5e9be16426f8fafc7052512f476
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Nov 5 18:36:54 2017 +0100

    window: Detach menu only if still attached

 src/terminal-window.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2a3724564dc0a9742dcff420789552fd27aa53d0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Nov 5 10:46:36 2017 +0100

    window: Remove the popup info when the menu is done
    
    Use selection-done to remove the popup info, instead of
    queuing it to an idle handler.

 src/terminal-window.c | 46 +++++++---------------------------------------
 1 file changed, 7 insertions(+), 39 deletions(-)

commit 02074038bf4782d30f67662eb5cd7eeca8530b26
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Nov 5 10:42:31 2017 +0100

    window: Deactivate popup menus when the window closes
    
    Works around https://bugzilla.gnome.org/show_bug.cgi?id=789927

 src/terminal-window.c | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

commit 3761a2cadcc2e303b27e52bed99486ea8583d14e
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Fri Nov 3 12:06:02 2017 +0100

    Updated Czech translation

 po/cs.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit fd1d562f57f1d0033130a39a5ed49e6d3d6fe133
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Nov 3 00:05:07 2017 +0100

    app: Turn profile sequence numbers into mnemonics

 src/terminal-app.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b7bc880efac9d682fad8984da86ad6e2352bf4cb
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Thu Nov 2 23:41:15 2017 +0100

    menubar: Fix predefined window sizes

 src/terminal-menubar.ui | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 0275a0ceb068419c0cc102a2015858f1002d8a6b
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Thu Nov 2 15:13:46 2017 +0100

    Updated Danish translation

 po/da.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5eae5c3d354f62d568a0f3d2efd56a50b8bb2a05
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Thu Nov 2 09:22:56 2017 +0100

    Updated Czech translation

 po/cs.po | 574 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 268 insertions(+), 306 deletions(-)

commit 2ffdd43ff23782a56714d1b785fb3820fce94a12
Author: Christian Persch <chpe@src.gnome.org>
Date:   Thu Nov 2 00:48:14 2017 +0100

    encodings: Recategorise
    
    Only the CJK ones have some (limited) usefulness still; everything else
    really is obsolete. So sort the CJK ones at the top, and the rest below
    them.

 src/terminal-encoding.c | 143 ++++++++++++++++++++++++------------------------
 1 file changed, 72 insertions(+), 71 deletions(-)

commit 8d75f15ba56d3c03b0642c66133ec706c7361be1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Nov 1 22:31:16 2017 +0100

    nautilus: Use the default display
    
    When creating a new terminal window, use the default display
    instead of the display/screen that the nautilus window is on.
    
    For some reason, the nautilus process that draws the desktop
    background is on a GdkX11Display, which made the terminal
    window created be on X/Xwayland instead of wayland. This caused
    the terminal window not to have the correct theme and
    clipboard connection.
    
    https://bugs.launchpad.net/ubuntu/+source/gnome-terminal/+bug/1722121

 src/terminal-nautilus.c | 30 +++++++-----------------------
 1 file changed, 7 insertions(+), 23 deletions(-)

commit 36cce22417358dbbf009f6323c16f84a51745cba
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Nov 1 22:31:16 2017 +0100

    server: Don't try to open a non-default display
    
    This hasn't worked propertly anyway, e.g.
    https://bugzilla.gnome.org/show_bug.cgi?id=700267
    https://bugzilla.gnome.org/show_bug.cgi?id=719438
    https://bugzilla.gnome.org/show_bug.cgi?id=737694

 src/terminal-app.c          | 12 ++++++----
 src/terminal-app.h          |  2 +-
 src/terminal-client-utils.c |  7 +++---
 src/terminal-gdbus.c        | 33 ++++++++++++--------------
 src/terminal-options.c      |  1 -
 src/terminal-options.h      |  1 -
 src/terminal-util.c         | 58 ---------------------------------------------
 src/terminal-util.h         |  3 ---
 src/terminal-window.c       |  7 +++---
 9 files changed, 31 insertions(+), 93 deletions(-)

commit 3a7f0e8b72b2d29965ffda3d1430fec800822124
Author: Christian Persch <chpe@src.gnome.org>
Date:   Wed Nov 1 22:31:16 2017 +0100

    schemas: Disable F1 keybinding by default
    
    https://bugzilla.gnome.org/show_bug.cgi?id=413145

 src/org.gnome.Terminal.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dfdb59cbd9e4254ae92c6cb65cec62fef15a1552
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Wed Nov 1 09:17:50 2017 +0000

    Update German translation

 po/de.po | 438 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 153 insertions(+), 285 deletions(-)

commit fa0a4d45323bdab34e45a5f6ff6a65a6e5b50617
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Oct 31 18:56:00 2017 +0100

    build: Remove vala client

 configure.ac       |  25 --
 po/POTFILES.in     |   1 -
 src/Makefile.am    |  65 -----
 src/client.vapi    |  46 ----
 src/config.vapi    |   7 -
 src/gterminal.vala | 767 -----------------------------------------------------
 src/profiles.vapi  |  67 -----
 7 files changed, 978 deletions(-)

commit 6ffbb5a9f12ab4b46ecaef5298dc839ee0716770
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Oct 31 12:19:37 2017 +0000

    Update Spanish translation

 po/es.po | 1280 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 681 insertions(+), 599 deletions(-)

commit 28011c9167b0b3401e04e2f4946aa3c3f5b79df3
Author: Jason Crain <jason@inspiresomeone.us>
Date:   Tue Oct 31 13:01:59 2017 +0100

    nautilus: Fix duplicated open menus
    
    "OTHER" type URIs which have a local mapping would incorrectly show two
    "Open in Terminal" menu entries
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771276

 src/terminal-nautilus.c | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 70218690102d0af5210aec260faa5ec850a8ded1
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Tue Oct 31 10:33:38 2017 +0100

    Updated Czech translation

 po/cs.po | 187 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 98 insertions(+), 89 deletions(-)

commit 9d4c87cf6d62a66d47aace55f9a52e70ce37aa5b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Oct 31 10:20:24 2017 +0100

    client: legacy: Simplfy FD passing options
    
    We don't need extra options for std{in,out,err} which we don't support
    anyway.

 src/terminal-options.c | 41 -----------------------------------------
 1 file changed, 41 deletions(-)

commit 5e89fc17ea076314c1dd559da8c2c08f79a73c1d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 30 23:52:51 2017 +0100

    util: Sync make_utf8_valid from glib
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789444

 src/terminal-util.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42f9f7978e3d103af7a5c9eb2c8f0e8d40e0647c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 30 22:41:06 2017 +0100

    client: legacy: Implement waiting for child process exit
    
    Add --wait to make the client wait until the child process exits, and
    then exit the client with the same exit status.
    
    This of course only works if only creating one terminal, not
    when creating multiple terminals at once.

 src/terminal-options.c | 41 ++++++++++++++++++++++++++++----
 src/terminal-options.h |  2 ++
 src/terminal.c         | 64 ++++++++++++++++++++++++++++++++++++++++++++++----
 3 files changed, 99 insertions(+), 8 deletions(-)

commit 17681615a03d1952491ff9d424db2b2b1a84483d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 30 22:41:06 2017 +0100

    client: legacy: Implement FD passing

 src/terminal-options.c | 124 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/terminal-options.h |   4 ++
 src/terminal.c         |  11 +++--
 3 files changed, 135 insertions(+), 4 deletions(-)

commit 54da2fe919634e2d6a6aab392b36449947b812cd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 30 22:41:06 2017 +0100

    client: legacy: Undeprecate title option
    
    Don't warn when using the title option to set the initial title.

 src/terminal-options.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit e970a984cf77c2f1c04a0acd309d66a9f2ac8250
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 30 22:41:06 2017 +0100

    client: legacy: Add verbosity control options
    
    Add options to control the verbosity of the output, using --quiet/-q
    to silence all output, and --verbose/-v to increase verbosity.
    
    This will be used later on.

 src/terminal-options.c | 90 ++++++++++++++++++++++++++++++++++----------------
 src/terminal-options.h | 24 ++++++++++++++
 src/terminal.c         | 30 ++++++++---------
 3 files changed, 101 insertions(+), 43 deletions(-)

commit 22bf5ac73772d3da4ee8d3e5ea0c91539181f6f1
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Mon Oct 30 18:54:53 2017 +0100

    Updated Czech translation

 po/cs.po | 1028 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 528 insertions(+), 500 deletions(-)

commit 5f235aa8af5cc1686134ba4a05064d6f2395b7f4
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Thu Oct 26 19:18:37 2017 +0000

    Update German translation

 po/de.po | 1045 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 535 insertions(+), 510 deletions(-)

commit 2f33a3630f7093fc4370f2a48437c3d2cd11a961
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 23 18:44:19 2017 +0200

    window: Fix tiled check
    
    Add new tiled window states to the check.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789356

 src/terminal-window.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit f3909f4347b8091aa93d0ea7ed6b40f0a5e0649c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 23 20:38:24 2017 +0200

    Revert "window: Fix tiled check"
    
    This reverts commit e7cee82959617d2b70d0dfdbb1463ad5057bab1f.

 src/terminal-window.c | 15 ++-------------
 1 file changed, 2 insertions(+), 13 deletions(-)

commit e7cee82959617d2b70d0dfdbb1463ad5057bab1f
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Oct 23 18:44:19 2017 +0200

    window: Fix tiled check
    
    Add new tiled window states to the check.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789356

 src/terminal-window.c | 15 +++++++++++++--
 1 file changed, 13 insertions(+), 2 deletions(-)

commit 0ea635f3dec365e22bf9a35313e28ca2cedbd563
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Oct 22 19:32:46 2017 +0200

    build: Don't call glib-genmarshal with both --header and --body
    
    https://bugzilla.gnome.org/show_bug.cgi?id=788031

 src/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit cb17e4c890746b1070bf3408657a2a6f21f70fe4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 22 19:00:31 2017 +0200

    Update POTFILES.in

 po/POTFILES.in | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 0820b3853a3b7c629a93fa820d5372eac1760686
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Oct 22 18:48:15 2017 +0200

    all: Port to GMenu
    
    Port from GtkAction and GtkMenuManager to GAction and GMenu.
    
    (Initial patch by Lars Uebernickel <lars.uebernickel@canonical.com>)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745329

 configure.ac                                       |    5 +-
 src/Makefile.am                                    |    6 +-
 src/migration.c                                    |    4 +-
 src/org.gnome.Terminal.gschema.xml                 |   31 +-
 src/preferences.ui                                 |   71 +-
 src/profile-editor.c                               |   44 +-
 src/profile-editor.h                               |    1 -
 src/server.c                                       |   44 +-
 src/terminal-accels.c                              |  201 +-
 src/terminal-app.c                                 |  659 +++--
 src/terminal-app.h                                 |   26 +-
 src/{terminal-menus.ui => terminal-appmenu.ui}     |    8 +-
 src/terminal-debug.c                               |    3 +-
 src/terminal-debug.h                               |   16 +-
 src/terminal-encoding.c                            |  399 ++-
 src/terminal-encoding.h                            |   34 +-
 src/terminal-libgsystem.h                          |   27 +
 src/terminal-menu-button.c                         |  107 +
 src/terminal-menu-button.h                         |   57 +
 src/terminal-menubar.ui                            |  252 ++
 ...terminal-menus.ui => terminal-notebook-menu.ui} |   28 +-
 src/terminal-notebook.c                            |   24 +
 src/terminal-prefs.c                               |  217 +-
 src/terminal-prefs.h                               |    3 +-
 src/terminal-schemas.h                             |    1 -
 src/terminal-screen.c                              |   66 +-
 src/terminal-screen.h                              |    6 +-
 src/terminal-settings-list.c                       |   45 +-
 src/terminal-settings-list.h                       |   11 +
 src/terminal-tabs-menu.c                           |  468 ---
 src/terminal-tabs-menu.h                           |   55 -
 src/terminal-util.c                                |  228 +-
 src/terminal-util.h                                |   18 +-
 src/terminal-window.c                              | 3043 ++++++++------------
 src/terminal-window.h                              |    3 -
 src/terminal.c                                     |    1 -
 src/terminal.gresource.xml                         |   11 +-
 src/terminal.xml                                   |  121 -
 38 files changed, 2797 insertions(+), 3547 deletions(-)

commit 42fbb7e0a643fb3e66a0461280e9301511d7eb0d
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Nov 4 13:15:43 2016 +0100

    screen-container: Fix build with USE_SCROLLED_WINDOW and gtk+ >= 3.19.5
    
    The widget_class pointer is not exclusive to !USE_SCROLLED_WINDOW. It
    is also needed when building against gtk+ >= 3.19.5.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733210

 src/terminal-screen-container.c | 36 +++++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 17 deletions(-)

commit 4127e308c53ce7386284a6d8939103f1696e69f8
Author: Mingcong Bai <jeffbai@aosc.xyz>
Date:   Sat Oct 21 19:55:37 2017 +0800

    Update zh_CN translation

 po/zh_CN.po | 578 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 310 insertions(+), 268 deletions(-)

commit 4f8760db9ececea2bdddfac72cabb6423c992c60
Author: Xavi Ivars <xavi.ivars@gmail.com>
Date:   Thu Oct 5 14:13:39 2017 +0200

    [l10n] Updated Catalan (Valencian) translation

 po/ca@valencia.po | 1419 +++++++++++++++++++++++++++++++----------------------
 1 file changed, 842 insertions(+), 577 deletions(-)

commit d2ee7d69a1f293da219e7c9340bf95686bba99a9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 1 16:50:22 2017 +0200

    help: Remove unused translated screenshots

 help/cs/figures/gnome-terminal-default.png              | Bin 4033 -> 0 bytes
 help/cs/figures/gnome-terminal-tabbed.png               | Bin 5444 -> 0 bytes
 help/de/figures/gnome-terminal-default.png              | Bin 12428 -> 0 bytes
 help/de/figures/gnome-terminal-tabbed.png               | Bin 17431 -> 0 bytes
 help/el/figures/gnome-terminal-tabbed.png               | Bin 13271 -> 0 bytes
 .../{gnome-terminal-default.png => gnome-terminal.png}  | Bin
 help/es/figures/gnome-terminal-default.png              | Bin 11931 -> 0 bytes
 help/es/figures/gnome-terminal-tabbed.png               | Bin 17519 -> 0 bytes
 8 files changed, 0 insertions(+), 0 deletions(-)

commit 9d02a0a21baafb2beee78780d685bc57a981f6cf
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Sat Sep 30 00:34:04 2017 +0330

    [L10N] Update Persian translation

 po/fa.po | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 461ce89b2a933e268cc09a73d68921d7bc1faf80
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Fri Sep 29 21:23:30 2017 +0330

    [L10N] Update Persian translation

 po/fa.po | 601 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 319 insertions(+), 282 deletions(-)

commit e406c33032e49b22bbc06435437bc0f337661988
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:   Mon Sep 25 13:55:50 2017 +0000

    Update Greek translation
    
    (cherry picked from commit 1957fc0c626673ac05baff2ec280c9bcbed1f5c8)

 po/el.po | 359 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 198 insertions(+), 161 deletions(-)

commit a1470759a4c8a37883464a1e2a2992b1baedb1f6
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Fri Sep 22 13:31:08 2017 +0000

    Update Italian translation
    
    (cherry picked from commit d9eebc84c8aed0f1d699eda549dcb38b9a2a9e68)

 po/it.po | 45 ++++++++++++++++++++-------------------------
 1 file changed, 20 insertions(+), 25 deletions(-)

commit bae54b0bf5be5ea729b745dfb762bf28a9a0fb55
Author: Stas Solovey <whats_up@tut.by>
Date:   Mon Sep 18 17:14:37 2017 +0000

    Update Russian translation
    
    (cherry picked from commit bab2f23f109f4fe49cae8d9a351cb7c2f2a47b8c)

 po/ru.po | 350 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 190 insertions(+), 160 deletions(-)

commit 48daaad7c4759df169984dab0dc2aff5cf8bd06e
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Sep 14 14:03:31 2017 +0200

    Update Arabic translation

 po/ar.po | 653 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 347 insertions(+), 306 deletions(-)

commit f9230fe40cfbe0182201750ed081827b537352dd
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 11 21:14:41 2017 +0200

    Post branch version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e3602216b69071e6fe03c86fef1d38851ad32125
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 11 21:11:09 2017 +0200

    Version 3.26.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f1fc0f7a70f2f1e636e4dab99bbdab694dc0767
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Sep 11 14:10:25 2017 +0000

    Update Japanese translation

 po/ja.po | 982 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 336 insertions(+), 646 deletions(-)

commit 6e37f797ff20c4cacec34c38d7c588a080a6e247
Author: Jean-Baptiste Holcroft <jean-baptiste@holcroft.fr>
Date:   Sun Sep 10 21:35:06 2017 +0000

    Update French translation

 po/fr.po | 255 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 129 insertions(+), 126 deletions(-)

commit 8aa1e6a3afa0d14bc2105f0f1d97409b93a7867b
Author: Furkan Ahmet Kara <furkanahmetkara.fk@gmail.com>
Date:   Sun Sep 10 11:59:44 2017 +0000

    Update Turkish translation

 po/tr.po | 893 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 443 insertions(+), 450 deletions(-)

commit 66c6b2194907925ea4ee0bb3f4385425f5bc724a
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Sep 10 11:16:29 2017 +0000

    Update Swedish translation

 po/sv.po | 364 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 197 insertions(+), 167 deletions(-)

commit 69c370d0934749414d9298c899069a3e55a834a7
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Sep 10 08:44:16 2017 +0200

    Fixes to Catalan translation

 po/ca.po | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit eb1f066e98adfa987dbeeaa08a788fb11a15b20d
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sat Sep 9 17:41:27 2017 +0200

    Update Basque language

 po/eu.po | 457 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 209 insertions(+), 248 deletions(-)

commit 86f6efc272a5b2582af7c38d152687d3baf187de
Author: hanniedu <hannie@ubuntu-nl.org>
Date:   Fri Sep 8 16:52:11 2017 +0200

    Updated Dutch translation Master 3.26

 po/nl.po | 1567 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 780 insertions(+), 787 deletions(-)

commit 6de8b2f677f185252d4bbc8b62a9d8354aa8e665
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Thu Sep 7 05:20:54 2017 +0200

    Updated Danish translation

 po/da.po | 1678 ++------------------------------------------------------------
 1 file changed, 36 insertions(+), 1642 deletions(-)

commit 8b491cccd7dc9de20f73d23219924d1338cc84b3
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Wed Sep 6 09:25:15 2017 +0000

    Update Korean translation

 po/ko.po | 353 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 193 insertions(+), 160 deletions(-)

commit c58db217a81627db461e8a508367a7fd0b26d6ce
Author: Jordi Mas <jmas@softcatala.org>
Date:   Tue Sep 5 09:27:18 2017 +0200

    Fixes to Catalan translation

 help/ca/ca.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 6925af54c34a71afa3dfb47aa6e5fd7d8f234d8f
Author: Jordi Mas <jmas@softcatala.org>
Date:   Tue Sep 5 09:23:50 2017 +0200

    Update Catalan translation

 po/ca.po | 32 +++++++++++++++-----------------
 1 file changed, 15 insertions(+), 17 deletions(-)

commit a35240ffc9c47ff004634bf9260bcd9771ba8d93
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 4 20:57:24 2017 +0200

    Post release version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f8b8ba344f1226b7041a3dd5f515ea6bd95a5f95
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 4 20:54:04 2017 +0200

    Version 3.25.92

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cfc99c9399445e4abc1c6e4d5a59b923a4ead9da
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 4 20:51:11 2017 +0200

    util: Set application on about dialogue
    
    This makes the shell able to find the correct description and
    icon when the about dialogue is shown; and also holds the
    application until the dialogue is dismissed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=786427

 src/terminal-util.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 12c9f4a1923cb5dba7037499280b4d4bd26494ba
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Sun Sep 3 18:49:20 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 392 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 214 insertions(+), 178 deletions(-)

commit 356caf5ea25fd7b671deffebae924f11a2fa4359
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Sun Sep 3 12:46:14 2017 +0000

    Update Italian translation

 po/it.po | 419 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 191 insertions(+), 228 deletions(-)

commit b67159501fa39aabbf22bf39dbcc81a0401bf1ab
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sat Sep 2 08:27:16 2017 +0000

    Update Slovak translation

 po/sk.po | 369 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 200 insertions(+), 169 deletions(-)

commit 02048b02922a2f7144893c133e883b3362037def
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sat Sep 2 09:31:56 2017 +0300

    Updated Bulgarian translation

 po/bg.po | 646 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 335 insertions(+), 311 deletions(-)

commit e1e96f3f85cfb88a0ff74b79ceb2df6f8f286b91
Author: Yuras Shumovich <shumovichy@gmail.com>
Date:   Fri Sep 1 17:29:01 2017 +0000

    Update Belarusian translation

 po/be.po | 343 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 185 insertions(+), 158 deletions(-)

commit f461840e6d87e520769f7f2cffd84032034f8e3a
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Fri Sep 1 08:21:09 2017 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 344 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 187 insertions(+), 157 deletions(-)

commit e00ce6566fd06d2f0976da4877a56ef7ba8f32f7
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Thu Aug 31 21:45:42 2017 +0200

    util: Strip off hostname from file:// URIs
    
    This works around a bug in LibreOffice.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=781800

 src/terminal-util.c | 75 ++++++++++++++++++++++++++++++++++++++++-------------
 src/terminal-util.h |  4 +--
 2 files changed, 59 insertions(+), 20 deletions(-)

commit 5c32151688c2eea462128593a8c313e154712f1d
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Thu Aug 31 21:43:56 2017 +0200

    util: Handle invalid UTF-8 in hyperlink tooltip
    
    https://bugzilla.gnome.org/show_bug.cgi?id=786814

 src/terminal-util.c | 57 +++++++++++++++++++++++++++++++++++++++++++++++++++--
 src/terminal-util.h |  3 +++
 2 files changed, 58 insertions(+), 2 deletions(-)

commit a0ba407d83e61fe34958819bfc979e6ce3a4e9d9
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed Aug 30 11:42:40 2017 +0000

    Update Finnish translation

 po/fi.po | 381 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 192 insertions(+), 189 deletions(-)

commit b92aac961a44cb133c6e8537f25122ff334d8f98
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Mon Aug 28 10:25:55 2017 +0300

    Update Latvian translation

 po/lv.po | 425 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 194 insertions(+), 231 deletions(-)

commit cb98bac8e7940f91f2a991ae32e179c048a6af4b
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sun Aug 27 14:51:51 2017 +0000

    Update Chinese (Taiwan) translation

 po/zh_TW.po | 376 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 203 insertions(+), 173 deletions(-)

commit fcf1511fa77dc0a7c9c202e85ec03a4efc88b743
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Aug 26 19:19:58 2017 +0200

    Updated Danish translation

 po/da.po | 1280 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 647 insertions(+), 633 deletions(-)

commit 2274566839b6afcf20f905cd329f20ff9395ad2c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Aug 23 23:33:03 2017 +0300

    Updated Lithuanian translation

 po/lt.po | 349 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 192 insertions(+), 157 deletions(-)

commit ff922dc9d63913bbc2ffde493ffc7ef451bd4ea2
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Sat Aug 19 07:18:42 2017 +0000

    Update French translation

 po/fr.po | 364 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 198 insertions(+), 166 deletions(-)

commit 33f92135314f09b60ef01dd6acaa9a88013ce858
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Fri Aug 18 18:36:27 2017 +0000

    Update Romanian translation

 po/ro.po | 4671 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 2659 insertions(+), 2012 deletions(-)

commit 5f785db18558e14e88345a06bd9ab674cf697f66
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Aug 14 21:40:59 2017 +0200

    Updated Serbian translation

 po/sr.po       | 354 ++++++++++++++++++++++++--------------------
 po/sr@latin.po | 451 ++++++++++++++++++++++++++-------------------------------
 2 files changed, 401 insertions(+), 404 deletions(-)

commit 524c54a0b56e478b8c4d364f5ffc5a110cec475b
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Sun Aug 13 10:03:49 2017 +0000

    Update Galician translation

 po/gl.po | 353 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 194 insertions(+), 159 deletions(-)

commit d940da4ec1c1329319ca591ef53f6f03b6ba6f03
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Aug 11 23:19:40 2017 +0200

    Update Polish translation

 po/pl.po | 351 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 196 insertions(+), 155 deletions(-)

commit 2fe1cad2dd65180c24f2e10a236c99a74c9d5910
Author: Anish Sheela <aneesh.nl@gmail.com>
Date:   Sun Aug 6 07:11:22 2017 +0000

    Update Malayalam translation

 po/ml.po | 1716 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 1092 insertions(+), 624 deletions(-)

commit 86245a6a2c3f77dd17e37fbe994aed781b609f74
Author: Balasankar C <c.balasankar@gmail.com>
Date:   Sat Aug 5 16:19:51 2017 +0000

    Update Malayalam translation

 po/ml.po | 2021 ++++++++++++++++++--------------------------------------------
 1 file changed, 591 insertions(+), 1430 deletions(-)

commit 20d1877439a65af7ea4b2f4923c67095c9fbd221
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Wed Aug 2 06:59:20 2017 +0200

    Updated Czech translation

 po/cs.po | 368 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 199 insertions(+), 169 deletions(-)

commit 2b904921cbf803efac4ab7fcb1d08f3cc7e80094
Author: gogo <trebelnik2@gmail.com>
Date:   Sat Jul 29 17:15:22 2017 +0000

    Update Croatian translation

 po/hr.po | 326 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 172 insertions(+), 154 deletions(-)

commit 661e763edd747359e197ae2754be22b748647a6b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Jul 21 18:40:57 2017 +0200

    Updated Slovenian translation

 po/sl.po | 676 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 370 insertions(+), 306 deletions(-)

commit f0b586b0b06b6d3f7cc43da0e2515e9fed2f734e
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Jul 10 08:33:45 2017 -0400

    Fix Spanish translation header
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=771765

 po/es.po | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit 4e684205615c6dceda965fa774b165b6595a4c60
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Jul 9 09:12:24 2017 +0200

    Update Catalan translation

 po/ca.po | 347 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 190 insertions(+), 157 deletions(-)

commit 095d24cd8f6ff7d10a5603344f1eeeef5ff60751
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jun 5 14:16:03 2017 +0000

    Update Spanish translation

 po/es.po | 438 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 200 insertions(+), 238 deletions(-)

commit cda8ee277d23376bbc3b7158fe958d8b9b904783
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Sun May 21 10:57:09 2017 +0800

    build: Use tr command to replace strings
    
    '${PARAMETER/PATTERN/STRING}' syntax is not supported by POSIX shell,
    so it can cause syntax error if /bin/sh is not bash.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=782894

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit c9caf610417bffdf5a0677e819f13b4fe612bc92
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:   Sat May 27 22:36:49 2017 +0000

    Update Serbian translation
    
    (cherry picked from commit 53bf4a1cd79c2b80673fbbb7e3117a3beea002f9)

 po/sr.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 1b4f61d32f64e5e534341c2b3f9c51e567b4928f
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue May 16 16:12:44 2017 +0000

    Update Friulian translation

 po/fur.po | 304 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 161 insertions(+), 143 deletions(-)

commit c01e45dd48b6004542d05be1aa3de11bfb016a37
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sun May 14 19:22:00 2017 +0000

    Update Hungarian translation

 po/hu.po | 802 ++++++++++++++++-----------------------------------------------
 1 file changed, 203 insertions(+), 599 deletions(-)

commit 6942f609be2bc4a0afb5f0cc7dc8d9e608ee7f02
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat May 13 14:57:39 2017 +0200

    Fix typo in Latvian translation
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=779573

 po/lv.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ebbc7faabe08f36741ea944d1a44e1edf726ab1
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Fri May 12 15:08:38 2017 +0000

    Update German translation

 po/de.po | 1380 +++++++++-----------------------------------------------------
 1 file changed, 194 insertions(+), 1186 deletions(-)

commit 3e5720aecc212ba3120062b594e503f3c24ee0e9
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Thu May 11 14:13:16 2017 +0000

    Update Kazakh translation

 po/kk.po | 340 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 185 insertions(+), 155 deletions(-)

commit 5c830dc5c9d135e9d6dc0ed6fd0c6d920fb0fd99
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Wed May 10 09:23:44 2017 +0000

    Update Indonesian translation

 po/id.po | 300 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 159 insertions(+), 141 deletions(-)

commit 0f1308e92fdecdbc194431936b61a588a3521056
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue May 9 11:24:42 2017 +0200

    accels: Add accel for Copy as HTML
    
    https://bugzilla.gnome.org/show_bug.cgi?id=365121

 src/org.gnome.Terminal.gschema.xml | 4 ++++
 src/terminal-accels.c              | 5 ++++-
 2 files changed, 8 insertions(+), 1 deletion(-)

commit 84f6f297d6dcecd1544f4e685ac85e21fbc7cdc9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun May 7 14:18:11 2017 +0200

    window: Support copying the selection to clipboard as HTML
    
    Based on a patch by "Sean" <worknesday@gmail.com>.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=365121

 configure.ac          |  2 +-
 src/terminal-window.c | 52 ++++++++++++++++++++++++++++++++++++++++++---------
 src/terminal.xml      |  2 ++
 3 files changed, 46 insertions(+), 10 deletions(-)

commit 96e9d7876b016b4771f1577ef2c116b99ebd796b
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:   Fri May 5 19:59:09 2017 +0000

    Update Serbian translation
    
    (cherry picked from commit e3c4b25833ef067097e78864a87249d5b021c66e)

 po/sr.po | 129 ++++++++++++++-------------------------------------------------
 1 file changed, 29 insertions(+), 100 deletions(-)

commit 8d08f2efe6101b7c34256dc1b5db629262425799
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sun Apr 30 11:23:28 2017 +0000

    Update Friulian translation

 po/fur.po | 174 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 93 insertions(+), 81 deletions(-)

commit a02e82442449fc146eb0c40176f702f1fdf69b6b
Author: gogo <trebelnik2@gmail.com>
Date:   Sat Apr 29 23:24:20 2017 +0000

    Update Croatian translation

 po/hr.po | 170 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 91 insertions(+), 79 deletions(-)

commit 80de2e81b2756bd848b5ad22bd25bb3070009730
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Wed Apr 26 04:38:29 2017 +0000

    Update Indonesian translation

 po/id.po | 170 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 91 insertions(+), 79 deletions(-)

commit 5c4bec25bf4638b19387415771d4bede8809d50b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 25 12:59:50 2017 +0200

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ae1f5e4a42931a6778675924852ecb1e8fd39e68
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Apr 25 12:54:18 2017 +0200

    Version 3.25.1

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1c6f8db736efc62d9a9b38bfbc43ec03c8544696
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Apr 25 01:50:08 2017 +0200

    all: Add support for OSC 8 hyperlinks (HTML-like anchors)
    
    The escape sequences
      OSC 8 ; params ; URI BEL
      OSC 8 ; params ; URI ST
    turn subsequent characters into an HTML-like anchor to the given address.
    Terminate the hyperlink with the same escape sequence with an empty URI.
    
    Params is an optional colon-separated list of key=value assignments. Cells
    having the same URI and "id" parameter, or cells lacking an "id" that were
    printed in a single OSC 8 run are underlined together on mouseover.
    
    For further details, see
    https://gist.github.com/egmontkob/eb114294efbcd5adb1944c9f3cb5feda.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=779734

 src/terminal-screen.c | 41 +++++++++++++++++++++++++---
 src/terminal-screen.h |  1 +
 src/terminal-util.c   | 47 ++++++++++++++++++++++++++++++++
 src/terminal-util.h   |  2 ++
 src/terminal-window.c | 75 ++++++++++++++++++++++++++++++++++++++++++++++++---
 src/terminal.xml      |  3 +++
 6 files changed, 161 insertions(+), 8 deletions(-)

commit 0847eaa78232d5ba63648e83980a0223e07ac2aa
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Apr 25 01:36:19 2017 +0200

    util: Refuse to open file://some-other-host/path/to/file URIs

 src/terminal-util.c | 38 +++++++++++++++++++++++++++++++++++++-
 src/terminal-util.h |  3 +++
 2 files changed, 40 insertions(+), 1 deletion(-)

commit 27275a3463fcba079337a55877ea4170c1419129
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Apr 23 23:42:06 2017 +0200

    regex: Allow balanced pairs of parentheses in URLs
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763980

 src/terminal-regex.c | 25 +++++++++++++++++++++++--
 src/terminal-regex.h | 19 ++++++++++++-------
 2 files changed, 35 insertions(+), 9 deletions(-)

commit 412de8f46183d3e5eb43b40d2d925dd8d0e503ae
Author: Yuras Shumovich <shumovichy@gmail.com>
Date:   Sat Apr 22 09:34:18 2017 +0000

    Update Belarusian translation
    
    (cherry picked from commit baaba509f0adbb9cb44314be998d65d339f933ed)

 po/be.po | 1644 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 997 insertions(+), 647 deletions(-)

commit 3b5a9c8ebc84352ee8077cfe48ce9497d55dfeff
Author: gogo <trebelnik2@gmail.com>
Date:   Sat Apr 8 19:54:44 2017 +0000

    Update Croatian translation
    
    (cherry picked from commit 1962030be4b7d97dbef527da30526d17e13e1976)

 po/hr.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cb5ace98346402806807f5a173293aaf11240cd5
Author: gogo <trebelnik2@gmail.com>
Date:   Sat Apr 8 17:43:19 2017 +0000

    Update Croatian translation
    
    (cherry picked from commit 27ed9ef764e3a8eb611e8fecc447bc06c813396c)

 po/hr.po | 630 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 319 insertions(+), 311 deletions(-)

commit 4af2e1dbd68294e773b16a6f68c1ea09b754f084
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:   Fri Apr 7 10:34:19 2017 +0000

    Update Greek translation
    
    (cherry picked from commit ab74b12586ce11ebab548eaa100089e668a82f01)

 po/el.po | 419 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 213 insertions(+), 206 deletions(-)

commit 61c579cc422ff15d682e167591531dfa761c2a90
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Apr 3 21:32:53 2017 +0200

    all: Fix a typo in comments

 src/terminal-regex.c  | 2 +-
 src/terminal-screen.c | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 601301cc85f88aa173803a7a2777b6d56c346af1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Mar 25 17:18:07 2017 +0100

    Update Polish translation

 po/pl.po | 56 +++++++++++++++++++++++++++++---------------------------
 1 file changed, 29 insertions(+), 27 deletions(-)

commit 8ba2d6495d32f25ec0da58c6aad85db0750b6e30
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Tue Mar 21 05:32:41 2017 +0000

    Update Kazakh translation
    
    (cherry picked from commit 242780936438e7bb3f5d2a9f556fc00d1870cfb8)

 po/kk.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit a10414603290641bc03e760e95a74ad5f6f5846e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 20 22:07:34 2017 +0100

    Post branch version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 623375c2f8d17dc56e9c241e4db257131f96d9da
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 20 22:06:48 2017 +0100

    Version 3.24.0

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 53bee15dfcb93356f565b6cfe01f070836bd2bc3
Author: Youngbin Han <sukso96100@gmail.com>
Date:   Mon Mar 20 01:07:25 2017 +0000

    Update Korean translation

 po/ko.po | 413 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 226 insertions(+), 187 deletions(-)

commit 58cfcf977ac05a813342c5e8fb05c49555fef6a6
Author: sujiniku <sujinikusityuu@gmail.com>
Date:   Sun Mar 19 21:40:15 2017 +0000

    Update Japanese translation

 po/ja.po | 1485 +++++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 992 insertions(+), 493 deletions(-)

commit 37df5e3a9e5d85839c4bc6e77c72532564fddd90
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Sun Mar 19 15:25:05 2017 +0000

    Update Italian translation

 po/it.po | 457 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 271 insertions(+), 186 deletions(-)

commit f4aa5032bc887ad68ff2fbd558e37f99dc3def27
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Mar 18 11:21:20 2017 +0200

    Update Latvian translation

 po/lv.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 4cc95faccf328d9e5b8d9d00cc64019d6617deb0
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Mar 18 11:19:48 2017 +0200

    Update Latvian translation

 po/lv.po | 430 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 257 insertions(+), 173 deletions(-)

commit 64992c1f4646a17b2781051f785317d018b7cf3d
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Mon Mar 13 21:01:33 2017 +0400

    Updated Russian translation

 po/ru.po | 399 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 201 insertions(+), 198 deletions(-)

commit 7b5bc7a5d718295644bb95127b8af6b8558e6dd4
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Mar 11 12:42:09 2017 +0200

    Updated Lithuanian translation

 po/lt.po | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit ff8d75549856f58f5bc7473d36fcce2816bf8d16
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Mar 10 22:15:31 2017 +0200

    Updated Lithuanian translation

 po/lt.po | 392 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 204 insertions(+), 188 deletions(-)

commit a88763b4f8d04a1c8b70c5c527dcbb329c45d43e
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Wed Mar 8 14:30:48 2017 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 222 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 115 insertions(+), 107 deletions(-)

commit b156f1d1c6978926df1dae7085b4fec5fab11842
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Sun Mar 5 09:29:01 2017 +0000

    Update Indonesian translation

 po/id.po | 221 +++++++++++++++++++--------------------------------------------
 1 file changed, 66 insertions(+), 155 deletions(-)

commit 0fd92fe599b494e6ba76f6da8f63d0c5c11101e1
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Mon Feb 27 00:39:04 2017 +0100

    Updated Danish translation

 po/da.po | 1130 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 565 insertions(+), 565 deletions(-)

commit cc8b8b919889a291f9cb98290581764d70c3ff13
Author: Fran Dieguez <fran@openhost.es>
Date:   Mon Feb 27 00:36:01 2017 +0100

    Updated Galician translations

 po/gl.po | 222 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 116 insertions(+), 106 deletions(-)

commit 72e47a7e9126b8380e61811f133b03fdb1d8ebe2
Author: Joe Hansen <joedalton2@yahoo.dk>
Date:   Mon Feb 27 00:10:49 2017 +0100

    Updated Danish translation

 po/da.po | 1722 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 875 insertions(+), 847 deletions(-)

commit 9f11d48ed800b149eefd16dc97d195fc37e4e2f4
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Feb 26 08:54:57 2017 +0100

    Updated Serbian translation

 po/sr.po       | 435 ++++++++++++++++++++++++++++++++++-----------------------
 po/sr@latin.po | 435 ++++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 516 insertions(+), 354 deletions(-)

commit 65451593d152add885b79099ee36f6f4f417613a
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed Feb 22 07:50:35 2017 +0000

    Update Finnish translation

 po/fi.po | 512 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 288 insertions(+), 224 deletions(-)

commit f84318d72241e099089b1178706dba5f169401f5
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Feb 22 01:36:18 2017 +0000

    Update Chinese (Taiwan) translation

 po/zh_TW.po | 529 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 271 insertions(+), 258 deletions(-)

commit 78071d9c208921e693cb5853b32c5646e02a66a0
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Feb 21 22:35:27 2017 +0000

    Update French translation

 po/fr.po | 333 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 172 insertions(+), 161 deletions(-)

commit 57abae5a9a85d3252cc001e6e8ca36019d77d38b
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Mon Feb 20 18:47:51 2017 +0100

    Update Basque language

 po/eu.po | 587 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 334 insertions(+), 253 deletions(-)

commit 6aa13acdc51a59075fd0b4ac149b7df2a35073aa
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sat Feb 18 17:30:36 2017 +0000

    Update Swedish translation

 po/sv.po | 265 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 142 insertions(+), 123 deletions(-)

commit e7b42f1824db8bed7e517d836f7c8c6783a712c3
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Feb 18 11:16:10 2017 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 61 ++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 36 insertions(+), 25 deletions(-)

commit 2b920d232f89e9ca478e6d483cd1ee031fd7470d
Author: Bernd Homuth <dev@hmt.im>
Date:   Fri Feb 17 14:11:17 2017 +0000

    Update German translation

 po/de.po | 121 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 62 insertions(+), 59 deletions(-)

commit e68ccd7ddbf682d70277a7ad7e6bd821960326fc
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Thu Feb 16 14:26:29 2017 +0100

    Updated Danish translation

 po/da.po | 1012 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 498 insertions(+), 514 deletions(-)

commit 06aab3aaabd26d6a7d293a7f2f8943f55f5db273
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Thu Feb 16 08:44:40 2017 +0000

    Update Kazakh translation

 po/kk.po | 57 +++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 37 insertions(+), 20 deletions(-)

commit e643103c053eb17be8e2c3cc6e596d92ff481b6c
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 13 21:12:32 2017 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bd2301551125990e743b96b390a8b02ca0db4a8b
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 13 21:07:31 2017 +0100

    Version 3.23.90

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit af1205c42cfaac4e6249d893a3aad9e4aaafe7cc
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 13 20:00:41 2017 +0100

    screen: Fix check for foreground process
    
    While the async spawning is in progress but not complete (or failed) yet,
    the has-foreground-process check would falsely return TRUE.

 src/terminal-screen.c | 3 +++
 1 file changed, 3 insertions(+)

commit 2ecfc377f37f25c664f3213637378d083d719647
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Mon Feb 13 06:30:55 2017 +0000

    Update Indonesian translation

 po/id.po | 451 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 278 insertions(+), 173 deletions(-)

commit 7a4b20167cd87653b60aeb8494bbc0059bf9ae54
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Jan 22 09:05:36 2017 +0100

    Update Catalan translation

 po/ca.po | 436 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 229 insertions(+), 207 deletions(-)

commit 45eab06b2999a4b8e54f9aca814a506a46c61e6a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Jan 21 00:04:49 2017 +0100

    Update Polish translation

 po/pl.po | 217 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 115 insertions(+), 102 deletions(-)

commit 656e4c99307c13c74d4a17274ef7897e3a9eadf4
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Thu Jan 19 19:33:26 2017 +0000

    Update Slovak translation

 po/sk.po | 194 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 102 insertions(+), 92 deletions(-)

commit 984489790c0cf8a36261faaad09f79edb87f7d05
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Wed Jan 18 15:21:16 2017 +0000

    Update Friulian translation

 po/fur.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 8975986d51639040ceb6ba1c0dc78f6a3fa9da45
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Sun Jan 15 17:41:41 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 735 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 374 insertions(+), 361 deletions(-)

commit 522fc8e4340229bf8c83fa5408032fda20c4f930
Author: Matthias Klumpp <matthias@tenstral.net>
Date:   Sat Jan 14 22:32:32 2017 +0100

    Modernize metainfo files

 Makefile.am                                 |  2 +-
 org.gnome.Terminal.Nautilus.metainfo.xml.in |  5 ++---
 org.gnome.Terminal.appdata.xml.in           | 14 +++++++-------
 3 files changed, 10 insertions(+), 11 deletions(-)

commit acd104d0cdfd187ae206d84d99a082e60c495265
Author: A S Alam <aalam@users.sf.net>
Date:   Tue Dec 6 07:59:46 2016 -0600

    updated Punjabi Translation

 po/pa.po | 1612 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 965 insertions(+), 647 deletions(-)

commit 3f493a1a6f8b539508c8d58d985ede2db0aaa3b2
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Tue Nov 29 04:27:52 2016 +0000

    Update Kazakh translation

 po/kk.po | 422 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 237 insertions(+), 185 deletions(-)

commit 777e66d2b760704c4867997cc4049e54cb47163a
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 20:08:39 2016 +0100

    search provider: Fix incorrect assumption
    
    Not every application window is a TerminalWindow.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1398958`

 src/terminal-search-provider.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d4e25a57a8fa9b1dae4b18a8a36735775f9bfd77
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Nov 25 22:18:53 2016 +0100

    screen: Use async spawning
    
    Use the new async spawning functions from vte.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=772354

 src/terminal-screen.c | 106 +++++++++++++++++++++++++++++---------------------
 1 file changed, 62 insertions(+), 44 deletions(-)

commit 79c8cee3e51a277cdb6b4677ebb0f2bf92124bbe
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Wed Nov 23 13:33:28 2016 +0000

    Update Hungarian translation

 po/hu.po | 345 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 177 insertions(+), 168 deletions(-)

commit 29a31d3344e2be02b3fec6f7ce7929cdea814a36
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Nov 21 08:13:38 2016 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 219 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 109 insertions(+), 110 deletions(-)

commit ce90ac30bff4e2d303e2d0683edb8b589b941d6c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Nov 18 13:26:40 2016 +0000

    Update Spanish translation

 po/es.po | 416 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 249 insertions(+), 167 deletions(-)

commit 9d9537351e5bbba542c8c3a6ca56b3a9fd11797c
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Nov 17 15:07:48 2016 +0000

    Update Friulian translation

 po/fur.po | 100 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 52 insertions(+), 48 deletions(-)

commit 5ce534979d34adf8bc66141be04c23e9bfc94d3e
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Nov 17 15:03:53 2016 +0000

    Update Friulian translation

 po/fur.po | 259 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 131 insertions(+), 128 deletions(-)

commit a9077c155f177fad123ec412e5c8a5030fcd6ff5
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Nov 17 11:19:15 2016 +0100

    Updated Czech translation

 po/cs.po | 333 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 172 insertions(+), 161 deletions(-)

commit 0fdd036b34f834bb0fcd9b63502420364ff6c41f
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Nov 16 22:46:23 2016 +0100

    client: legacy: Remove option context description

 src/terminal-options.c | 1 -
 1 file changed, 1 deletion(-)

commit f87875b3bcae2b081944de8d8fd3a9bb2ad2d85d
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Nov 16 22:40:16 2016 +0100

    client: legacy: Add -- to usage line
    
    https://bugzilla.gnome.org/show_bug.cgi?id=774595

 src/terminal-options.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 7c7be199ed8e666fad12cbd5b961f4a007a11be6
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Wed Nov 16 16:22:50 2016 +0000

    Update German translation

 po/de.po | 363 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 186 insertions(+), 177 deletions(-)

commit ad4edbd11874007bd73de29bfb2cedb8054644d1
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Nov 16 16:03:14 2016 +0100

    client: legacy: Warn on deprecated exec options
    
    All of -e, -x, --command, --execute are deprecated, so warn
    if they're used and point to the only non-deprecated way to
    pass command arguments.

 src/terminal-options.c | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 789ef639964320eb67bc110f28c0569e71563add
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Nov 16 16:03:14 2016 +0100

    all: Use nice quotes
    
    See https://developer.gnome.org/hig/stable/typography.html

 src/gterminal.vala                 | 16 ++++++++--------
 src/org.gnome.Terminal.gschema.xml | 30 +++++++++++++++---------------
 src/terminal-options.c             | 22 +++++++++++-----------
 src/terminal-window.c              |  4 ++--
 4 files changed, 36 insertions(+), 36 deletions(-)

commit 4c3887778882263780100acff5f72c9ebacd7311
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Nov 8 13:56:47 2016 +0100

    Update Polish translation

 po/pl.po | 172 +++++++++++++++++++++++++++++++++++++++++----------------------
 1 file changed, 112 insertions(+), 60 deletions(-)

commit b524d426b2667a2d3ddfff5edb383b9690709f6e
Author: Dz Chen <wsxy162@gmail.com>
Date:   Sat Oct 29 02:42:45 2016 +0800

    Update zh_CN translation

 po/zh_CN.po | 893 ++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 503 insertions(+), 390 deletions(-)

commit c859d4e82ee5284f1eb1575fc6b8d00a70846728
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Oct 17 14:04:03 2016 +0000

    Update Friulian translation
    (cherry picked from commit 9b523ee5941fad6a1b16218d24923ed09ce7ba14)

 po/fur.po | 286 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 134 insertions(+), 152 deletions(-)

commit 71217ab0995c39542547f5fbe0ce52d5f7d791a6
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Oct 16 12:18:24 2016 +0200

    Updated Norwegian bokmål translation from Kjartan Maraas.

 po/nb.po | 289 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 146 insertions(+), 143 deletions(-)

commit 52f32f962a5ed34f8c31042f2f8276dc1710cc99
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Oct 16 11:27:02 2016 +0200

    client: legacy: Warn if no startup ID provided

 src/terminal.c | 3 +++
 1 file changed, 3 insertions(+)

commit 94d1ee4f02842a1f78192f73a6e8c17e4902cce9
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Thu Oct 13 19:10:26 2016 +0000

    Update Slovak translation
    (cherry picked from commit c40763fbbc52093968f2e553167e942918bda6fd)

 po/sk.po | 242 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 121 insertions(+), 121 deletions(-)

commit a64eb28add2daa3f6063a3eb69e31db4d7b25842
Author: gogo <trebelnik2@gmail.com>
Date:   Fri Oct 7 16:07:17 2016 +0000

    Update Croatian translation
    (cherry picked from commit 5962847ea1328a58aaf30c8fb835e0f6492c25a2)

 po/hr.po | 138 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 77 insertions(+), 61 deletions(-)

commit bacc076904b4001de1d138ee5e33de3c9ad30883
Author: Jordi Mas <jmas@softcatala.org>
Date:   Thu Oct 6 08:08:50 2016 +0200

    Fix markup

 help/ca/ca.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a0619ec305525f8bd245e6baaef934235cbf932e
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 29 18:45:11 2016 +0200

    screen: container: Set widget CSS name
    
    https://bugzilla.gnome.org/show_bug.cgi?id=772134

 src/terminal-screen-container.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5ce7c3c884ba333b6d239680a84099a5da586699
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Sep 28 22:08:04 2016 +0200

    Add Swedish help translation

 help/Makefile.am |    2 +-
 help/sv/sv.po    | 3635 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3636 insertions(+), 1 deletion(-)

commit 0fc5f25e2a685f3ccb38b7642a5e6299d790ad6e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Sep 27 17:42:09 2016 +0200

    client: legacy: Add VTE version and features to --version output
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771960

 src/terminal-options.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 75f350f023ee35f6991d14a657ff393aafabbd0b
Author: gogo <trebelnik2@gmail.com>
Date:   Sat Sep 24 11:22:24 2016 +0000

    Updated Croatian translation
    (cherry picked from commit b7e803bd9797a7ebab3a1c62faefe4ad4bc6a8ba)

 po/hr.po | 4094 ++++++++++++++++++++++++++++----------------------------------
 1 file changed, 1831 insertions(+), 2263 deletions(-)

commit 31aeb58c39bcc1ec59687f8430f4bed2f5896e35
Author: Christian Persch <chpe@src.gnome.org>
Date:   Fri Sep 23 22:56:13 2016 +0200

    doap: Cleanup
    
    Remove Behdad from maintainers list at his request.

 MAINTAINERS         | 7 -------
 gnome-terminal.doap | 8 +-------
 2 files changed, 1 insertion(+), 14 deletions(-)

commit 00c10d1b669d7d17daa75f684c448d01dca2eee8
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Sep 13 14:02:48 2016 +0200

    Post branch version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b3c9a0a1aa76b7b0c75ef4717670197657597db7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Sep 18 17:11:16 2016 +0200

    Version 3.22.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f63d1f972b19119669d42b9b3cb08f476513af82
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sat Sep 17 11:56:44 2016 +0300

    Updated Ukrainian translation

 po/uk.po | 300 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 154 insertions(+), 146 deletions(-)

commit 9398b8b6fe486fc24fbfdccec374c03a32d37702
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Fri Sep 16 23:55:07 2016 +0200

    Update Arabic translation

 po/ar.po | 303 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 153 insertions(+), 150 deletions(-)

commit e61691d3f59cd3ba46fdb4d515baf7e5177ee1cf
Author: Stas Solovey <whats_up@tut.by>
Date:   Fri Sep 16 10:37:20 2016 +0000

    Updated Russian translation

 po/ru.po | 349 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 151 insertions(+), 198 deletions(-)

commit 69572341e785484a019fb454129b8d1064bb1fe1
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Tue Sep 13 12:14:25 2016 +0000

    Updated Italian translation

 po/it.po | 281 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 143 insertions(+), 138 deletions(-)

commit 77354b559a79b03404a34e29de230806b8904ade
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Tue Sep 13 14:53:25 2016 +0430

    [l10n] update Persian translations

 po/fa.po | 1289 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 749 insertions(+), 540 deletions(-)

commit a0cc1d705d11dc44789be38c96603fb49b7f45bf
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 12 21:18:30 2016 +0200

    Post release version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3b880c85a7bd12a530fe7e4202a99376f94e87b4
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Sep 12 21:08:25 2016 +0200

    Version 3.21.92

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3de58c075100b27cd22a661edfd9203b2f7d73fa
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Mon Sep 12 11:16:07 2016 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 373 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 169 insertions(+), 204 deletions(-)

commit 8358a7eb7b009ccffd18417bb23fa93a4324eee0
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:   Mon Sep 12 08:12:48 2016 +0000

    Updated Greek translation

 po/el.po | 311 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 158 insertions(+), 153 deletions(-)

commit 79d0149c692cfd0c35e4ec04effcef72661f4226
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Mon Sep 12 02:12:24 2016 +0200

    Updated Danish translation

 po/da.po | 280 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 142 insertions(+), 138 deletions(-)

commit 7eece8c9bf9aa89e69db6c11b66a60c5e3c21916
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Sep 9 03:05:49 2016 +0200

    Updated Polish translation

 po/pl.po | 150 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 75 insertions(+), 75 deletions(-)

commit 820a374baf605bac6e5d28867afb11edd00862e5
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Thu Sep 8 19:16:39 2016 +0300

    Update Latvian translation

 po/lv.po | 349 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 162 insertions(+), 187 deletions(-)

commit eaefc1b7c0dd00c8055dfea4b65e05fa16ee5c95
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 16 15:40:46 2015 +0100

    i18n: *: Fix incorrectly translated string

 po/en_GB.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b4e12a7300d25d45d7336a49363339cbaef2981b
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Sep 6 13:07:09 2016 +0300

    Updated Hebrew translation

 po/he.po | 293 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 149 insertions(+), 144 deletions(-)

commit abc5f5e1c90649d76cd15264cc0e9b6b6c9608bf
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Tue Sep 6 07:38:33 2016 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 288 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 146 insertions(+), 142 deletions(-)

commit fd832d4fb84b8d49adc6dfb46efc852ea1270205
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Mon Sep 5 20:48:57 2016 +0000

    Updated Swedish translation

 po/sv.po | 359 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 183 insertions(+), 176 deletions(-)

commit 82738e5fe8b747a61f2a93c9bf0e68088b8a5fda
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Mon Sep 5 00:00:45 2016 +0200

    Updated Galician translations

 po/gl.po | 295 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 150 insertions(+), 145 deletions(-)

commit 6b73ffa498341bed5f17d946d9efc21c3ceb4788
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Sep 4 17:15:43 2016 +0300

    Updated Lithuanian translation

 po/lt.po | 330 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 150 insertions(+), 180 deletions(-)

commit 1f1ef47d2d10e6e4a9e96e10a4c6d1e0e26660fd
Author: David King <amigadave@amigadave.com>
Date:   Sun Sep 4 15:35:10 2016 +0200

    Update British English translation

 po/en_GB.po | 119 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 62 insertions(+), 57 deletions(-)

commit 1f6c999a7888f94bd261da7dc523b53c50d10050
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Sep 4 15:17:44 2016 +0200

    search: Always set PCRE2_MULTILINE flag
    
    It's required by vte.

 src/terminal-search-popover.c | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit cae04637f696e30f9054482411eb0fabd6064a84
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Sun Sep 4 14:30:05 2016 +0200

    window: Fix CSD size calculations with long titles
    
    To get the size of the window use the actual allocation rather then the
    preferred size as the latter takes into account the natural size of the
    title bar as well as the content which throws of calculation when the
    natural size of the title bar is wider then the content.
    
    Also use the actual allocation of the content specifically for the
    calculation of the CSD size such that both are in sync, but keep using
    the preferred size otherwise as those values get used for resizing
    calculations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769898

 src/terminal-window.c | 39 +++++++++++++++++++++++++++------------
 1 file changed, 27 insertions(+), 12 deletions(-)

commit bd9cb2797d15c8f19f2f24db90ec0d7d8c8ac03c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Sep 4 14:10:54 2016 +0200

    window: Make inspector available in non-debug builds
    
    We disable the stock keybindings for the inspector because we want
    all keys to go to the terminal instead of performing random actions,
    and instead install a menu item in the Help menu to show the
    inspector.
    
    Previously this menu item was only present in a debug build. Since
    gtk now has a settings schema that enables the inspector, use it to
    show the menu item also in non-debug builds when the key is enabled.
    
    Since this is a foreign settings schema that could be considered to
    be internal to gtk+, be extra careful in instantiating it only if
    it exists, and the expected key exists with the expected value type.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770245

 src/terminal-app.c        | 17 +++++++++++++++++
 src/terminal-app.h        |  2 ++
 src/terminal-libgsystem.h | 25 +++++++++++++++++++++++--
 src/terminal-util.c       | 40 ++++++++++++++++++++++++++++++++++++++++
 src/terminal-util.h       |  4 ++++
 src/terminal-window.c     | 36 ++++++++++++++++--------------------
 src/terminal.xml          |  2 ++
 7 files changed, 104 insertions(+), 22 deletions(-)

commit 58d0f87f84c932f2206ee87162a1dc8c2a0b8712
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sun Sep 4 05:03:03 2016 +0000

    Updated Kazakh translation

 po/kk.po | 295 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 150 insertions(+), 145 deletions(-)

commit d135834d8371b74fe5acb66158a39d144e65ff07
Author: Youngbin Han <sukso96100@gmail.com>
Date:   Sat Sep 3 09:36:08 2016 +0000

    Updated Korean translation

 po/ko.po | 415 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 196 insertions(+), 219 deletions(-)

commit 367b8e1e89ecf5066797865bff05c9161e6c682f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Aug 31 14:34:10 2016 -0400

    Revert "Added Portuguese translation"
    
    This reverts commit f6cecdd6be607ac1eb3b41c8230f92a327f1aac5.
    
    It broke the build.

 help/Makefile.am |    2 +-
 help/pt/pt.po    | 3707 ------------------------------------------------------
 2 files changed, 1 insertion(+), 3708 deletions(-)

commit f6cecdd6be607ac1eb3b41c8230f92a327f1aac5
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:   Wed Aug 31 14:10:32 2016 -0300

    Added Portuguese translation

 help/Makefile.am |    2 +-
 help/pt/pt.po    | 3707 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 3708 insertions(+), 1 deletion(-)

commit fbe099a06f4dedd313990f34e898729362c41999
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Sun Aug 28 09:50:26 2016 +0200

    Updated Serbian translation

 po/sr.po       | 353 +++++++++++++++++++++++++-------------------------------
 po/sr@latin.po | 355 ++++++++++++++++++++++++++-------------------------------
 2 files changed, 317 insertions(+), 391 deletions(-)

commit 98e282b40f40a928cc873c30205f0fa287c6128e
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Thu Aug 25 21:15:41 2016 +0200

    Updated Slovenian translation

 po/sl.po | 1061 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 632 insertions(+), 429 deletions(-)

commit 6080b8f4085bc283c8edf3dccfec7c6521c4562f
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Thu Aug 25 16:17:18 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 631 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 316 insertions(+), 315 deletions(-)

commit 201f6c746ad37463ed819afc32657333b5b0131d
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Thu Aug 25 22:26:51 2016 +0700

    Updated Thai translation

 po/th.po | 797 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 462 insertions(+), 335 deletions(-)

commit e214a7b5b6e2675e812443b87dee153d3345dde0
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 23 12:07:49 2016 +0200

    Updated Polish translation

 po/pl.po | 90 +++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 47 insertions(+), 43 deletions(-)

commit f2d6e6da48ca0f5a7806b6e1218a2e20231aa6e6
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Aug 22 19:22:42 2016 +0000

    Updated Friulian translation

 po/fur.po | 260 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 131 insertions(+), 129 deletions(-)

commit 1d96cdac9a78ab174b9d773ee38532032d1289ef
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Aug 22 20:45:16 2016 +0200

    Updated Spanish translation

 po/es.po | 249 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 127 insertions(+), 122 deletions(-)

commit 3e84eded488086f6cf3f118102983af036efb827
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Aug 22 08:44:49 2016 +0000

    Updated French translation

 po/fr.po | 322 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 164 insertions(+), 158 deletions(-)

commit 69502eb171b682f88fb6d1ac7b94d1c64701c1c6
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Sun Aug 21 10:32:16 2016 +0000

    Updated German translation

 po/de.po | 302 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 153 insertions(+), 149 deletions(-)

commit e022d08d1e266f7b44df5bcb5709a3947aa665ae
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Aug 20 23:41:28 2016 +0200

    screen: Add unittest for very long regex match
    
    https://bugzilla.gnome.org/show_bug.cgi?id=770147#c8

 src/terminal-regex.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit b8d933f12461e7bd3d36a51b3868390c87cd32ce
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Aug 19 21:39:34 2016 +0000

    Updated Hungarian translation

 po/hu.po | 336 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 161 insertions(+), 175 deletions(-)

commit ea87a9f635e1392b58a82169970062d5bdcffbc6
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:   Thu Aug 18 21:21:39 2016 +0000

    Updated Portuguese translation

 po/pt.po | 357 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 162 insertions(+), 195 deletions(-)

commit 0bad9d218c9a1712e36814ffc2c6c061c7ea33c2
Author: Andika Triwidada <atriwidada@gnome.org>
Date:   Thu Aug 18 03:17:40 2016 +0000

    Updated Indonesian translation

 po/id.po | 284 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 144 insertions(+), 140 deletions(-)

commit 99b62b995421ecda8a3cfa48fd61c0f232595871
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Aug 17 10:31:28 2016 +0200

    Updated Czech translation

 po/cs.po | 280 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 142 insertions(+), 138 deletions(-)

commit 441aece5b5f012c04307fe6df652ffaea1eeda0a
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Aug 17 08:20:19 2016 +0200

    Revert "window: Fix CSD size calculations with long titles"
    
    This reverts commit 40d9d5b78067caa6a28e83e32b87c0b51d14c091.
    
    The commit introduced a regression on non-CSD, see
    https://bugzilla.gnome.org/show_bug.cgi?id=769898#c5

 src/terminal-window.c | 34 ++++++++++++----------------------
 1 file changed, 12 insertions(+), 22 deletions(-)

commit 314390f6a9c261c0bcc59f4d64b7941d2808c2b0
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Aug 16 17:54:56 2016 +0000

    Updated Slovak translation

 po/sk.po | 297 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 151 insertions(+), 146 deletions(-)

commit e0afa0406cda3cb6dcaecc22f00010f5eb40deb8
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Aug 16 19:17:55 2016 +0200

    client: legacy: Add command line option to show the preferences
    
    This is useful when you've borked the prefs, for example by
    changing the command to something that doesn't exist — causing
    the terminal to immediately exit on launch — and want to fix it.

 src/terminal-options.c |  1 +
 src/terminal-options.h |  1 +
 src/terminal.c         | 51 ++++++++++++++++++++++++++++++++++++++++++++++++--
 3 files changed, 51 insertions(+), 2 deletions(-)

commit eb1c2aa26978a3e52d2b6086bfa450c49941bbcb
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Aug 16 19:17:55 2016 +0200

    server: Make prefs dialogue an app window
    
    This means it'll keep the server alive while it's open.

 src/preferences.ui         | 3 ++-
 src/profile-editor.c       | 2 ++
 src/profile-preferences.ui | 3 ++-
 src/terminal-app.c         | 7 +------
 src/terminal-prefs.c       | 2 ++
 5 files changed, 9 insertions(+), 8 deletions(-)

commit 13d21528a692888e12af0152b517709a9adc1ae5
Author: David King <amigadave@amigadave.com>
Date:   Tue Aug 16 14:03:50 2016 +0200

    Update British English translation

 po/en_GB.po | 2033 ++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 1233 insertions(+), 800 deletions(-)

commit ca491ca2b0299e3f3a0d8a942ca5a14ff74563a4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Aug 16 09:22:26 2016 +0200

    Updated Polish translation

 po/pl.po | 440 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 218 insertions(+), 222 deletions(-)

commit 200f4bf39591b086c9a3c140ced748f95cbc5553
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 15 20:23:09 2016 +0200

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc8ce3021867d9a7897edb623723e6e83504a3de
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 15 20:22:11 2016 +0200

    Version 3.21.90

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 40d9d5b78067caa6a28e83e32b87c0b51d14c091
Author: Sjoerd Simons <sjoerd@luon.net>
Date:   Mon Aug 15 20:22:11 2016 +0200

    window: Fix CSD size calculations with long titles
    
    To get the size of the window use the actual allocation rather then the
    preferred size as the latter takes into account the natural size of the
    title bar as well as the content which throws of calculation when the
    natural size of the title bar is wider then the contnet.
    
    Signed-off-by: Sjoerd Simons <sjoerd@luon.net>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769898

 src/terminal-window.c | 34 ++++++++++++++++++++++------------
 1 file changed, 22 insertions(+), 12 deletions(-)

commit 10e164d8f7f7c95710cee7aba1a031250d64d423
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Jan 10 15:36:35 2015 +0100

    notebook: Make tabs nondetachable
    
    It seems detaching a tab via DND is crashing in gtk+ again.
    Until that is fixed, disable tab DND detaching.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769161
    https://bugzilla.gnome.org/show_bug.cgi?id=767588

 src/terminal-notebook.c | 2 ++
 1 file changed, 2 insertions(+)

commit c7281163d0bb6d998a9ee0e72bb15d0278ca12d8
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Aug 9 21:31:51 2016 +0200

    Revert "notebook: avoid crash on tab DND"
    
    This reverts commit 85b448f7c9e219e82d4d8abafe405d73349c08c1.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769161#c10

 src/terminal-notebook.c | 5 -----
 1 file changed, 5 deletions(-)

commit 253ffa48faa50123f366f601205ec6d9662b9776
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sun Aug 7 16:28:40 2016 +0000

    Updated Friulian translation

 po/fur.po | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit 59522bb850eb20d569b4f7db366bd2302a5077e0
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Aug 5 10:36:01 2016 +0200

    appdata: Use *.metainfo.xml as extension for the nautilus add-on
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769538

 Makefile.am                                                           | 4 ++--
 ...ilus.appdata.xml.in => org.gnome.Terminal.Nautilus.metainfo.xml.in | 0
 po/POTFILES.in                                                        | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit ae51120aa3e746ca4afa0eadb76e8132a08e8b73
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Aug 5 10:04:42 2016 +0200

    appdata: Add kudos for HiDpi, HighContrast and SearchProvider
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769535

 org.gnome.Terminal.appdata.xml.in | 3 +++
 1 file changed, 3 insertions(+)

commit ef7a345fedd40a69836dfb9c226983e95f0d2e1f
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Aug 4 17:56:27 2016 +0200

    all: Remove GRegex use and require PCRE2
    
    Now that vte requires PCRE2, there's no need anymore for
    the --without-pcre2 configure switch.

 configure.ac                  | 26 ++------------------------
 src/terminal-screen.c         | 35 +----------------------------------
 src/terminal-search-popover.c | 34 ----------------------------------
 src/terminal-search-popover.h |  4 ----
 src/terminal-window.c         | 16 ----------------
 5 files changed, 3 insertions(+), 112 deletions(-)

commit c44c15d14d1f8dc98dadf9d8bf3560b0d83c7041
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Aug 2 16:51:40 2016 +0200

    Updated Spanish translation

 po/es.po | 211 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 97 insertions(+), 114 deletions(-)

commit 88bd3251a91e4395bd0dde9d90e670e8d180b5db
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 1 20:12:42 2016 +0200

    window: Make geometry work better with gtk 3.20
    
    Combined patch by Sorokin Alexei <sor.alexei@meowr.ru>
    and Simon McVittie <smcv@debian.org>.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760944

 src/terminal-options.c |   4 --
 src/terminal-window.c  | 167 ++++++++++++++++++++++++++++++++++++++++++-------
 2 files changed, 143 insertions(+), 28 deletions(-)

commit 0dd655c569f8b8141216be8e921cb5d1dcb53b6e
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Mon Aug 1 19:33:57 2016 +0200

    window: Support animated and touch scrolling
    
    Add back code to conditionally compile TerminalScreenContainer
    to use a GtkScrolledWindow instead of creating our own GtkScrollbar.
    When used, this gives us animated and touch scrolling for free.
    We can mimic the existing behaviour by creating a GtkScrolledWindow
    that never scrolls horizontally, but always vertically. We can
    use the new EXTERNAL policy to hide the vertical scrollbar widget
    depending on the setting.
    
    However, GtkScrolledWindow doesn't work with
    GTK_SIZE_REQUEST_CONSTANT_SIZE children, so this code will only
    exist for development purposes until gtk+ fixes this.
    
    Also install custom CSS to hide GtkScrolledWindow over/underscroll
    animations.
    
    Also reverts commit 41eb2ec73653adc5fd36fa73cebdc8a6169f8516
    
    https://bugzilla.gnome.org/show_bug.cgi?id=733210

 src/terminal-screen-container.c | 60 ++++++++++++++++++++++++++++++++++++++---
 src/terminal.common.css         |  8 ++++++
 src/terminal.gresource.xml      |  2 +-
 3 files changed, 65 insertions(+), 5 deletions(-)

commit 85b448f7c9e219e82d4d8abafe405d73349c08c1
Author: Andreas Henriksson <andreas@fatal.se>
Date:   Mon Jul 25 19:38:18 2016 +0200

    notebook: avoid crash on tab DND
    
    See "gtk_notebook_detach_tab" API documentation. Using it instead
    of gtk_container_remove avoids an assertion crash in gtk+ when
    dragging and dropping a tab between terminal windows.
    
    See also original bug report at
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=825818
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769161

 src/terminal-notebook.c | 5 +++++
 1 file changed, 5 insertions(+)

commit db62c26a01d3274771fc94cf7813e17498ccc63e
Author: Sébastien Wilmet <swilmet@gnome.org>
Date:   Sat Jul 23 15:52:20 2016 +0200

    Add 'Detach Terminal' action to tab context menu
    
    Add the TabsDetach GtkAction to the NotebookPopup group.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767871

 src/terminal.xml | 2 ++
 1 file changed, 2 insertions(+)

commit 6447aded26416e49bf5fdce8a8fd13c16c0ebb44
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Jul 22 16:42:14 2016 +0200

    profile: editor: Properly initialize the first palette color
    
    https://bugzilla.gnome.org/show_bug.cgi?id=768850

 src/profile-editor.c | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit 91d8ab199d3189a2670067a9132cf42cca9b7d63
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 21 04:12:11 2016 +0200

    Add Language headers to po files
    
    Future versions of gettext will fail if this header is missing.

 po/am.po          | 1 +
 po/as.po          | 2 +-
 po/az.po          | 1 +
 po/be@latin.po    | 1 +
 po/bn.po          | 1 +
 po/bn_IN.po       | 2 +-
 po/br.po          | 1 +
 po/ca@valencia.po | 2 +-
 po/cy.po          | 1 +
 po/de.po          | 2 +-
 po/dz.po          | 2 +-
 po/en@shaw.po     | 1 +
 po/en_CA.po       | 1 +
 po/es.po          | 2 +-
 po/gu.po          | 2 +-
 po/hr.po          | 1 +
 po/hy.po          | 1 +
 po/ka.po          | 1 +
 po/km.po          | 2 +-
 po/ko.po          | 2 +-
 po/ku.po          | 1 +
 po/mai.po         | 1 +
 po/mg.po          | 1 +
 po/mk.po          | 1 +
 po/mn.po          | 1 +
 po/ms.po          | 1 +
 po/nds.po         | 1 +
 po/nn.po          | 1 +
 po/ps.po          | 1 +
 po/rw.po          | 1 +
 po/si.po          | 1 +
 po/sl.po          | 2 +-
 po/sq.po          | 1 +
 po/sr@latin.po    | 2 +-
 po/te.po          | 2 +-
 po/tr.po          | 2 +-
 po/ug.po          | 2 +-
 po/wa.po          | 1 +
 po/xh.po          | 1 +
 po/zh_HK.po       | 2 +-
 40 files changed, 40 insertions(+), 15 deletions(-)

commit ca2bccbf1caa4849358daa8699c1e8de91c0d3f3
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jul 11 11:44:42 2016 +0200

    Updated Polish translation

 po/pl.po | 214 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 107 insertions(+), 107 deletions(-)

commit f096856684a372273c2fa7502e13ba0687e2517e
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sat Jun 4 21:10:28 2016 +0000

    Updated Turkish translation
    (cherry picked from commit a5874e4dd1b2beafd0838edb5497decedf92ba30)

 po/tr.po | 1266 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 805 insertions(+), 461 deletions(-)

commit cc9a3bd95d7a8edff5d65a97d91b43e8c2d61ce8
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Mon May 30 20:22:02 2016 +0000

    Updated Occitan translation

 po/oc.po | 166 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 83 insertions(+), 83 deletions(-)

commit 435e39969b2a547eaf8815587e1020f13076623b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon May 23 22:40:44 2016 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 755 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 446 insertions(+), 309 deletions(-)

commit dbc1a7e3c2f75a81b26095b9b3bcdd0d0f514f36
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Mon May 9 19:43:34 2016 +0000

    Updated Occitan translation

 po/oc.po | 209 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 71 insertions(+), 138 deletions(-)

commit 33839ed2881a96948655d6993e727ef06465d794
Author: Christian Persch <chpe@gnome.org>
Date:   Sun May 8 10:46:24 2016 +0200

    window: Fix relief on tab menu button

 src/terminal-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 13a7c920b2250e9295fa10cee88bacc39d9f2612
Author: Christian Persch <chpe@gnome.org>
Date:   Sun May 8 10:42:55 2016 +0200

    window: Set widget CSS name
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765590

 src/terminal-window.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 42f3d0c2ccdbda2739f4a9343ccbd5c1aac4d866
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue May 3 17:57:43 2016 +0200

    Fix GSettings default value translations

 po/be.po    | 2 +-
 po/ca.po    | 2 +-
 po/fi.po    | 2 +-
 po/kk.po    | 2 +-
 po/lv.po    | 2 +-
 po/pt.po    | 2 +-
 po/pt_BR.po | 2 +-
 7 files changed, 7 insertions(+), 7 deletions(-)

commit 62e90aa7314347a39f3cfac11f876f5047633a8d
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon May 2 22:48:52 2016 +0200

    nautilus: Fix handing sftp folders with % character
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765828

 src/terminal-nautilus.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 3d2d6be7868a2f0c50898a2f7041de2e93fe7205
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Fri Apr 29 10:50:03 2016 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 818 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 490 insertions(+), 328 deletions(-)

commit 354b3fd3e891bc7d120f7e959b1721a8ada86694
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Thu Apr 28 23:38:24 2016 +0200

    screen: Add a few more email regex unittests
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756038#c26

 src/terminal-regex.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 08fb6e5cee51ce4dded339568cfc5a2870ef8e87
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Thu Apr 28 19:35:16 2016 +0000

    Updated Portuguese translation

 po/pt.po | 839 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 498 insertions(+), 341 deletions(-)

commit de97dcbcd39934c6b062035277ea708dc57b88ba
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Apr 24 13:17:42 2016 +0200

    build: Use G_ENCODE_VERSION
    
    Use G_ENCODE_VERSION(x,y) instead of GDK_VERSION_x_y so we can refer to
    future versions (from the point of view of building on an older release
    that doesn't have these future defines).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765201

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 43bc7b5f2f23b9937f0e74aa51bb0c14e9cb686b
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Apr 24 13:17:42 2016 +0200

    build: Treat precious variables correctly
    
    Test if a precious variable is set already before overwriting it.

 configure.ac | 36 ++++++++++++++++++++++++------------
 1 file changed, 24 insertions(+), 12 deletions(-)

commit 377ff74ab074f61fd0c06519d2f980ffc9530b83
Author: Felipe Braga <fbobraga@gmail.com>
Date:   Mon Apr 18 20:21:16 2016 +0000

    Updated Brazilian Portuguese translation

 help/pt_BR/pt_BR.po | 2398 +++++++++++++++++++++++++++++++--------------------
 1 file changed, 1442 insertions(+), 956 deletions(-)

commit f97a397599e5cf3c3251ba6ff69ef9bb61aa6f2d
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Mon Apr 18 12:42:10 2016 +0200

    build: Keep GLIB_MAX_ALLOWED in sync with GLIB_{MIN_}REQUIRED
    
    We don't have conditional code paths based on GLIB_CHECK_VERSION and
    friends, nor do we suffer from any unwanted deprecation warnings, so
    we might as well use the same value for all the version macros.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765201

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b8a643d46678864138611930041f38817a9679f3
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Mon Apr 18 12:20:48 2016 +0200

    build: Allow gtk_settings_reset_property to be used
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765201

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4f34660f0d1e7a61eaed6123d314a69664a7adeb
Author: Simon McVittie <smcv@debian.org>
Date:   Fri Apr 15 18:32:30 2016 +0200

    server: Add a systemd user service
    
    This is used to implement the D-Bus session service if
    "dbus-daemon --session" was configured to use systemd activation,
    most commonly via the units installed by configuring dbus 1.10+
    with --enable-user-session.
    
    With this service, child processes such as the user's shell
    end up in the cgroup …/user@UID.service/org.gnome.Terminal.service
    instead of in …/user@UID.service/dbus.service.
    
    Use KillMode=process so systemd doesn't kill screen sessions,
    backgrounded programmes etc.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759115

 configure.ac    |  1 +
 src/Makefile.am | 16 ++++++++++++++++
 2 files changed, 17 insertions(+)

commit 256e70ba89bab8ffb657641b1e561a3200f5ee08
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Apr 10 18:33:46 2016 +0300

    Updated Bulgarian translation

 po/bg.po | 730 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 422 insertions(+), 308 deletions(-)

commit 4033f68c88899f15761338ed12e380ebcbde5d1d
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Apr 8 08:36:55 2016 +0000

    Updated Friulian translation
    (cherry picked from commit c27016a59d44b4c900f66e2877af96abc1eb2d42)

 po/fur.po | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 9d3c47a6495a15f70c2c66214aca801f107407be
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Apr 7 11:02:51 2016 +0000

    Updated Friulian translation
    (cherry picked from commit 6804aca71e9af0d6f158df41ab765423f618da6c)

 po/fur.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 327cbfc1d4a9c270c131a05ad4dec9e512991d15
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Apr 5 11:48:45 2016 +0000

    Updated Friulian translation
    (cherry picked from commit 65317b6d4bd3151146027b4c8c4de03bf20bb966)

 po/fur.po | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 6703e437655e4d685502907a8924693ea30e1d03
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Apr 5 11:46:39 2016 +0000

    Updated Friulian translation
    (cherry picked from commit eea8e2d323fd371551213617775ccb3407f01f4a)

 po/fur.po | 48 +++++++++++++++++++++++++-----------------------
 1 file changed, 25 insertions(+), 23 deletions(-)

commit 6850d12a900de0aa71aefd9779503a932592212b
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue Apr 5 07:16:40 2016 +0000

    Updated Indonesian translation
    (cherry picked from commit da69ee7eeff0e6e166535d032678e6bca7f5cd11)

 po/id.po | 982 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 586 insertions(+), 396 deletions(-)

commit 2a67da36a849980c79ec1f45c5617f432114e21e
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Wed Mar 30 13:56:38 2016 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 955 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 564 insertions(+), 391 deletions(-)

commit 8753f1968d2737889d2876fbbb181bcbaf79109d
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Mar 30 08:52:24 2016 +0400

    Update Arabic translation

 po/ar.po | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit 8fb7d326443dcc47d37ecf66faa1883757923668
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Mar 28 16:14:55 2016 +0100

    AppData: Mark as unremovable in GNOME Software

 org.gnome.Terminal.appdata.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 5005420aa020c186957f1c61678ec73eb7c25c12
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Mar 25 12:16:30 2016 +0100

    Updated Czech translation

 po/cs.po | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit f7717aab27a72e0cef989ab9f298676e38c068e1
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Mar 20 23:14:41 2016 +0100

    Updated Danish translation

 po/da.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a05b0892108206dbd22e08f4eb2830639a338b2a
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Mar 20 15:13:42 2016 +0100

    Updated Danish translation

 po/da.po | 106 +++++++++++++++++++++++++++------------------------------------
 1 file changed, 45 insertions(+), 61 deletions(-)

commit cb6be29f357bf3afa7627dd195cded8fbcc897f3
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Mar 20 14:07:17 2016 +0100

    Updated Basque language

 po/eu.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 715877a7c090a2df9739b4d431aeffd51f5f6a4c
Author: Gianvito Cavasoli <gianvito@gmx.it>
Date:   Sun Mar 20 12:56:28 2016 +0000

    Updated Italian translation

 po/it.po | 1011 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 595 insertions(+), 416 deletions(-)

commit 3b8c510e5f27bb6f25506847c3d444bab73df9bd
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Mar 20 13:51:02 2016 +0100

    Updated Basque language

 po/eu.po | 928 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 543 insertions(+), 385 deletions(-)

commit 45bcfb8d125a8396e54b106c49f7b5107580ca21
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Mar 19 15:47:35 2016 +0100

    regex: Fix for new vte API

 src/terminal-screen.c         | 6 +++---
 src/terminal-search-popover.c | 2 +-
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 72e7decbf4cd20de9562540c96c0c7c225855c9e
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Mar 19 15:47:34 2016 +0100

    build: Re-enable PCRE2 by default

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8aff2d41dbeba95ce1e063b02a2d2b596386f9ae
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Mar 19 13:16:44 2016 +0100

    build: Bump vte req version

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit a00ec6e43a3f46ceeeb83ff1a127da5fd4c4d191
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 4 20:12:25 2015 +0200

    l10n: Mark a string for translation
    
    https://bugzilla.gnome.org/show_bug.cgi?id=763911
    (cherry picked from commit c9c15e85a99570a5a82a44781cd86e5c8a748f9b)

 src/preferences.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3873d64e2edecff725c7ffb5030dfb9b17d57671
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Mar 19 13:14:03 2016 +0100

    Post branch version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb9d862327cf8e012ab7f89b81537f83442c3092
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Mar 19 13:10:53 2016 +0100

    Version 3.20.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4cff23238c3ffa0fe4e0ec87719adc2a95a897c2
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Mar 19 02:53:56 2016 +0100

    Updated Danish translation by scootergrisen

 po/da.po | 1158 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 677 insertions(+), 481 deletions(-)

commit bbba4a7061e9bf5074d921e086067774341ef2eb
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Fri Mar 18 21:33:18 2016 +0000

    Updated Swedish translation

 po/sv.po | 872 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 501 insertions(+), 371 deletions(-)

commit 78cc6fd831f9d4724bba412a86340005a83cd708
Author: Stas Solovey <whats_up@tut.by>
Date:   Thu Mar 17 17:37:45 2016 +0000

    Updated Russian translation

 po/ru.po | 1069 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 661 insertions(+), 408 deletions(-)

commit 495271d24f8e599c9997176121ce2884e64446cd
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Wed Mar 16 20:46:12 2016 +0000

    Updated Finnish translation

 po/fi.po | 49 +++++++++----------------------------------------
 1 file changed, 9 insertions(+), 40 deletions(-)

commit 92a26150f0980bd49a78b2c88a309a3efa69da9f
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Wed Mar 16 19:52:39 2016 +0000

    Updated Korean translation

 po/ko.po | 1028 ++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 624 insertions(+), 404 deletions(-)

commit 147331e95af16caad651f5ad632cd335669c024e
Author: Claude Paroz <claude@2xlibre.net>
Date:   Tue Mar 15 14:10:05 2016 +0100

    Fixed typo in French translation
    
    Thanks Damien Gombault for the report.

 po/fr.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 727b10590cbbd39f57f16ad48733215adc327b9a
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 14 18:23:10 2016 +0100

    Post release version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f40929ebee6b4f203eca3d57f4bc8cddc498d50b
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 14 18:14:15 2016 +0100

    Version 3.19.92

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b237bf3b5afc16bc8c8282de3493b4eac103698e
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Tue Mar 15 00:21:49 2016 +0900

    Updated Korean help translation

 help/ko/ko.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 655c7cc6c4189bbeeae3199a1c1b7fc43601ff3d
Author: Seong-ho Cho <shcho@gnome.org>
Date:   Tue Mar 15 00:00:39 2016 +0900

    Add Korean help translation

 help/Makefile.am                   |    2 +-
 help/ko/figures/gnome-terminal.png |  Bin 0 -> 9809 bytes
 help/ko/ko.po                      | 3590 ++++++++++++++++++++++++++++++++++++
 3 files changed, 3591 insertions(+), 1 deletion(-)

commit 4bab7ce155856e8d407088ca7f08426450906974
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Mar 13 15:00:52 2016 +0100

    about: Update year

 src/terminal-util.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 21c11b35e20c8797958b83736a8a05c58fb22382
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sun Mar 13 13:52:40 2016 +0000

    Updated Finnish translation

 po/fi.po | 935 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 568 insertions(+), 367 deletions(-)

commit fe704afdb375a3945d0606f3badf108bd6fba1c8
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Mar 12 13:34:36 2016 +0100

    Updated Czech translation

 po/cs.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 33831a348d7e150e2866bf88e0960a2b6ac9b965
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Mon Mar 7 22:10:36 2016 +0200

    Updated Lithuanian translation

 po/lt.po | 811 ++++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 487 insertions(+), 324 deletions(-)

commit 4bd1b15c00375938976baaba2c0f05618bb7c6e7
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Mon Mar 7 18:09:24 2016 +0000

    Updated Occitan translation

 po/oc.po | 1346 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 785 insertions(+), 561 deletions(-)

commit 5d1b6f0cb0c49ecd240d7e0c3667c520696b998e
Author: Jordi Mas <jmas@softcatala.org>
Date:   Mon Mar 7 15:42:11 2016 +0100

    Fixes to Catalan documentation

 help/ca/ca.po | 84 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 42 insertions(+), 42 deletions(-)

commit cc7cd9da668edd74b8d8f7a4149062492371233f
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sun Mar 6 12:34:24 2016 +0000

    Updated French translation

 po/fr.po | 99 ++++++++++++++++++++++------------------------------------------
 1 file changed, 33 insertions(+), 66 deletions(-)

commit a887be15fb360c68d2812133821ab531d839ad25
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Mar 5 13:11:41 2016 +0200

    Update Latvian translation

 po/lv.po | 801 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 466 insertions(+), 335 deletions(-)

commit 3a90642d6acd4d58117b53a8962258134a391ca3
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Mar 4 16:27:42 2016 +0200

    Updated Ukrainian translation

 po/uk.po | 1132 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 656 insertions(+), 476 deletions(-)

commit 4449c51a98131dba6e4ff722fd43f0e9707b5dff
Author: Tom Tryfonidis <tomtryf@gnome.org>
Date:   Thu Mar 3 19:03:23 2016 +0000

    Updated Greek translation

 po/el.po | 814 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 485 insertions(+), 329 deletions(-)

commit 5bb81e116cb6e9d0109d5f44a19fa659db2bd413
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Mar 3 10:23:14 2016 +0000

    Updated Friulian translation

 po/fur.po | 1020 +++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 617 insertions(+), 403 deletions(-)

commit 96f7624ee86ba828e7876d53643aa6c059bc3b02
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Wed Mar 2 21:56:11 2016 +0200

    Updated Hebrew translation

 po/he.po | 1012 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 594 insertions(+), 418 deletions(-)

commit 546ab1845a6b2fe7b20a930f75e858f4ae8a77fb
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Wed Mar 2 11:57:20 2016 +0400

    Update Arabic translation

 po/ar.po | 934 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 553 insertions(+), 381 deletions(-)

commit cde8cc61b4b5b1a9acabfc20516447c286aa6d5d
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Tue Mar 1 22:14:41 2016 +0100

    Updated Galician translations

 po/gl.po | 66 ++++++++++++++++++++++++++++------------------------------------
 1 file changed, 29 insertions(+), 37 deletions(-)

commit 964f7c22fe23583e65a023098e7415bd7403f07f
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Mar 1 20:02:13 2016 +0000

    Updated Slovak translation

 po/sk.po | 83 ++++++++++++++++++++--------------------------------------------
 1 file changed, 26 insertions(+), 57 deletions(-)

commit 864388fe776026d613bb315cbc432b0549833ab6
Author: Jordi Mas <jmas@softcatala.org>
Date:   Mon Feb 29 22:10:25 2016 +0100

    Fixes to Catalan translation

 po/ca.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit ab27c977884844906900e3cd82dcf90bd4ffb3b9
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 29 18:43:58 2016 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 42d493c9010c1df7632865c387c76d2596f4ac23
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 29 18:35:28 2016 +0100

    Version 3.19.91

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a168feff8229de0b3a7e1fddde84153fe4f0aebf
Author: Jordi Mas <jmas@softcatala.org>
Date:   Mon Feb 29 16:23:38 2016 +0100

    Update Catalan translation

 po/ca.po | 751 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 430 insertions(+), 321 deletions(-)

commit bba110c93bb76be83a0d9bab00f96a44a8e4b731
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Mon Feb 29 09:46:37 2016 +0000

    Updated Kazakh translation

 po/kk.po | 754 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 433 insertions(+), 321 deletions(-)

commit 11f5d3e941e87424a83578231c6075e9345103e8
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Mon Feb 29 07:17:04 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 816 +++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 471 insertions(+), 345 deletions(-)

commit 1cbd76604aa09feff14e21621073e925d00e9104
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Sun Feb 28 22:47:28 2016 +0000

    Updated French translation

 po/fr.po | 791 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 472 insertions(+), 319 deletions(-)

commit 423b42610494364fb0dbcee5cbeaf87e8a9fad6b
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Sun Feb 28 16:41:21 2016 +0000

    Updated Hungarian translation

 po/hu.po | 600 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 337 insertions(+), 263 deletions(-)

commit 88848cf0edfca076a2abf451bee208d8623e985b
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Feb 27 19:33:18 2016 +0100

    Updated Czech translation

 po/cs.po | 777 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 455 insertions(+), 322 deletions(-)

commit 7eee009b2fcd9ba65ae6d7e2dbdb4b561013d594
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Feb 26 21:17:27 2016 +0100

    screen: Add a few more URL regex unittests
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1310892

 src/terminal-regex.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 804839f567e81a7c798bdfabe9e56f94a5891748
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Thu Feb 25 07:02:15 2016 +0000

    Updated Slovak translation

 po/sk.po | 605 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 342 insertions(+), 263 deletions(-)

commit cb191fb1bb636ae084eac2fbfd6fe8c83a75b62c
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:   Wed Feb 24 20:24:40 2016 +0100

    Updated Galician translations

 po/gl.po | 1020 +++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 603 insertions(+), 417 deletions(-)

commit e409c376ed7c96261640da554dbcc1b39c458823
Author: Милош Поповић <gpopac@gmail.com>
Date:   Tue Feb 23 18:02:59 2016 +0000

    Updated Serbian Latin translation

 po/sr@latin.po | 258 +++++++++++++++++++++++++++------------------------------
 1 file changed, 121 insertions(+), 137 deletions(-)

commit ba8946016bd6e43a07014ed907404a12c11ee8a4
Author: Милош Поповић <gpopac@gmail.com>
Date:   Tue Feb 23 18:00:43 2016 +0000

    Updated Serbian translation

 po/sr.po | 258 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 121 insertions(+), 137 deletions(-)

commit 9d08dff79698d7650071f963aec6193d5165bfec
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Feb 23 04:16:49 2016 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 701 ++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 402 insertions(+), 299 deletions(-)

commit 11ede43d8ff138e4981bf4a05213f65c1868eeb0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 22 21:26:48 2016 +0100

    Updated Spanish translation

 po/es.po | 607 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 330 insertions(+), 277 deletions(-)

commit f63467bb7c5a08a9601956f054a08814fcf96ed8
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 22 18:27:32 2016 +0100

    client: legacy: Give more information for common errors
    
    ... and point to the FAQ.

 src/server.c              |   7 ---
 src/terminal-defines.h    |   7 +++
 src/terminal-libgsystem.h |  23 +++++++
 src/terminal.c            | 152 ++++++++++++++++++++++++++++++++++++++--------
 4 files changed, 156 insertions(+), 33 deletions(-)

commit efd436f3c939b833478f187505a67fc0ddd9db3d
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 22 18:27:32 2016 +0100

    client: legacy: Simplify code by using cleanup

 src/terminal.c | 44 +++++++++++++++-----------------------------
 1 file changed, 15 insertions(+), 29 deletions(-)

commit 86e427b5a3873c4ea59197477e7e8cc050b78291
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Feb 21 21:53:39 2016 +0100

    profile: editor: Update palette from xterm
    
    Adjust "xterm" palette to what xterm actually uses by default.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734875

 src/profile-editor.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c3f535a90e15d5682b3686aadb6190c3f8b61cfe
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Feb 21 21:53:39 2016 +0100

    palette: editor: Specify the palette in hex

 src/profile-editor.c | 164 ++++++++++++++++++++++++++-------------------------
 1 file changed, 84 insertions(+), 80 deletions(-)

commit 1a94499aca8f9a06479f5149e70e246bf9249ac0
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Feb 21 15:46:05 2016 +0100

    screen: Rewrite URL regexes
    
    Rewrite the URL match regex to be more correct.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756038

 src/Makefile.am       |  27 +++++
 src/terminal-regex.c  | 313 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/terminal-regex.h  | 145 +++++++++++++++++++++++
 src/terminal-screen.c |  33 ++----
 4 files changed, 495 insertions(+), 23 deletions(-)

commit 01722264d1a8bd96ab234ea2a316bbec8e9443d8
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Feb 21 15:46:04 2016 +0100

    Revert "screen: Rewrite URL regexes"
    
    This reverts commit 0c9a82e762135437faf591d9c53d056133da4c03.

 src/Makefile.am       | 27 ---------------------------
 src/terminal-screen.c | 33 +++++++++++++++++++++++----------
 2 files changed, 23 insertions(+), 37 deletions(-)

commit 0c9a82e762135437faf591d9c53d056133da4c03
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Feb 21 15:37:01 2016 +0100

    screen: Rewrite URL regexes
    
    Rewrite the URL match regex to be more correct.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756038

 src/Makefile.am       | 27 +++++++++++++++++++++++++++
 src/terminal-screen.c | 33 ++++++++++-----------------------
 2 files changed, 37 insertions(+), 23 deletions(-)

commit 68ccc3f766a374376fefd2d7147f97fb7ac4361c
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Feb 21 15:22:28 2016 +0100

    profile: Increase default scrollback lines
    
    https://bugzilla.gnome.org/show_bug.cgi?id=747316

 src/org.gnome.Terminal.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07e73205f9d16156ad297d4b1ce001e6e8851fdb
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Feb 21 15:10:16 2016 +0100

    client: Forward the locale charset to the server
    
    When providing an override command to use instead of the profile's
    command, use the remote locale's charset together with the command.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=732128

 src/client.vapi             |  1 +
 src/gterminal.vala          |  4 ++++
 src/terminal-app.c          |  3 ++-
 src/terminal-app.h          |  1 +
 src/terminal-client-utils.c | 18 +++++++++++-------
 src/terminal-client-utils.h |  1 +
 src/terminal-gdbus.c        |  7 +++++--
 src/terminal-nautilus.c     |  1 +
 src/terminal-screen.c       | 15 +++++++++++++++
 src/terminal-screen.h       |  1 +
 src/terminal-window.c       |  2 +-
 src/terminal.c              |  8 ++++----
 12 files changed, 47 insertions(+), 15 deletions(-)

commit cd4128a2d7ece9c15c134d7a1a7a773dc1d2d53e
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Feb 20 13:52:11 2016 +0100

    build: Disable pcre2 for 3.20
    
    vte 0.44 for 3.20 doesn't export the necessary API.

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ee31e70248794aaa255e93230af93a0a49ba154a
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Feb 20 13:52:11 2016 +0100

    prefs: Adjust fill settings

 src/preferences.ui | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 7e1d998a5ef85c3f266c3be3215c47a4c6ca9688
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Feb 19 21:02:33 2016 +0100

    Updated Serbian translation

 po/sr.po       | 1020 ++++++++++++++++++++++++++++------------------
 po/sr@latin.po | 1224 +++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 1343 insertions(+), 901 deletions(-)

commit 983c388184fb8034d708d38b52aaae2969672eba
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Feb 18 15:10:08 2016 +0000

    Updated Spanish translation

 po/es.po | 642 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 357 insertions(+), 285 deletions(-)

commit a5e6b0f84b96114328578858ed5029597979949d
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Thu Feb 18 10:01:14 2016 +0100

    Updated German translation

 po/de.po | 728 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 431 insertions(+), 297 deletions(-)

commit a1175842afe5d32be491df010bbaaca89cc5fa61
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Feb 17 21:53:39 2016 +0100

    Updated Polish translation

 po/pl.po | 499 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 278 insertions(+), 221 deletions(-)

commit 6b5ea7b419bb34ca1e75e0a2138381c1757974fc
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Feb 16 19:48:25 2016 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9b18c48ccb591d157cf38511219bbf27fde0bad2
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Feb 16 18:59:09 2016 +0100

    search: Revert to using a window instead of a popover
    
    The popover isn't movable and might cover the match, so until that
    can be fixed, revert to using a window for the search dialogue.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755653

 src/search-popover.ui         | 12 +++++++-----
 src/terminal-search-popover.c | 14 ++++++++++----
 src/terminal-window.c         |  2 ++
 3 files changed, 19 insertions(+), 9 deletions(-)

commit 0bca006d61d36f042ccc0631c210751696551f1d
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Feb 16 18:59:09 2016 +0100

    profile: editor: Add highlight colour prefs
    
    Since we also just added the cursor colour prefs, we can as well
    offer prefs for all the colours VTE has API to change.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=122413

 src/org.gnome.Terminal.gschema.xml | 15 ++++++++++++++
 src/profile-editor.c               | 32 +++++++++++++++++++++++++++++
 src/profile-preferences.ui         | 41 ++++++++++++++++++++++++++++++++++++++
 src/terminal-schemas.h             |  3 +++
 src/terminal-screen.c              | 22 ++++++++++++++++++--
 5 files changed, 111 insertions(+), 2 deletions(-)

commit 7dc35e783ea06dd79271ab5a5396786eabaa4f4f
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Feb 16 18:59:09 2016 +0100

    profile: editor: Make it clearer what the colour pickers select
    
    Rename 'foreground' to 'text'.

 src/profile-preferences.ui | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 156b85533f42d8c7e6cf6258ce3e7fe4ec8f1754
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Feb 16 18:59:09 2016 +0100

    client: legacy: Reimplement deprecated --title option
    
    This reverts commit 0033eca2909ddccf3358c1f089bce05d3473b123.
    
    Reimplement the deprecated --title client option. It seems it is absolutely
    required by all those super l33t unix admins that are above using a lowly
    command like printf(1) or the even simpler xtermcontrol(1).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=740188

 src/terminal-app.c     |  3 ++-
 src/terminal-app.h     |  1 +
 src/terminal-gdbus.c   |  6 ++++--
 src/terminal-options.c | 45 +++++++++++++++++++++++++++++++++++++++++++--
 src/terminal-options.h |  2 ++
 src/terminal-screen.c  | 24 ++++++++++++++++++++++++
 src/terminal-screen.h  |  1 +
 src/terminal-window.c  |  2 +-
 src/terminal.c         |  2 +-
 9 files changed, 79 insertions(+), 7 deletions(-)

commit a15f9fdd08e8a6f8ea95854a5879a5ef9053f5c6
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Mon Feb 15 08:16:35 2016 +0000

    Updated Hungarian translation

 po/hu.po | 629 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 343 insertions(+), 286 deletions(-)

commit c4423f917b0805e96dcd59aed3e9c3b59aca6343
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sun Feb 14 21:05:41 2016 +0000

    Updated Slovak translation

 po/sk.po | 158 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 74 insertions(+), 84 deletions(-)

commit cabf95137a26cbcf1fc6125b8a835b1bf1faa79d
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Sun Feb 14 18:33:45 2016 +0000

    Updated Slovak translation

 po/sk.po | 523 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 308 insertions(+), 215 deletions(-)

commit f82e72336e810440bc679eb281f3eb4c9c0e072f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 14 18:33:13 2016 +0100

    Updated Polish translation

 po/pl.po | 538 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 297 insertions(+), 241 deletions(-)

commit d3c46ae4ed28a099bf2752b07dcadbea565313d1
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Feb 14 17:32:13 2016 +0100

    window: Try again to find and fix a clipboard related crash
    
    I don't see how this crash could happen, but it seems it has:
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1308280

 src/terminal-window.c | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit d4b897ed832ad0487c193e27769a1f28a0491840
Author: Colin Walters <walters@verbum.org>
Date:   Sun Feb 14 09:44:06 2016 -0500

    util: Fix compilation error in previous commit

 src/terminal-util.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ce351d90694d50f91c1b73ae72cc64e2505d598
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Feb 14 11:01:44 2016 +0100

    profile: Increase maximum of default column prefs
    
    ... and the rows too.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761395

 src/org.gnome.Terminal.gschema.xml | 4 ++--
 src/profile-preferences.ui         | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 49d1f8fbab79a05d082aa6391325c1890609e797
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Feb 13 21:22:25 2016 +0100

    profile: editor: Don't compare alpha colour components

 src/profile-editor.c | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit eaab60ff8e1f7c711cba154ea283a3a1aed02d4c
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Feb 13 21:19:40 2016 +0100

    util: Unset colour alpha component
    
    Don't allow alpha in via the pref.

 src/terminal-util.c | 1 +
 1 file changed, 1 insertion(+)

commit 3451acf42dbff5bf2c2e704567c76f433f798d21
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Feb 13 21:19:40 2016 +0100

    profile: editor: Unset colour alpha component
    
    Don't allow alpha in via the pref.

 src/profile-editor.c | 1 +
 1 file changed, 1 insertion(+)

commit 96e64050dff428309c239bb4bd0fc33ebd403cf1
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Feb 13 21:19:40 2016 +0100

    profile: editor: Add cursor colour prefs
    
    Based on a patch by Tony Houghton <h@realh.co.uk>.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=85821

 src/profile-editor.c       |  46 ++++-
 src/profile-preferences.ui | 427 ++++++++++++++++++++++-----------------------
 2 files changed, 245 insertions(+), 228 deletions(-)

commit c8e90edd258bce6fa1431eaa763a3d69ee324d8d
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Feb 13 21:19:40 2016 +0100

    screen: Don't use extra colours when using theme colors
    
    When using theme colours, do not apply the bold and cursor bolours.

 src/terminal-screen.c | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit c57b08b625853800b91e84c8b975ca07acf02e8a
Author: Tony Houghton <h@realh.co.uk>
Date:   Sat Feb 13 20:23:10 2016 +0100

    profile: Add cursor colour prefs
    
    https://bugzilla.gnome.org/show_bug.cgi?id=85821

 src/org.gnome.Terminal.gschema.xml | 17 ++++++++++++++++-
 src/terminal-schemas.h             |  3 +++
 src/terminal-screen.c              | 17 +++++++++++++++--
 3 files changed, 34 insertions(+), 3 deletions(-)

commit a5c355b2390e0cf253965c8a5896fc81f6ea44a5
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Feb 13 20:23:09 2016 +0100

    profile: editor: Try to fix the UI file
    
    It was totally broken with newer gtk+ ‽

 src/profile-preferences.ui | 192 +++++++++++++++++++++++++--------------------
 1 file changed, 109 insertions(+), 83 deletions(-)

commit 6319a77744bf6133dbd494bd85184f0978007d71
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sat Feb 13 07:21:52 2016 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 672 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 372 insertions(+), 300 deletions(-)

commit e020592a22f11adbf90179c0a4e1210dc75b1263
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sun Feb 7 21:38:53 2016 +0000

    Updated French translation

 po/fr.po | 596 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 319 insertions(+), 277 deletions(-)

commit e59c44a77b1fdbfebb4d017692971ecced350448
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sat Feb 6 22:31:58 2016 +0200

    Updated Bulgarian translation

 po/bg.po | 863 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 465 insertions(+), 398 deletions(-)

commit 4d4b8f783d33fc56f4bae61da50e70bcaa232013
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Feb 6 17:29:32 2016 +0100

    Updated Polish translation

 po/pl.po | 560 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 317 insertions(+), 243 deletions(-)

commit a0d3779d145e66c45a50bd8b610bb66d4f4b13e9
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sat Feb 6 17:05:10 2016 +0200

    Update Latvian translation

 po/lv.po | 589 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 335 insertions(+), 254 deletions(-)

commit c19709c68ce70586bcb6c41d650c2e43140a36d7
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Jan 31 22:28:50 2016 +0100

    Updated Spanish translation

 po/es.po | 185 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 95 insertions(+), 90 deletions(-)

commit c5a883b61e55b2a626dcabd3e1b46367629e8892
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jan 31 11:36:14 2016 +0100

    profile: editor: Fix gtk version check
    
    Check for gtk 3.19.8, not .6.

 src/profile-editor.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 096e324bd4f3eeb09fbcb7e330246551be23a991
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Jan 27 17:59:25 2016 +0100

    profile: editor: Use new show-editor property on GtkColorButton
    
    On gtk+ >= 3.19, use the new GtkColorButton:show-editor property
    instead of working around the previous lack of this property.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756192

 src/profile-editor.c | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit c11abda032ec70f7908e2dcbe7ee02d870a8abfe
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Jan 27 17:59:25 2016 +0100

    appdata: Add some missing information
    
    Apply it to the main appdata file, not the nautilus plugin one.

 org.gnome.Terminal.Nautilus.appdata.xml.in | 5 -----
 org.gnome.Terminal.appdata.xml.in          | 5 +++++
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 3a5e4f058e10bfe6eac90072922eeb0cde60a975
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jan 26 18:18:10 2016 +0100

    appdata: Add some missing information

 org.gnome.Terminal.Nautilus.appdata.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 28d8f12e5024e7278d747f573da671cf97293a69
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jan 26 18:18:10 2016 +0100

    client: legacy: --geometry option is unsupported on gtk+ >= 3.19.5
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760944

 src/terminal-options.c | 4 ++++
 1 file changed, 4 insertions(+)

commit d53c36c9dd52f80f7a16901488845f481915219b
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Jan 26 14:08:52 2016 +0000

    Updated Slovak translation

 po/sk.po | 168 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 93 insertions(+), 75 deletions(-)

commit 3b2ea00dbaae2e0f3be8020f6aa2da579c55a9ec
Author: Richard Hughes <richard@hughsie.com>
Date:   Mon Jan 25 15:41:37 2016 +0000

    Add a missing tag to the AppData file

 org.gnome.Terminal.Nautilus.appdata.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 4295da82d52cfb2287811493b86eac5d94b7c70d
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:   Mon Jan 25 00:51:55 2016 +0000

    Updated Hungarian translation

 po/hu.po | 863 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 504 insertions(+), 359 deletions(-)

commit cfffbd35328e523bb1cac59138c88bf8b0d83481
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat Jan 23 08:06:14 2016 +0100

    Update Catalan translation

 po/ca.po | 886 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 485 insertions(+), 401 deletions(-)

commit eccc1743268323bd3e374b8fe2304b2d54af3478
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Jan 20 16:50:20 2016 +0100

    build: Conditionalise the nautilus plugin appdata
    
    Only build the appdata for the plugin when it's enabled.

 Makefile.am | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 6b4666c7f43052397a89ea1b960652fe732377bd
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jan 19 20:18:26 2016 +0100

    appdata: Fix appdata for the Open Terminal nautilus plugin
    
    This extends the nautilus appdata, not gnome-terminal.

 org.gnome.Terminal.Nautilus.appdata.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2503c9b09bf8798617dca4da5be51735aca99df1
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jan 19 20:18:26 2016 +0100

    appdata: Fix appdata for the Open Terminal nautilus plugin
    
    Set type to "addon".

 org.gnome.Terminal.Nautilus.appdata.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7403ce8b20c6dc8ad739b19a4a41a1f20e39eda1
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jan 19 20:18:26 2016 +0100

    appdata: Add appdata for the Open Terminal nautilus plugin
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760851

 Makefile.am                                |  5 ++++-
 org.gnome.Terminal.Nautilus.appdata.xml.in | 35 ++++++++++++++++++++++++++++++
 po/POTFILES.in                             |  1 +
 3 files changed, 40 insertions(+), 1 deletion(-)

commit 6be2024c83691f3c9baadf6f7036262c4d2813df
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jan 17 21:52:26 2016 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eb64a021976ae8a605a9a241672bada6174a5cb1
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jan 17 21:49:21 2016 +0100

    Version 3.19.2

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f0517318e3fd098cd3d42e3c100d80bd7d0181c7
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Jan 17 21:49:41 2016 +0200

    Updated Lithuanian translation

 po/lt.po | 222 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 111 insertions(+), 111 deletions(-)

commit 09505ecb273b11593a77e58ba2e04aa76042a1c1
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Jan 10 19:58:06 2016 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 157 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 77 insertions(+), 80 deletions(-)

commit fea39888d5e57e99ace6ce173ae2490b5ab5157a
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jan 10 16:11:37 2016 +0100

    notebook: Use symbolic new-tab icon
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755825

 src/terminal-window.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7cc6e8ccac8bb73d13066025b12db4609004ec62
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:   Mon Jan 4 19:08:21 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 496 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 244 insertions(+), 252 deletions(-)

commit 7271a2f825d1be9d8da20291444604db25a0ee6c
Author: Gustavo Marques <gutodisse+gnome@gmail.com>
Date:   Sat Jan 2 06:44:56 2016 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 800 ++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 430 insertions(+), 370 deletions(-)

commit 0e6eee2bf68d54eafabe04e2a90eef74920089f5
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:   Wed Dec 30 18:43:32 2015 +0000

    Updated German translation

 po/de.po | 336 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 181 insertions(+), 155 deletions(-)

commit 2661fc5247d1869727698f8fdfdbc5102e41da30
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Dec 26 21:50:14 2015 +0100

    screen: Compile dingu regexes with MULTILINE option

 src/terminal-screen.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e0ea90e3e305611366a2e735e23e277c58057fa
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Dec 26 21:50:14 2015 +0100

    screen: Compile dingu regexes with MULTILINE option

 src/terminal-screen.c | 1 +
 1 file changed, 1 insertion(+)

commit d1309dbbcc93d84261a23c7e140d50f5aee7e2c2
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:   Mon Dec 21 09:11:17 2015 +0000

    Updated Swedish translation

 po/sv.po | 660 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 369 insertions(+), 291 deletions(-)

commit 48457f4d915c5df9bccc78c61063563de1ea1883
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Dec 15 20:51:25 2015 +0100

    screen: Fix memory corruption problem
    
    The memory passed must be zeroed first, or we'll crash later
    when g_free()ing the matches.

 src/terminal-screen.c | 1 +
 1 file changed, 1 insertion(+)

commit d6d19d3e5b85041eb84e51b94a00a767661b7a95
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Tue Dec 15 15:20:36 2015 +0000

    Updated Slovak translation

 po/sk.po | 870 ++++++++++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 559 insertions(+), 311 deletions(-)

commit a1ab67dcfba011c22d519ae9349986ebf5b66ebf
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Wed Dec 2 04:12:38 2015 +0000

    Updated Kazakh translation

 po/kk.po | 507 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 284 insertions(+), 223 deletions(-)

commit bc22091617bdb1acb3e3f20c428c836717b50e44
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 30 19:42:18 2015 +0100

    search-provider: Don't use a callback with vte_terminal_get_text
    
    Instead of limiting the range via the callback, just use
    vte_terminal_get_text_range() with the range surrounding
    the cursor. (Callback support is going to be deprecated
    and removed from vte.)

 src/terminal-search-provider.c | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit a6bf0d2f0bdad4301bba6f52055b9aeae005a2b6
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Nov 25 12:54:17 2015 +0100

    window: Remove WM changed callback
    
    It's obsolete and just a gratuitous dependency on the X gdk backend.

 src/terminal-window.c | 50 --------------------------------------------------
 1 file changed, 50 deletions(-)

commit 032d9a49ce6935881cc842bf4cfecedab45f89d3
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Sun Nov 22 08:58:56 2015 +0000

    Updated Portuguese translation

 po/pt.po | 181 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 90 insertions(+), 91 deletions(-)

commit 891b8efa7799764a8d69cd9b0828d9c11a3cbce2
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Nov 20 21:49:05 2015 +0200

    Updated Lithuanian translation

 po/lt.po | 469 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 263 insertions(+), 206 deletions(-)

commit 2b11efe3788e4aed5ce5f31e1130aa1937aec596
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Nov 17 18:53:41 2015 +0100

    Updated Spanish translation

 po/es.po | 6714 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 3392 insertions(+), 3322 deletions(-)

commit 7b92da2263c757eb861bcd4525b9712f3108280e
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Mon Nov 16 17:57:53 2015 +0000

    Updated Scottish Gaelic translation

 po/gd.po | 933 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 529 insertions(+), 404 deletions(-)

commit b9e04431fe6c8e65877c378cf5f9b878fafee3c8
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Nov 16 07:18:10 2015 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 456 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 257 insertions(+), 199 deletions(-)

commit 9a28e25ad9fdeca203515e1e6e05ee21fc79ffdd
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue Jan 27 19:04:19 2015 +0100

    data: Rename desktop file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=711059

 Makefile.am                                                        | 4 ++--
 configure.ac                                                       | 2 +-
 gnome-terminal.appdata.xml.in => org.gnome.Terminal.appdata.xml.in | 2 +-
 gnome-terminal.desktop.in.in => org.gnome.Terminal.desktop.in.in   | 0
 po/POTFILES.in                                                     | 4 ++--
 po/POTFILES.skip                                                   | 2 +-
 src/gnome-terminal-search-provider.ini                             | 2 +-
 7 files changed, 8 insertions(+), 8 deletions(-)

commit 5d30d73781359481aa8f350b2784c7f5350945cc
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Thu Nov 12 12:21:46 2015 +0700

    Updated Thai translation

 po/th.po | 473 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 260 insertions(+), 213 deletions(-)

commit 9adfd3b4508cb8f0e23a808b4c6b22663328d2a9
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Nov 9 16:10:37 2015 +0100

    Updated Czech translation

 po/cs.po | 180 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 103 insertions(+), 77 deletions(-)

commit 748731c1ce4ca53c23b12a22f88c7192261c6edf
Author: YunQiang Su <yqsu@src.gnome.org>
Date:   Mon Nov 9 18:03:27 2015 +0800

    update zh_CN translation

 po/zh_CN.po | 693 +++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 385 insertions(+), 308 deletions(-)

commit d7c6f25b036f362f3c451c541b9e0bf2d4905d78
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Sun Nov 8 21:09:33 2015 +0200

    Updated Greek translation

 po/el.po | 482 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 270 insertions(+), 212 deletions(-)

commit 474a07ab62b1cd5179f996cb263458e25b30703d
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Nov 7 20:31:26 2015 +0100

    schema: Add the hold option to the description

 src/org.gnome.Terminal.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d592e3de6f83151b764df69ca21410bab0887766
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Sat Nov 7 14:50:03 2015 +0000

    Updated Hungarian translation

 po/hu.po | 830 +++++++++++++++++++++++++++++----------------------------------
 1 file changed, 377 insertions(+), 453 deletions(-)

commit f350b83acb9be9a0787982cb1113293ea3273f84
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Thu Nov 5 07:29:15 2015 +0000

    Updated Portuguese translation

 po/pt.po | 609 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 334 insertions(+), 275 deletions(-)

commit af51d7fdabe2083450d57f39223943d713f97744
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Nov 3 22:43:45 2015 +0100

    accels: Allow to define shortcuts for more actions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757512

 src/org.gnome.Terminal.gschema.xml | 16 ++++++++++++++++
 src/terminal-accels.c              | 16 ++++++++++++++--
 2 files changed, 30 insertions(+), 2 deletions(-)

commit 1e399883c4c42d0b25518bdaa3483e7a2d3f870a
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Mon Nov 2 15:19:58 2015 +0000

    Added Icelandic translation
    (cherry picked from commit e1d6e6c948b4d8204022adb116c8edd36e46edfa)

 po/LINGUAS |    1 +
 po/is.po   | 1994 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 1995 insertions(+)

commit 1386f12f4c8ddaaa2d7c117d4d96cd6ab208841b
Author: Benjamin Steinwender <b@stbe.at>
Date:   Mon Nov 2 05:29:37 2015 +0000

    Updated German translation

 po/de.po | 306 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 168 insertions(+), 138 deletions(-)

commit 4161dbbb2091c1fa0dd57f86b89955569f2e998d
Author: Ting-Wei Lan <lantw44@gmail.com>
Date:   Fri Oct 30 08:04:12 2015 +0100

    screen: Remove bogus return value
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757314

 src/terminal-screen.c | 2 --
 1 file changed, 2 deletions(-)

commit d075c7104e36496bf7aa184619b6da716f7e7fae
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sun Oct 25 10:38:08 2015 +0000

    Updated Finnish translation

 po/fi.po | 766 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 406 insertions(+), 360 deletions(-)

commit e5db184c794493049da0a9d62495954e4db89f43
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Oct 25 00:11:46 2015 +0200

    Updated Czech translation

 po/cs.po | 292 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 161 insertions(+), 131 deletions(-)

commit 03fdcafb4d0e5553c368de213b7967356c892272
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Oct 24 01:25:00 2015 +0200

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b3bbc021088d509a526f63151d9744ae058bbbe
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Oct 24 01:22:39 2015 +0200

    build: Include terminal-pcre2.h in tarball

 src/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit b2fd6a0a25ac65e3ee835bfd531443b20a19e901
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Oct 24 00:43:23 2015 +0200

    app: Show useful information about numbers on right click
    
    Add infrastructure for matching extra regexes on right click.
    
    When clicked on a number, add a new entry in the popup menu: group the
    digits by 3, perform dec/hex conversion, and convert to kibi/mebi/etc.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741728

 src/terminal-screen.c |  75 +++++++++++++++++++++++++++++++--
 src/terminal-screen.h |   4 +-
 src/terminal-util.c   | 112 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/terminal-util.h   |   2 +
 src/terminal-window.c |  10 ++++-
 src/terminal.xml      |   1 +
 6 files changed, 199 insertions(+), 5 deletions(-)

commit 0789b02ee11038743fde08795eb4a1ac0bcc3f47
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Oct 24 00:42:11 2015 +0200

    app: Rename some variables related to regex matching
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741728

 src/terminal-screen.c | 40 ++++++++++++++++++++--------------------
 src/terminal-screen.h |  8 ++++----
 src/terminal-util.c   |  2 +-
 src/terminal-util.h   |  2 +-
 src/terminal-window.c | 18 +++++++++---------
 5 files changed, 35 insertions(+), 35 deletions(-)

commit e51cb66296b85af7d960e3862c3acf103f5eac07
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Oct 20 21:46:10 2015 +0200

    screen: Factor out precompile_regexes()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741728
    https://bugzilla.gnome.org/show_bug.cgi?id=756038

 src/terminal-screen.c | 83 +++++++++++++++++++++++++++++----------------------
 1 file changed, 48 insertions(+), 35 deletions(-)

commit c4cb46a678b2a14fb6f3433f54138711b1b2f50f
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Oct 14 12:30:26 2015 +0200

    Updated Basque language

 po/eu.po | 687 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 363 insertions(+), 324 deletions(-)

commit aff64cc127cc1e242b852a90ec3cb5e08231f67f
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Oct 12 11:10:58 2015 +0200

    server: Use distinct exit code for gtk_init failure
    
    (cherry picked from commit 314794ee63d831a9c0c3a34227c939003522e41b)

 src/server.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit b631866f3ac361b22760b9919093a3905e6b5084
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 16 15:40:46 2015 +0100

    i18n: *: Fix and mark incorrectly translated string as fuzzy
    
    https://mail.gnome.org/archives/gnome-i18n/2014-September/msg00155.html
    (cherry picked from commit e3c1226a7c419fb2770c5f188ce52b2ebbe12018)

 po/fa.po | 3 ++-
 po/lv.po | 3 ++-
 po/vi.po | 3 ++-
 3 files changed, 6 insertions(+), 3 deletions(-)

commit df6f98b34b505dd7bb26346b1528c88f0062c90b
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Oct 11 16:28:25 2015 +0200

    Revert "build: Add noinst convenience library"
    
    This reverts commit 114a0e18c668199df836729656643c56b43c57ea.

 src/Makefile.am | 50 ++++++++++++--------------------------------------
 src/server.c    |  2 ++
 2 files changed, 14 insertions(+), 38 deletions(-)

commit 114a0e18c668199df836729656643c56b43c57ea
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Oct 11 11:42:19 2015 +0200

    build: Add noinst convenience library
    
    This will make it easier to add tests.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756038

 src/Makefile.am | 50 ++++++++++++++++++++++++++++++++++++++------------
 src/server.c    |  2 --
 2 files changed, 38 insertions(+), 14 deletions(-)

commit 097864897c293a64dda65cc14b34b81f3d4d0813
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Oct 7 15:37:51 2015 +0200

    profile: editor: Make colour buttons show their dialogue in editor mode
    
    We use the colour buttons to edit the colour palette, so it's not good
    usability to pop up the dialogue in palette mode. Since there is no way
    to make the GtkColorButton's dialogue show up in editor mode, and since
    GtkColorChooserDialog even unset editor mode on ::map, we need this gross
    hack to work around it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756192

 src/profile-editor.c | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

commit 35a25ae3f1ec937f6e62ac3add587dd9230a9098
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Mon Oct 5 20:13:05 2015 +0200

    window: Pass tab switching keys to the terminal for tabless windows
    
    This was removed as a side effect of
    a319aeb66f36e728af1b4929ddd69574df838702
    
    https://bugzilla.gnome.org/show_bug.cgi?id=730128

 src/terminal-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit c9c15e85a99570a5a82a44781cd86e5c8a748f9b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Oct 4 20:12:25 2015 +0200

    Mark a string for translation

 src/preferences.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7354f24d03e31efda7bccafb6586581d939cf9d2
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:   Sun Oct 4 14:29:04 2015 +0100

    Use the right symbol for resetting a settings property
    
    The function in GTK+ 3.19 is called gtk_settings_reset_property(), not
    gtk_settings_reset().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=756046

 src/terminal-app.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e998c268df39aecc4049c763e6aa1f857d6a0078
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Oct 4 10:05:19 2015 +0200

    search: Work with gtk < 3.16

 src/terminal-search-popover.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 7d5fc0659a0774139fdcb2176230f0810f563af5
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Oct 4 10:05:19 2015 +0200

    prefs: Add pref to use dark theme variant
    
    Now that there is gtk+ API to reset the setting, let's bring back
    the pref.
    
    Note that the pref defaults to following the global pref. If your
    distribution has set a different default (e.g. by using a gsettings
    override), DO NOT complain to upstream about this!
    
    This reverts commit 5f6c514a8840a5d1b87a8c399defee3b5052ec18.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649358
    https://bugzilla.gnome.org/show_bug.cgi?id=707206
    https://bugzilla.gnome.org/show_bug.cgi?id=742040
    https://bugzilla.gnome.org/show_bug.cgi?id=742333
    https://bugzilla.gnome.org/show_bug.cgi?id=755008

 src/org.gnome.Terminal.gschema.xml |  11 ++++
 src/preferences.ui                 | 122 +++++++++++++++++++++++++------------
 src/terminal-app.c                 |  35 +++++++++++
 src/terminal-enums.h               |   6 ++
 src/terminal-prefs.c               |  15 ++++-
 src/terminal-schemas.h             |   1 +
 6 files changed, 150 insertions(+), 40 deletions(-)

commit 9ce642509b67d8140641a8e99cde44979d2e676c
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Tue Mar 24 15:44:43 2015 +0100

    notebook: Don't let the keyboard focus enter from the tab label
    
    Merely setting TerminalTabLabel:can-focus to FALSE is not enough to
    prevent the keyboard focus from entering the tab label. One can still
    click the current tab's label and have the keyboard focus move there.
    
    This solution was taken from gedit.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=746665

 src/terminal-notebook.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit fed45f7eb1abdf5d730547e32c0b609d299e6a78
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 30 16:53:41 2015 +0200

    search: Use PCRE2 and JIT the regexes
    
    Use VteRegex if PCRE2 support is enabled, and JIT the regexes which speeds
    up the matching.

 src/terminal-search-popover.c | 94 ++++++++++++++++++++++++++++++++++---------
 src/terminal-search-popover.h |  7 +++-
 src/terminal-window.c         | 16 ++++++++
 3 files changed, 98 insertions(+), 19 deletions(-)

commit 0c906ef32b9374a1e5052c3c7e8cacfb1695d37c
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 30 16:53:41 2015 +0200

    screen: Use PCRE2 and JIT the regexes
    
    Use VteRegex if PCRE2 support is enabled, and JIT the regexes which speeds
    up the matching.

 src/terminal-screen.c | 45 ++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 38 insertions(+), 7 deletions(-)

commit da1ba7b96ca0a15876055af6a0e33eb792a4c1f0
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 30 16:53:41 2015 +0200

    build: Add PCRE2 support

 configure.ac              | 30 +++++++++++++++++++++++++++++-
 src/terminal-libgsystem.h | 10 ----------
 src/terminal-pcre2.h      | 25 +++++++++++++++++++++++++
 3 files changed, 54 insertions(+), 11 deletions(-)

commit c85534a2cb31516a15de094f28fb40fc322effdd
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Fri Sep 25 08:25:02 2015 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

 po/vi.po | 718 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 368 insertions(+), 350 deletions(-)

commit 6d0234b604ddf4c5104dd63e85f4e74cfcba37f4
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Sep 24 06:06:39 2015 +0200

    Update Arabic translation

 po/ar.po | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit b7d80cbb1ebf9790cd7d903c4c54a19e869ca65d
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Sep 24 00:12:56 2015 +0200

    Update Arabic translation

 po/ar.po | 620 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 318 insertions(+), 302 deletions(-)

commit 1d4a8bd2fa022f7e1f235e600c47b81d40ae22fd
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 22 21:33:17 2015 +0200

    Updated POTFILES.in

 po/POTFILES.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6ff2df44defa586ce8110b3d5d730d1e49c13b42
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Sep 22 14:30:54 2015 +0200

    window: Improve search
    
    Use a popover instead of a dialogue, and use a GtkSearchEntry.
    
    Note: You will need to use the 'searchbar' branch of glade to edit the .ui file
    until the branch is merged in glade.

 configure.ac                  |   2 +-
 src/Makefile.am               |   6 +-
 src/find-dialog.ui            | 222 ------------------
 src/search-popover.ui         | 249 ++++++++++++++++++++
 src/terminal-libgsystem.h     |  10 +
 src/terminal-search-dialog.c  | 372 ------------------------------
 src/terminal-search-dialog.h  |  54 -----
 src/terminal-search-popover.c | 515 ++++++++++++++++++++++++++++++++++++++++++
 src/terminal-search-popover.h |  48 ++++
 src/terminal-window.c         | 123 ++++++----
 src/terminal.gresource.xml    |   2 +-
 11 files changed, 910 insertions(+), 693 deletions(-)

commit e2641fffbde441f47785646dcd09e3af2a8b1588
Author: Милош Поповић <gpopac@gmail.com>
Date:   Tue Sep 22 11:54:39 2015 +0000

    Updated Serbian translation

 po/sr.po | 656 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 317 insertions(+), 339 deletions(-)

commit c8704ba3fef98d4acd59ec061566ff540b77c528
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Sep 19 16:58:34 2015 +0200

    window: Exit early from screen-removed handler for now empty notebook
    
    When the notebook is now empty, it's not necessary to change anything else
    since the window will be closed right away. Since GtkNotebook doesn't send
    the switch-page signal when removing the last and only screen in the notebook,
    priv->active_tab will point to an already freed object, which causes a
    crash when the window tries to update itself for the new active tab.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755240

 src/terminal-window.c | 20 +++++++++++++++-----
 1 file changed, 15 insertions(+), 5 deletions(-)

commit 7b7c38d01b198c9e2b32e2e6161472178f7492fa
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Sep 19 16:56:15 2015 +0200

    notebook: Don't change show-tabs when going to empty notebook
    
    The window will close anyway, so the change is unnecessary. This fixes
    a crash in terminal-window's show-tabs change handler.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=755240

 src/terminal-notebook.c | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit f625b60d4c5ac40499dcedb1d349a91bb79529ab
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 21 17:02:37 2015 +0200

    Post branch version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dc1b274d39fbaae089f741b0af145c99124e753c
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 21 16:53:27 2015 +0200

    Version 3.18.0

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6f9bb228c4788cb08ef6253c5943232adf76939
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Sep 20 19:24:43 2015 +0000

    Updated Turkish translation

 po/tr.po | 265 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 90 insertions(+), 175 deletions(-)

commit 8dc09311c1c23271704b935aadfd27de80875abf
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sat Sep 19 15:27:55 2015 +0000

    Updated Danish translation

 po/da.po | 722 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 367 insertions(+), 355 deletions(-)

commit 20e3a5215c1b25959f756a5e3d49119a5d8e2990
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Fri Sep 18 23:08:11 2015 +0300

    Updated Latvian translation

 po/lv.po | 2315 +++++++++-----------------------------------------------------
 1 file changed, 336 insertions(+), 1979 deletions(-)

commit 0a69f8aa2efa0ae594e60fad83e7e5b0750e3521
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Sun Sep 13 13:00:21 2015 +0430

    Update Persian translations

 po/fa.po | 2040 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1126 insertions(+), 914 deletions(-)

commit 95c87c057e4f4a029b42fbff9153aecd902f33b2
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 8 23:24:41 2015 +0200

    Updated Slovenian translation

 po/sl.po | 168 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 88 insertions(+), 80 deletions(-)

commit 54ed0347f42dd66f21c149b4fb89595c4d1bc76c
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 7 20:19:57 2015 +0200

    profile: Only use dconf when the settings backend is dconf

 src/migration.c              | 19 +++++++++++++++++++
 src/terminal-settings-list.c | 27 +++++++++++++++++++++------
 2 files changed, 40 insertions(+), 6 deletions(-)

commit 026a6ed151c7b3e2f33aa883bf5607a1f4c3f5dd
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Sep 6 04:09:33 2015 +0000

    Updated Turkish translation

 po/tr.po | 744 +++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 412 insertions(+), 332 deletions(-)

commit 74ea68167dea4e889877525adb0b55ee6a2aedad
Author: Bernd Homuth <dev@hmt.im>
Date:   Sat Sep 5 20:01:15 2015 +0000

    Updated German translation

 po/de.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 02180ca58a54732033229b3f2dc50074f4820847
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Sep 6 02:42:47 2015 +0900

    Updated Korean translation

 po/ko.po | 604 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 305 insertions(+), 299 deletions(-)

commit 94ff8d77aea8c5b36c9e086d12b2ca0638686f78
Author: Hajime Taira <htaira@redhat.com>
Date:   Sat Sep 5 22:10:52 2015 +0900

    Updated Japanese translation

 po/ja.po | 533 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 269 insertions(+), 264 deletions(-)

commit 5ae66a7fe12acc503a6b2fef6e7d1faa6dff6739
Author: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
Date:   Sat Sep 5 08:57:56 2015 +0000

    Updated German translation

 po/de.po | 186 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 98 insertions(+), 88 deletions(-)

commit a61db1f60181f14cf080a5025a3bbc8ae2b8fc90
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Sep 4 17:04:24 2015 +0000

    Updated Kazakh translation

 po/kk.po | 635 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 320 insertions(+), 315 deletions(-)

commit 2354683a1e7f02548d5db751062c6b351090e8b0
Author: Claudio Arseni <claudio.arseni@gmail.com>
Date:   Fri Sep 4 08:16:58 2015 +0000

    Updated Italian translation

 po/it.po | 626 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 319 insertions(+), 307 deletions(-)

commit 62820632c77a3b71c9e34752309e4dad1e7f9951
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Thu Sep 3 15:23:08 2015 +0300

    Updated Lithuanian translation

 po/lt.po | 543 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 275 insertions(+), 268 deletions(-)

commit 75b0d0cc903a1b70f767a39193c8c56846860fad
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Sep 3 09:03:53 2015 +0000

    Updated Swedish translation

 po/sv.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e1eb4cca27b04eaa21a164bde17508084c359793
Author: Andika Triwidada <andika@gmail.com>
Date:   Sun Aug 30 04:49:33 2015 +0000

    Updated Indonesian translation

 po/id.po | 528 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 259 insertions(+), 269 deletions(-)

commit aafa7beb9746c5fe2c4a08e6d71d08293290ac84
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:   Sat Aug 29 07:48:52 2015 +0300

    Updated Russian translation

 po/ru.po | 173 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 91 insertions(+), 82 deletions(-)

commit 93ab50f9d92629f48443e223b71a9dc2233cdcda
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Fri Aug 28 20:56:28 2015 +0000

    Updated Greek translation

 po/el.po | 609 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 308 insertions(+), 301 deletions(-)

commit 0f3e02d18112c4b4cc28826b7df98766681c5253
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Aug 28 18:29:07 2015 +0200

    notebook: Add ifdef for gtk+ < 3.16
    
    https://bugzilla.gnome.org/show_bug.cgi?id=754254

 src/terminal-notebook.c | 2 ++
 1 file changed, 2 insertions(+)

commit 4f2decbe2fac9361a35a0f6e50974e081ca064f1
Author: Fran Dieguez <fran@openhost.es>
Date:   Tue Aug 25 16:53:28 2015 +0200

    Updated Galician translations

 po/gl.po | 627 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 316 insertions(+), 311 deletions(-)

commit a55ad488b778469e1193d66cf2a7b22fd6ad25df
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Aug 25 13:15:53 2015 +0000

    Updated Chinese (Taiwan) translation

 po/zh_TW.po | 614 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 309 insertions(+), 305 deletions(-)

commit 86de5c4c7d53e3b594eb7a9de0694565ad210214
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 24 18:43:49 2015 +0200

    Updated Polish translation

 po/pl.po | 504 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 247 insertions(+), 257 deletions(-)

commit 434db5881af3373eb86130cfb48512216758822f
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Aug 20 17:09:04 2015 +0200

    Post release version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c182c0f9d4a40571a2fe4a1e86854dac7d75ad8d
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Aug 20 16:22:11 2015 +0200

    Version 3.17.91

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9548d476cfe8212c076b2c079fe47fd13454b754
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Aug 20 16:21:12 2015 +0200

    build: Don't include empty CSS
    
    CSS file is still empty, and the code works without it present,
    so don't include it in the resources.

 src/terminal.gresource.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 33587bccd2cc312b547966b07c988b8b402db9e0
Author: Frédéric Péters <fpeters@0d.be>
Date:   Thu Aug 20 16:11:11 2015 +0200

    build: include missing terminal.common.css in tarballs

 src/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 80ef959ddb6c82f88465c6a4c79300f12b39411c
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Tue Aug 18 22:55:02 2015 +0000

    Updated Swedish translation

 po/sv.po | 831 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 412 insertions(+), 419 deletions(-)

commit fe1131dee864f2955b0050d9f2380455aa808183
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 17 22:26:11 2015 +0200

    Post release version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f1e25da357e4e20bef00d09b05e307492129ac14
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 17 22:18:05 2015 +0200

    Version 3.17.90

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 75ea341609e86110d6b799dcc7ef1b5fbaf61f21
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 17 22:18:05 2015 +0200

    build: Bump vte req version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd078012a61c146aba09cf970e95b10ceddbdb74
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sun Aug 16 08:09:33 2015 +0000

    Updated Friulian translation

 po/fur.po | 4804 ++++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 2878 insertions(+), 1926 deletions(-)

commit 6b190df7505b72b5d0b1220bc84f361c68533423
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Sat Aug 15 11:43:54 2015 +0000

    Updated French translation

 po/fr.po | 164 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 86 insertions(+), 78 deletions(-)

commit 699608c6b55fdbb22a6e733b95910c4d6846f1bd
Author: Enrico Nicoletto <liverig@gmail.com>
Date:   Tue Aug 11 02:23:47 2015 +0000

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 935 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 474 insertions(+), 461 deletions(-)

commit 024af09b7fc75d0120f3b2e2a3f0eac4042bf16f
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Fri Jul 31 11:47:22 2015 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 526 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 259 insertions(+), 267 deletions(-)

commit f2773c8bf06f5907c3842ef02a189fe377e2c88a
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:   Wed Jul 29 12:39:38 2015 +0700

    Updated Thai translation

 po/th.po | 164 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 86 insertions(+), 78 deletions(-)

commit 2f689efcfe897a232ae60cd0b7c81cdae29bbfa0
Author: Dušan Kazik <prescott66@gmail.com>
Date:   Mon Jul 27 07:52:13 2015 +0000

    Updated Slovak translation

 po/sk.po | 171 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 90 insertions(+), 81 deletions(-)

commit 492284c8e9d856ad4fd533e2af5ef14372a515a5
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Jul 24 13:12:58 2015 +0200

    Updated Czech translation

 po/cs.po | 176 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 92 insertions(+), 84 deletions(-)

commit c789ad61f0c3a361f3120f8bee47b88ece87364c
Author: Balázs Úr <urbalazs@gmail.com>
Date:   Fri Jul 17 13:25:13 2015 +0000

    Updated Hungarian translation

 po/hu.po | 167 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 88 insertions(+), 79 deletions(-)

commit db79384706d9ffa5e710839f81cc1c4c8ea40269
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Thu Jul 16 14:10:02 2015 +0300

    Updated Hebrew translation

 po/he.po | 842 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 424 insertions(+), 418 deletions(-)

commit 5b44e1ba20e0c2ce24a52eebf2d23f68bdcc87c9
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Wed Jul 15 09:33:23 2015 +0000

    Updated Portuguese translation

 po/pt.po | 191 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 98 insertions(+), 93 deletions(-)

commit 3196f3345225c2fcdc1ec45d8459a9097751e6fb
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Jul 15 11:13:12 2015 +0200

    Updated Spanish translation

 po/es.po | 6636 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 3322 insertions(+), 3314 deletions(-)

commit 055fe364a7ab5606a6d47e88f67c60a22cd99b5b
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 22:02:27 2015 +0200

    window: Move tabs menu into an arrow button on the notebook
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745329

 src/terminal-tabs-menu.c |  2 +-
 src/terminal-window.c    | 15 +++++++++++++++
 src/terminal.xml         |  4 +++-
 3 files changed, 19 insertions(+), 2 deletions(-)

commit 62c27b6939c7b29be16191b08452e42b34ce70de
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:28 2015 +0200

    window: Add new tab button to notebook action area
    
    https://bugzilla.gnome.org/show_bug.cgi?id=138020

 src/terminal-window.c | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit 4a26ea316a73429b1c46efa18a3dbcfe0bff0633
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:28 2015 +0200

    notebook: Add API to create a box for the action buttons

 src/terminal-libgsystem.h |  8 ++++++++
 src/terminal-notebook.c   | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 src/terminal-notebook.h   |  3 +++
 3 files changed, 58 insertions(+)

commit 6a60cce6ec42e3464f4d63c7b13b888ca7c92eca
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:28 2015 +0200

    widgets: Remove close button CSS
    
    It works without this extra CSS (in adwaita at least).

 src/Makefile.am             |  4 +--
 src/terminal-close-button.c | 80 ---------------------------------------------
 src/terminal-close-button.h | 59 ---------------------------------
 src/terminal-icon-button.c  | 50 ++++++++++++++++++++++++++++
 src/terminal-icon-button.h  | 33 +++++++++++++++++++
 src/terminal-tab-label.c    |  2 +-
 6 files changed, 86 insertions(+), 142 deletions(-)

commit f436efd459f2464206f8dbc0538cc8d1ad9dbe98
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:28 2015 +0200

    app: Add CSS loading infrastructure
    
    At application startup, load common CSS, and CSS for the specific theme, if it exists.

 src/terminal-app.c         | 59 +++++++++++++++++++++++++++++++++++++++++++++-
 src/terminal.common.css    |  1 +
 src/terminal.gresource.xml |  1 +
 3 files changed, 60 insertions(+), 1 deletion(-)

commit ba2ef8e000e23c947bcff2e769891a7905a7458b
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:28 2015 +0200

    notebook: Add pref to always show tabs bar
    
    Add a pref allowing to always show the tabs bar.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=78776
    https://bugzilla.gnome.org/show_bug.cgi?id=613642

 src/org.gnome.Terminal.gschema.xml | 13 ++++++++++++-
 src/terminal-notebook.c            |  8 +++++++-
 src/terminal-schemas.h             |  1 +
 src/terminal-window.c              |  2 ++
 4 files changed, 22 insertions(+), 2 deletions(-)

commit f92a88d028b41273cc86988b674dddc6dc40adfe
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:28 2015 +0200

    notebook: Add API to set the tab policy when to show the tabs bar
    
    In preparation to adding a pref for this.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=78776
    https://bugzilla.gnome.org/show_bug.cgi?id=613642

 src/terminal-notebook.c | 88 ++++++++++++++++++++++++++++++++++++++++---------
 src/terminal-notebook.h |  4 +++
 2 files changed, 76 insertions(+), 16 deletions(-)

commit c9041a6580106dbfae22bcce26bfca5f62360cfc
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:28 2015 +0200

    util: Remove unused function

 src/terminal-util.h | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 183e5f07b1b5dbfdfadf4a2ddf1f41e6c11f2ba0
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:28 2015 +0200

    util: Add utility to parse /etc/shells

 src/terminal-util.c | 58 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/terminal-util.h |  4 ++++
 2 files changed, 62 insertions(+)

commit 1aa926053d25bef6e80ee4e698ee8174dce69a0e
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:28 2015 +0200

    gterminal: Fix completion argument parsing

 src/gterminal.vala | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 3726a89e9ea44c118bf78cefd582e9d87c37c939
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:28 2015 +0200

    server: Stay around a bit after last window closes

 src/server.c | 5 +++++
 1 file changed, 5 insertions(+)

commit e77c708f33eaed7e879ea9f3537d69d87ebae95a
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:27 2015 +0200

    server: Exit on unsupported locale

 src/server.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit c1df736857b059726cbd1076f7d0212f30bd1023
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jul 14 19:37:27 2015 +0200

    build: Update macros from upstream

 acinclude.m4 | 29 +++++++++++++++--------------
 1 file changed, 15 insertions(+), 14 deletions(-)

commit c1215484dd1bdbe994a1e3a99918185142bf85f3
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Jul 8 21:59:11 2015 +0200

    Updated Slovenian translation

 po/sl.po | 664 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 331 insertions(+), 333 deletions(-)

commit 6dad7463b128dfc78b343aee886206480ab77056
Author: Jordi Mas <jmas@softcatala.org>
Date:   Fri Jul 3 23:01:12 2015 +0200

    Fixes to Catalan translation

 help/ca/ca.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6fd628e6ac0b9c56f6c32133ded592358e3e423c
Author: Jordi Mas <jmas@softcatala.org>
Date:   Fri Jul 3 22:01:53 2015 +0200

    Fixes to Catalan translation

